# September 20, 2010
# follow Mark's instructions
#  - unstabilitzed weights, bound at (g.lb, g.ub)
#  - stabilized weights, bound from above only 
#v2 July 30,2010
# Susan Gruber
# change stabilized weights so they are truncated at 1/g.lb instead of 1/10.
# added two flags to check.ETA - printout : whether to print results for each bootstrap pop, genplot - whether to generate histograms or not

# The printout flag may not be working. (cvMSM.4ETA) need to check what's going on.  May be ok, though, need to re-define check.ETA function in R and try again. 

# v1 July 30, 2010
# Susan Gruber
# bounds on g are now user-specified instead of hard-coded, default values = (0.1, 0.9)
.packageName <- "cvDSA"

GUI.cvGLM <- function(){

#addTclPath("C:/Tcl/lib") 
require(tcltk)
tt<-tktoplevel()
tclRequire("BWidget")

top.frm <- tkframe(tt)
tkwm.title(tt, "cvGLM: Data set")
temp.datasets <- data()[[3]]
data.frm <- tkframe(top.frm)
comboBox.data <- tkwidget(data.frm, "ComboBox", editable=TRUE,values=temp.datasets[,3])
tkpack(tklabel(data.frm,text="Data:  "), comboBox.data, side="left",anchor="n")	

enter.frm <- tkframe(top.frm)
data.Name <- tclVar("")
entry.data.Name <-tkentry(enter.frm,width="20",textvariable=data.Name)
tkpack(tklabel(enter.frm,text="Enter: "), entry.data.Name, side="left", anchor="n")

tkpack(data.frm, enter.frm, side="top", anchor="w")

OnOK.openData <- function()
{
	yChoice <- NULL; xChoice <- NULL;
   	dataChoice <- temp.datasets[as.numeric(tclvalue(tkcmd(comboBox.data,"getvalue")))+1,3]	
     	if(tclvalue(data.Name)!="") dataset <- get(tclvalue(data.Name))
     	else   	dataset <- get(data(list=dataChoice))
     	
    	varNameList <- names(dataset)
 	
 	tt<-tktoplevel()
 	tkwm.title(tt, "cvGLM: Model Selection")
	
	spec.frm <- tkframe(tt)

	# var.frame############
	var.frame <- tkframe(spec.frm, relief="groove", borderwidth=2)
	tkpack(tklabel(var.frame, text="Select Variables:"), side="left", anchor="n")

	y.var.frame <- tkframe(var.frame)
        comboBox.Y <- tkwidget(y.var.frame,"ComboBox", width="10", editable=TRUE,values=varNameList)
	
	yfamily.checkVal <- tclVar("0")
	# gaussian ---- 0; binomial ---- 1;
	checkbox.yfamily <- tkcheckbutton(y.var.frame, text="Binomial", variable=yfamily.checkVal)	

	tkpack(tklabel(y.var.frame, text="Y: "), comboBox.Y, checkbox.yfamily,  side="left", anchor="w")	
	
	x.var.frame <- tkframe(var.frame)
	
	tkpack(tklabel(x.var.frame, text="X:"),side="left", anchor="n")
	for (i in 1:length(varNameList)){
		temp <- paste("X.cbValue",i, sep="");  assign(temp,tclVar("0"))
		var.cb <- paste("X.cbValue",i,sep=""); get.var.cb <- get(var.cb)
		cb <- tkcheckbutton(x.var.frame, text=varNameList[i], variable=get.var.cb)
		tkpack(cb, side="left", side="left", anchor="n")
	}

	# wt.frame
	wt.frame <- tkframe(var.frame)
	wt.censor.Name <- tclVar("NULL")
	entry.wt.censor.Name <-tkentry(wt.frame,width="15",textvariable=wt.censor.Name)
	tkpack(tklabel(wt.frame,text="Weight: "), entry.wt.censor.Name, side="left", anchor="w")
	# end wt.frame #############################
	
	tkpack(y.var.frame, x.var.frame, wt.frame, fill="x", side="top", anchor="w")
	
	# end var.frame ############################
	
	# Models.frame ####################################################
	models.frame <- tkframe(spec.frm, relief="groove", borderwidth=2)
	
	yx.model.frame <- tkframe(models.frame, relief="groove", borderwidth=2)
	yx.model.t.frame <- tkframe(yx.model.frame)
	model.yx.model.Name <- tclVar("NULL")
	entry.model.yx.model.Name <-tkentry(yx.model.t.frame,width="50",textvariable=model.yx.model.Name)
	tkpack(tklabel(yx.model.t.frame,text="Model: "), entry.model.yx.model.Name, side="left", anchor="w")
	
	yx.model.b.frame <-tkframe(yx.model.frame)
	model.yx.model.size <- tclVar("8")
	entry.model.yx.model.size <-tkentry(yx.model.b.frame,width="5",textvariable=model.yx.model.size)
	tkpack(tklabel(yx.model.b.frame,text="SIZE:  "), entry.model.yx.model.size, side="left", anchor="w")
	
	model.yx.model.order <- tclVar("c(   )")
	entry.model.yx.model.order <-tkentry(yx.model.b.frame,width="20",textvariable=model.yx.model.order)
	tkpack(tklabel(yx.model.b.frame,text="   Order:"), entry.model.yx.model.order, side="left", anchor="w")

	model.yx.model.int <- tclVar("1")
	entry.model.yx.model.int <-tkentry(yx.model.b.frame,width="5",textvariable=model.yx.model.int)
	tkpack(tklabel(yx.model.b.frame,text="  Interaction:"), entry.model.yx.model.int, side="left", anchor="w")
	tkpack(yx.model.t.frame,yx.model.b.frame, side="top", anchor="w")
	####

	tkpack(yx.model.frame, fill="x", side="top", anchor="w")
	# end models.frame #############################

	# other frame #########
	
	other.frame <- tkframe(spec.frm, relief="groove", borderwidth=2)
	
	ncv.other.frame <- tkframe(other.frame)
	ncv.Name <- tclVar("5")
	entry.ncv.Name <-tkentry(ncv.other.frame,width="5",textvariable=ncv.Name)
	tkpack(tklabel(ncv.other.frame,text="V-fold Cross Validation: "), entry.ncv.Name, side="left", anchor="n")

	accuracy.other.frame <- tkframe(other.frame)
	text.accuracy <- tclVar("1e-5")
	entry.accuracy <-tkentry(accuracy.other.frame,width="5",textvariable=text.accuracy)
	tkpack(tklabel(accuracy.other.frame,text="   Accuracy for D/S/A: "), entry.accuracy, side="left", anchor="n")

	printout.other.frame <- tkframe(other.frame)
	get.printout <- tclVar("1")
	get.detail <- tclVar("0")
	checkbox.printout <- tkcheckbutton(printout.other.frame, text="Print out details", variable=get.printout)
	checkbox.detail <- tkcheckbutton(printout.other.frame, text="More details", variable=get.detail)

	tkpack(checkbox.printout, checkbox.detail, side="left", anchor="n")
	
	tkpack(ncv.other.frame, accuracy.other.frame, printout.other.frame, fill="x", side="top", anchor="n")

	################################
	tkpack(var.frame, models.frame, other.frame, side="top", fill="x",anchor="n")

	################################
	OnOK.select <- function(...)
	{
	    if(is.null(yChoice)) yChoice <<- as.numeric(tclvalue(tkcmd(comboBox.Y,"getvalue")))+1
#	    print(yChoice)
	    
	    index <- seq(1:length(varNameList))

	    x.index <- index; 
	    for(i in 1:length(varNameList)){
	    	var.cb <- paste("X.cbValue",i,sep="")
	    	get.var.cb <- get(var.cb)
	    	cbVal <- tclvalue(get.var.cb)
	    	x.index[i] <- as.numeric(cbVal)
	    }

	    xChoice <- as.array(index[x.index==1]); 
	    x <- as.matrix(dataset[,xChoice]);
	    
	    y <- as.vector(dataset[,yChoice]);

	    yfamily <- ifelse(tclvalue(yfamily.checkVal)=="1", "binomial", "gaussian")

	    wt.censor.value <- tclvalue(wt.censor.Name)
	    if(wt.censor.value=="NULL")
	    	wt.censor.NameVal <- NULL
	    else
	    	wt.censor.NameVal <- get(tclvalue(wt.censor.Name))
	    	
#	    wt.censor.NameVal <- ifelse(wt.censor.value=="NULL", NULL, get(tclvalue(wt.censor.Name)) )

	    ncv.NameVal <- as.numeric(tclvalue(ncv.Name))
	
	    form.yx.model <- as.character(tclvalue(model.yx.model.Name))

	    model.yx.model.Model <- listFormula(form.yx.model, varNameList[x.index==1])

	    yx.model <- list(Model=model.yx.model.Model,Size=as.numeric(tclvalue(model.yx.model.size)), Order=eval(try(parse(text=tclvalue(model.yx.model.order)))), Int=as.numeric(tclvalue(model.yx.model.int)))
#	    print(yx.model)
	    
	    #temp <- glm(y~a+w,family=yfamily.rbVal)
	    #print(temp)

	    printout <- as.numeric(tclvalue(get.printout))
	    detail <- as.numeric(tclvalue(get.detail))
	
	    cvGLM(y=y, x=x, ncv=ncv.NameVal, yx.model=yx.model, myfamily=yfamily, weight=wt.censor.NameVal, accuracy=1e-5, detail=detail, printout=printout)


	}
	
	OnClose <- function() { tkdestroy(tt) }
	
	button.frame <- tkframe(tt)
	OK.but.select <-tkbutton(button.frame, text="  Select  ",command=OnOK.select)

	Close.but <- tkbutton(button.frame,text="  Close  ", command=OnClose)
	
	tkpack(OK.but.select, Close.but, side="left", anchor="w")
	tkpack(spec.frm, button.frame)
	
	tkfocus(tt)
 }

close.win <- function (...) { 	tkdestroy(tt)  }


button.frm <- tkframe(tt)
OK.but.openData <-tkbutton(button.frm,text="   OK   ",command=OnOK.openData)
Quit.but <- tkbutton(button.frm,      text="  QUIT  ",command=close.win)

tkpack(OK.but.openData, Quit.but, side="left", anchor="w")
tkpack(top.frm, button.frm, side="top", anchor="n")

tkfocus(tt)

#w.names <- dimnames(w)[[2]]

}


GUI.cvMSM <- function(){

#addTclPath("C:/Tcl/lib") 

require(tcltk)
tt<-tktoplevel()
tclRequire("BWidget")

if(1==0){
	scr <- tkscrollbar(tt, repeatinterval=10, command=function(...)tkyview(tl,...))
	tl<-tklistbox(tt,height=4,selectmode="single",yscrollcommand=function(...)tkset(scr,...),background="white")
	tkgrid(tklabel(tt,text="Avaibile Dataset"))
	tkgrid(tl,scr)
	tkgrid.configure(scr,rowspan=4,sticky="nsw")
	temp.datasets <- data()[[3]]
		for (i in 1:nrow(temp.datasets)) {
		    tkinsert(tl,"end",temp.datasets[i,3])
		}
	tkselection.set(tl,0) 
}

if(1==1){
	top.frm <- tkframe(tt)
	tkwm.title(tt, "cvMSM: Data set")

	temp.datasets <- data()[[3]]
	data.frm <- tkframe(top.frm)
	comboBox.data <- tkwidget(data.frm, "ComboBox", editable=TRUE,values=temp.datasets[,3])
	tkpack(tklabel(data.frm,text="Data:  "), comboBox.data, side="left",anchor="n")	

	enter.frm <- tkframe(top.frm)
	data.Name <- tclVar("")
	entry.data.Name <-tkentry(enter.frm,width="20",textvariable=data.Name)
	tkpack(tklabel(enter.frm,text="Enter: "), entry.data.Name, side="left", anchor="n")

	tkpack(data.frm, enter.frm, side="top", anchor="w")
}

OnOK.openData <- function()
{
	yChoice <- NULL; aChoice <- NULL; vChoice <- NULL; wChoice <- NULL;
	#dataChoice <- temp.datasets[as.numeric(tkcurselection(tl))+1,3]
   	dataChoice <- temp.datasets[as.numeric(tclvalue(tkcmd(comboBox.data,"getvalue")))+1,3]	
     	if(tclvalue(data.Name)!="") dataset <- get(tclvalue(data.Name))
     	else   	dataset <- get(data(list=dataChoice))
     	
     	
    	varNameList <- names(dataset)
 #	tkdestroy(tt)
 	

 	tt<-tktoplevel()
 	tkwm.title(tt, "cvMSM: Selecting Marginal Structural Model")
	
	spec.frm <- tkframe(tt,borderwidth=2)
	left.frm <- tkframe(spec.frm)
	right.frm <- tkframe(spec.frm)

	# var.frame############
	var.frame <- tkframe(left.frm, relief="groove", borderwidth=2)
	tkpack(tklabel(var.frame, text="Select Variables:"))

	left.var.frame <- tkframe(var.frame)
	right.var.frame <- tkframe(var.frame)
	
	y.left.var.frame <- tkframe(left.var.frame)
	
        comboBox.Y <- tkwidget(y.left.var.frame,"ComboBox",  editable=TRUE,values=varNameList)
	tkpack(tklabel(y.left.var.frame,text="Y:"), comboBox.Y, side="left",anchor="n")	
	
	
	v.left.var.frame <- tkframe(left.var.frame)
	
	tkpack(tklabel(v.left.var.frame,text="V:"),side="left", anchor="n")
	for (i in 1:length(varNameList)){
		temp <- paste("V.cbValue",i, sep="");  assign(temp,tclVar("0"))
		var.cb <- paste("V.cbValue",i,sep=""); get.var.cb <- get(var.cb)
		cb <- tkcheckbutton(v.left.var.frame, text=varNameList[i], variable=get.var.cb)
		tkpack(cb, side="top", side="top", anchor="w")
	}

	tkpack(y.left.var.frame, v.left.var.frame, side="top", anchor="w")
	#########
	
	a.right.var.frame <- tkframe(right.var.frame)
	comboBox.A <- tkwidget(a.right.var.frame,"ComboBox",editable=TRUE, values=varNameList)
	tkpack(tklabel(a.right.var.frame,text="A: "), comboBox.A, side="left",anchor="n")
	
	w.right.var.frame <- tkframe(right.var.frame)
	tkpack(tklabel(w.right.var.frame,text="W:"), side="left", anchor="n")

	for (i in 1:length(varNameList)){
		temp <- paste("W.cbValue",i, sep="");  assign(temp,tclVar("0"))
		var.cb <- paste("W.cbValue",i,sep=""); get.var.cb <- get(var.cb)
		cb <- tkcheckbutton(w.right.var.frame, text=varNameList[i], variable=get.var.cb)
		tkpack(cb, side="top",anchor="w")
	}
	
	tkpack(a.right.var.frame, w.right.var.frame, side="top", anchor="w")
	
	tkpack(left.var.frame, right.var.frame, side="left", anchor="w")
	
	# end var.frame ############################
	
	# wt.frame
	wt.frame <- tkframe(left.frm, relief="groove", borderwidth=2)
	wt.censor.Name <- tclVar("NULL")
	entry.wt.censor.Name <-tkentry(wt.frame,width="20",textvariable=wt.censor.Name)
	tkpack(tklabel(wt.frame,text="Please enter censoring weights:"), entry.wt.censor.Name, side="left", anchor="w")
	# end wt.frame #############################
	
	
	# Models.frame ####################################################
	models.frame <- tkframe(left.frm, relief="groove", borderwidth=2)
	
	msm.frame <- tkframe(models.frame, relief="groove", borderwidth=2)
	msm.t.frame <- tkframe(msm.frame)
	model.msm.Name <- tclVar("NULL")
	entry.model.msm.Name <-tkentry(msm.t.frame,width="50",textvariable=model.msm.Name)
	tkpack(tklabel(msm.t.frame,text="MSM: "), entry.model.msm.Name, side="left", anchor="w")
	
	msm.b.frame <-tkframe(msm.frame)
	model.msm.size <- tclVar("8")
	entry.model.msm.size <-tkentry(msm.b.frame,width="5",textvariable=model.msm.size)
	tkpack(tklabel(msm.b.frame,text="SIZE: "), entry.model.msm.size, side="left", anchor="w")
	
	model.msm.order <- tclVar("")
	entry.model.msm.order <-tkentry(msm.b.frame,width="20",textvariable=model.msm.order)
	tkpack(tklabel(msm.b.frame,text="   Order:"), entry.model.msm.order, side="left", anchor="w")

	model.msm.int <- tclVar("1")
	entry.model.msm.int <-tkentry(msm.b.frame,width="5",textvariable=model.msm.int)
	tkpack(tklabel(msm.b.frame,text="  Interaction:"), entry.model.msm.int, side="left", anchor="w")
	tkpack(msm.t.frame,msm.b.frame, side="top", anchor="w")
	#__________________________________________________________________________
# THIS IS PROBABLY WHERE I CAN ADD THE CALL TO GET THE BOUNDS ON G
	gaw.frame <- tkframe(models.frame, relief="groove", borderwidth=2)
	gaw.t.frame <- tkframe(gaw.frame)
	model.gaw.Name <- tclVar("NULL")
	entry.model.gaw.Name <-tkentry(gaw.t.frame,width="50",textvariable=model.gaw.Name)
	tkpack(tklabel(gaw.t.frame,text="g(A|W):"), entry.model.gaw.Name, side="left", anchor="n")

	gaw.b.frame <-tkframe(gaw.frame)
	model.gaw.size <- tclVar("8")
	entry.model.gaw.size <-tkentry(gaw.b.frame,width="5",textvariable=model.gaw.size)
	tkpack(tklabel(gaw.b.frame,text="SIZE:   "), entry.model.gaw.size, side="left", anchor="w")
	
	model.gaw.order <- tclVar("")
	entry.model.gaw.order <-tkentry(gaw.b.frame,width="20",textvariable=model.gaw.order)
	tkpack(tklabel(gaw.b.frame,text="   Order:"), entry.model.gaw.order, side="left", anchor="w")

	model.gaw.int <- tclVar("1")
	entry.model.gaw.int <-tkentry(gaw.b.frame,width="5",textvariable=model.gaw.int)
	tkpack(tklabel(gaw.b.frame,text="  Interaction:"), entry.model.gaw.int, side="left", anchor="w")
	tkpack(gaw.t.frame,gaw.b.frame, side="top", anchor="w")
	
	#__________________________________________________________________________
	
	gav.frame <- tkframe(models.frame, relief="groove", borderwidth=2)
	gav.t.frame <- tkframe(gav.frame)
	model.gav.Name <- tclVar("NULL")
	entry.model.gav.Name <-tkentry(gav.t.frame,width="50",textvariable=model.gav.Name)
	tkpack(tklabel(gav.t.frame,text="g(A|V):"), entry.model.gav.Name, side="left", anchor="n")

	gav.b.frame <-tkframe(gav.frame)
	model.gav.size <- tclVar("8")
	entry.model.gav.size <-tkentry(gav.b.frame,width="5",textvariable=model.gav.size)
	tkpack(tklabel(gav.b.frame,text="SIZE:   "), entry.model.gav.size, side="left", anchor="w")
	
	model.gav.order <- tclVar("")
	entry.model.gav.order <-tkentry(gav.b.frame,width="20",textvariable=model.gav.order)
	tkpack(tklabel(gav.b.frame,text="   Order:"), entry.model.gav.order, side="left", anchor="w")

	model.gav.int <- tclVar("1")
	entry.model.gav.int <-tkentry(gav.b.frame,width="5",textvariable=model.gav.int)
	tkpack(tklabel(gav.b.frame,text="  Interaction:"), entry.model.gav.int, side="left", anchor="w")
	tkpack(gav.t.frame,gav.b.frame, side="top", anchor="w")

	#__________________________________________________________________________

	yaw.frame <- tkframe(models.frame, relief="groove", borderwidth=2)
	yaw.t.frame <- tkframe(yaw.frame)
	model.yaw.Name <- tclVar("NULL")
	entry.model.yaw.Name <-tkentry(yaw.t.frame,width="50",textvariable=model.yaw.Name)
	tkpack(tklabel(yaw.t.frame,text="E(Y|A,W):"), entry.model.yaw.Name, side="left", anchor="n")

	yaw.b.frame <-tkframe(yaw.frame)
	model.yaw.size <- tclVar("8")
	entry.model.yaw.size <-tkentry(yaw.b.frame,width="5",textvariable=model.yaw.size)
	tkpack(tklabel(yaw.b.frame,text="SIZE:    "), entry.model.yaw.size, side="left", anchor="w")
	
	model.yaw.order <- tclVar("")
	entry.model.yaw.order <-tkentry(yaw.b.frame,width="20",textvariable=model.yaw.order)
	tkpack(tklabel(yaw.b.frame,text="   Order:"), entry.model.yaw.order, side="left", anchor="w")

	model.yaw.int <- tclVar("1")
	entry.model.yaw.int <-tkentry(yaw.b.frame,width="5",textvariable=model.yaw.int)
	tkpack(tklabel(yaw.b.frame,text="  Interaction:"), entry.model.yaw.int, side="left", anchor="w")
	tkpack(yaw.t.frame,yaw.b.frame, side="top", anchor="w")
	
	#__________________________________________________________________________
	
	yyaw.frame <- tkframe(models.frame, relief="groove", borderwidth=2)
	yyaw.t.frame <- tkframe(yyaw.frame)
	model.yyaw.Name <- tclVar("NULL")
	entry.model.yyaw.Name <-tkentry(yyaw.t.frame,width="50",textvariable=model.yyaw.Name)
	tkpack(tklabel(yyaw.t.frame,text="E(Y^2|A,W):"), entry.model.yyaw.Name, side="left", anchor="n")

	yyaw.b.frame <-tkframe(yyaw.frame)
	model.yyaw.size <- tclVar("8")
	entry.model.yyaw.size <-tkentry(yyaw.b.frame,width="5",textvariable=model.yyaw.size)
	tkpack(tklabel(yyaw.b.frame,text="SIZE:    "), entry.model.yyaw.size, side="left", anchor="w")
	
	model.yyaw.order <- tclVar("")
	entry.model.yyaw.order <-tkentry(yyaw.b.frame,width="20",textvariable=model.yyaw.order)
	tkpack(tklabel(yyaw.b.frame,text="   Order:"), entry.model.yyaw.order, side="left", anchor="w")

	model.yyaw.int <- tclVar("1")
	entry.model.yyaw.int <-tkentry(yyaw.b.frame,width="5",textvariable=model.yyaw.int)
	tkpack(tklabel(yyaw.b.frame,text="  Interaction:"), entry.model.yyaw.int, side="left", anchor="w")
	tkpack(yyaw.t.frame,yyaw.b.frame, side="top", anchor="w")
	
	#__________________________________________________________________________

	tkpack(msm.frame,gaw.frame, gav.frame, yaw.frame, yyaw.frame, fill="x", side="top", anchor="w")
	# end models.frame #############################



	# distribution, wt, mapping, fitting, ncv, ncv.nuisance frame #########
	
	# distribution frame ########################
	other.frame <- tkframe(right.frm, relief="groove", borderwidth=2)
	tkpack(tklabel(other.frame, text="Other Options:"))
	
	distr.frm <- tkframe(other.frame, relief="groove", borderwidth=2)
	y.distr.frm <- tkframe(distr.frm)
	a.distr.frm <- tkframe(distr.frm)
	
	yfamily.rbValue <- tclVar("gaussian")
	tkpack(tklabel(y.distr.frm,text="Y Distribution:"))
   	tkpack(tkradiobutton(y.distr.frm, text="Gaussian",
                         value="gaussian", variable=yfamily.rbValue), anchor="w")
                     
        tkpack(tkradiobutton(y.distr.frm, text="Binomial",
                         value="binomial", variable=yfamily.rbValue), anchor="w")

	afamily.rbValue <- tclVar("binomial")
	tkpack(tklabel(a.distr.frm,text="A Distribution:"))
   	tkpack(tkradiobutton(a.distr.frm, text="Gaussian",
                         value="gaussian", variable=afamily.rbValue), anchor="w")
        tkpack(tkradiobutton(a.distr.frm, text="Binomial",
                         value="binomial", variable=afamily.rbValue), anchor="w")
	tkpack(y.distr.frm,a.distr.frm,side="left",anchor="w")
	tkpack(distr.frm, fill="x")
	# end distribution frame ##########################################
	

	# method.frame ####################################################
	method.frm <- tkframe(other.frame, relief="groove", borderwidth=2)
	left.method.frm <- tkframe(method.frm)
	right.method.frm <- tkframe(method.frm)
	
	mapping.rbValue <- tclVar("DR")
	tkpack(tklabel(left.method.frm,text="Mapping:"))
   	tkpack(tkradiobutton(left.method.frm, text="Gcomp",
                         value="Gcomp", variable=mapping.rbValue), anchor="w")
        tkpack(tkradiobutton(left.method.frm, text="IPTW",
                         value="IPTW", variable=mapping.rbValue), anchor="w")
        tkpack(tkradiobutton(left.method.frm, text="DR",
                         value="DR", variable=mapping.rbValue), anchor="w")

	fitting.rbValue <- tclVar("DR")
	tkpack(tklabel(right.method.frm,text="Fitting:"))
   	tkpack(tkradiobutton(right.method.frm, text="Gcomp",
                         value="Gcomp", variable=fitting.rbValue), anchor="w")
        tkpack(tkradiobutton(right.method.frm, text="IPTW",
                         value="IPTW", variable=fitting.rbValue), anchor="w")
        tkpack(tkradiobutton(right.method.frm, text="DR",
                         value="DR", variable=fitting.rbValue), anchor="w")
	
	tkpack(left.method.frm,right.method.frm,side="left",anchor="w")
	tkpack(method.frm, fill="x")
	# end method frame ####################################################

	# options.frm #########################################################
	options.frm <- tkframe(other.frame, relief="groove", borderwidth=2)
	text.frame <- tkframe(options.frm)
	entry.frame <- tkframe(options.frm)
	tkpack(tklabel(text.frame,text="     V for V-fold Cross Validation (MSM):"),
	       tklabel(text.frame,text="V for V-fold Cross Validation (nuisance):"),
	       tklabel(text.frame,text="                          Accuracy for DSA:"),
	       tklabel(text.frame,text="                Dynamic Treatment matrix:"),
	       tklabel(text.frame,text="                 Dynamic Treatment theta:"), 
	       side="top", anchor="n")
	
	ncv.Name <- tclVar("5")
	entry.ncv.Name <-tkentry(entry.frame,width="15",textvariable=ncv.Name)
#	tkpack(tklabel(other.frame,text="Enter V for V-fold Cross Validation (MSM):"))
	tkpack(entry.ncv.Name)

	ncv.nuisance.Name <- tclVar("5")
	entry.ncv.nuisance.Name <-tkentry(entry.frame,width="15",textvariable=ncv.nuisance.Name)
#	tkpack(tklabel(other.frame,text="Enter V for V-fold Cross Validation (nuisance):"))
	tkpack(entry.ncv.nuisance.Name)
	
	text.accuracy <- tclVar("1e-5")
	entry.accuracy <-tkentry(entry.frame,width="15",textvariable=text.accuracy)
#	tkpack(tklabel(other.frame,text="Accuracy for DSA:"))
	tkpack(entry.accuracy)

	text.dyn.treat <- tclVar("NULL")
	entry.dyn.treat <-tkentry(entry.frame,width="15",textvariable=text.dyn.treat)
#	tkpack(tklabel(other.frame,text="Dynamic Treatment matrix:"))
	tkpack(entry.dyn.treat)

	text.dyn.theta <- tclVar("NULL")
	entry.dyn.theta <-tkentry(entry.frame,width="15",textvariable=text.dyn.theta)
#	tkpack(tklabel(other.frame,text="Dynamic Treatment: theta"))
	tkpack(entry.dyn.theta)

	tkpack(entry.ncv.Name, entry.ncv.nuisance.Name, entry.accuracy, entry.dyn.treat, entry.dyn.theta,
	       side="top", anchor="n")
	
	tkpack(text.frame, entry.frame, side="left", anchor="n")
	tkpack(options.frm)
	get.all3 <- tclVar("0")
	get.stable <- tclVar("0")
	get.cv.risk <- tclVar("0")
	get.printout <- tclVar("1")
	
	checkbox.all3 <- tkcheckbutton(other.frame, text="Select all 3 estimators", variable=get.all3)
	checkbox.stable <- tkcheckbutton(other.frame, text="Use stablized weight", variable=get.stable)
	checkbox.cv.risk <- tkcheckbutton(other.frame, text="Compute cross-validation risk", variable=get.cv.risk)
	checkbox.printout <- tkcheckbutton(other.frame, text="Print out details", variable=get.printout)

	tkpack(checkbox.all3, checkbox.stable, checkbox.cv.risk, checkbox.printout, side="top",anchor="w")
		
	#all3=FALSE, accuracy=1e-5, stable.wt=FALSE, fixed.terms=NULL, cv.risk=FALSE,printout=TRUE, dyn.treat=NULL, dyn.cutoff=NULL
	
	
	tkpack(var.frame, wt.frame, models.frame, side="top", fill="x",anchor="n")
	tkpack(other.frame)
	#tkpack(frame3, frame4, fill="x")
	tkpack(left.frm, right.frm,side="left", anchor="n")

	OnOK.select <- function(...)
	{
	    if(is.null(yChoice)) yChoice <<- as.numeric(tclvalue(tkcmd(comboBox.Y,"getvalue")))+1
	    if(is.null(aChoice)) aChoice <<- as.numeric(tclvalue(tkcmd(comboBox.A,"getvalue")))+1
#	    print(yChoice)
#	    print(aChoice)
	    
	    index <- seq(1:length(varNameList))

	    v.index <- index; w.index <- index;
	    for(i in 1:length(varNameList)){
	    	var.cb <- paste("V.cbValue",i,sep="")
	    	get.var.cb <- get(var.cb)
	    	cbVal <- tclvalue(get.var.cb)
	    	v.index[i] <- as.numeric(cbVal)
	    }
	    
	    for(i in 1:length(varNameList)){
	    	var.cb <- paste("W.cbValue",i,sep="")
	    	get.var.cb <- get(var.cb)
	    	cbVal <- tclvalue(get.var.cb)
	    	w.index[i] <- as.numeric(cbVal)
	    }
	    
	    vChoice <- as.array(index[v.index==1]); wChoice <- as.array(index[w.index==1])
	    v <- matrix(dataset[,vChoice], nrow=nrow(dataset), dimnames=list(NULL, colnames(dataset)[vChoice]))
print(wChoice)	    
	    w <- as.matrix(dataset[,wChoice])
print(dim(w))
print(colnames(dataset)[wChoice])
	    dimnames(w)[[2]] <- colnames(dataset)[wChoice]
	    
	    #matrix(dataset[,wChoice], nrow=nrow(dataset), dimnames=list(NULL, colnames(dataset)[wChoice]))
	    
	    y <- as.vector(dataset[,yChoice]); a <- as.vector(dataset[,aChoice])

	    yfamily.rbVal <- as.character(tclvalue(yfamily.rbValue))
	    afamily.rbVal <- as.character(tclvalue(afamily.rbValue))

	    wt.censor.value <- tclvalue(wt.censor.Name)
	    
	    if(wt.censor.value=="NULL"){
	    	wt.censor.NameVal <- NULL
	    } else {
	    	wt.censor.NameVal <- get(tclvalue(wt.censor.Name))
	    }

	    mapping.rbVal <- as.character(tclvalue(mapping.rbValue))
	    fitting.rbVal <- as.character(tclvalue(fitting.rbValue))
	    
	    ncv.NameVal <- as.numeric(tclvalue(ncv.Name))
	    ncv.nuisance.NameVal <- as.numeric(tclvalue(ncv.nuisance.Name))
	    accuracy <- as.numeric(tclvalue(text.accuracy))
	    if(tclvalue(text.dyn.treat)!="NULL") dyn.treat <- get(tclvalue(text.dyn.treat))
	    	else dyn.treat <- NULL
	    if(tclvalue(text.dyn.theta)!="NULL") dyn.theta <- get(tclvalue(text.dyn.theta))
	    	else dyn.theta <- NULL
#print(dyn.treat)
#print(dyn.theta)
	    
#	    print("Regression Y~W")
#	    print(cbind(y,a,w)[1:3,])
	    
	    form.msm <- as.character(tclvalue(model.msm.Name))
    	    form.gav <- as.character(tclvalue(model.gav.Name))
	    form.gaw <- as.character(tclvalue(model.gaw.Name))
	    form.yaw <- as.character(tclvalue(model.yaw.Name))
	    form.yyaw <- as.character(tclvalue(model.yyaw.Name))
if(1==0){
	    if(is.null(dyn.theta)==0){
	    	thetaName <- paste("R", 1:length(dyn.theta[[1]]),sep="")
	    	model.msm.Model <- listFormula(form.msm, c(thetaName, varNameList[vChoice]))
	    } else {
		    model.msm.Model <- listFormula(form.msm, varNameList[c(aChoice,vChoice)])
	    }
	    
	    msm <- list(Model=model.msm.Model,Size=as.numeric(tclvalue(model.msm.size)), Order=eval(try(parse(text=tclvalue(model.msm.order)))), Int=as.numeric(tclvalue(model.msm.int)))
#	    print(msm)

	    model.gav.Model <- listFormula(form.gav, varNameList[vChoice])
	    gav <- list(Model=model.gav.Model,Size=as.numeric(tclvalue(model.gav.size)), Order=eval(try(parse(text=tclvalue(model.gav.order)))), Int=as.numeric(tclvalue(model.gav.int)))
	    
	    model.gaw.Model <- listFormula(form.gaw, varNameList[wChoice])
	    gaw <- list(Model=model.gaw.Model,Size=as.numeric(tclvalue(model.gaw.size)), Order=eval(try(parse(text=tclvalue(model.gaw.order)))), Int=as.numeric(tclvalue(model.gaw.int)))
#	    print(gaw)
	    
	    model.yaw.Model <- listFormula(form.yaw, varNameList[c(aChoice,wChoice)])
	    yaw <- list(Model=model.yaw.Model,Size=as.numeric(tclvalue(model.yaw.size)), Order=eval(try(parse(text=tclvalue(model.yaw.order)))), Int=as.numeric(tclvalue(model.yaw.int)))
#	    print(yaw)

	    model.yyaw.Model <- listFormula(form.yyaw, varNameList[c(aChoice,wChoice)])
	    yyaw <- list(Model=model.yyaw.Model,Size=as.numeric(tclvalue(model.yyaw.size)), Order=eval(try(parse(text=tclvalue(model.yyaw.order)))), Int=as.numeric(tclvalue(model.yyaw.int)))
#	    print(yyaw)

	    #temp <- glm(y~a+w,family=yfamily.rbVal)
	    #print(temp)
}

# with new input in cvMSM: Model=formula
	    
	    msm <- list(Model=form.msm,Size=as.numeric(tclvalue(model.msm.size)), Order=eval(try(parse(text=tclvalue(model.msm.order)))), Int=as.numeric(tclvalue(model.msm.int)))
#	    print(msm)

#	    model.gav.Model <- listFormula(form.gav, varNameList[vChoice])
	    gav <- list(Model=form.gav,Size=as.numeric(tclvalue(model.gav.size)), Order=eval(try(parse(text=tclvalue(model.gav.order)))), Int=as.numeric(tclvalue(model.gav.int)))
	    
#	    model.gaw.Model <- listFormula(form.gaw, varNameList[wChoice])
	    gaw <- list(Model=form.gaw,Size=as.numeric(tclvalue(model.gaw.size)), Order=eval(try(parse(text=tclvalue(model.gaw.order)))), Int=as.numeric(tclvalue(model.gaw.int)))
#	    print(gaw)
	    
#	    model.yaw.Model <- listFormula(form.yaw, varNameList[c(aChoice,wChoice)])
	    yaw <- list(Model=form.yaw,Size=as.numeric(tclvalue(model.yaw.size)), Order=eval(try(parse(text=tclvalue(model.yaw.order)))), Int=as.numeric(tclvalue(model.yaw.int)))
#	    print(yaw)

#	    model.yyaw.Model <- listFormula(form.yyaw, varNameList[c(aChoice,wChoice)])
	    yyaw <- list(Model=form.yyaw,Size=as.numeric(tclvalue(model.yyaw.size)), Order=eval(try(parse(text=tclvalue(model.yyaw.order)))), Int=as.numeric(tclvalue(model.yyaw.int)))
#	    print(yyaw)

	    #temp <- glm(y~a+w,family=yfamily.rbVal)
	    #print(temp)

    
	    cvMSM(y=y, a=a, v=v, w=w, data=dataset, yfamily=yfamily.rbVal, afamily=afamily.rbVal, model.msm=msm, model.aw=gaw, model.av=gav, model.yaw=yaw, model.yyaw=yyaw, wt.censor=wt.censor.NameVal, ncv=ncv.NameVal, ncv.nuisance=ncv.nuisance.NameVal, mapping=mapping.rbVal, fitting=fitting.rbVal, all3=as.numeric(tclvalue(get.all3)), accuracy=accuracy, stable.wt=as.numeric(tclvalue(get.stable)), fixed.terms=NULL, cv.risk=as.numeric(tclvalue(get.cv.risk)), printout=as.numeric(tclvalue(get.printout)), dyn.treat=dyn.treat, dyn.cutoff=dyn.theta) 

	
	}

	button.frame <- tkframe(tt)	
	OK.but.select <-tkbutton(button.frame, text="   Select   ",command=OnOK.select)

	OnClose <- function()	{ tkdestroy(tt) }
	
	Close.but <- tkbutton(button.frame, text="  Close  ", command=OnClose)
	
	tkpack(OK.but.select, Close.but, side="left", anchor="w")
	
	tkpack(spec.frm, button.frame)
	
	tkfocus(tt)
 }

close.win <- function (...)
{
	tkdestroy(tt)
}


button.frm <- tkframe(tt)
OK.but.openData <-tkbutton(button.frm,text="   OK   ",command=OnOK.openData)
Quit.but <- tkbutton(button.frm,      text="  QUIT  ",command=close.win)

tkpack(OK.but.openData, Quit.but, side="left", anchor="w")
tkpack(top.frm, button.frm, side="top", anchor="n")

tkfocus(tt)

#w.names <- dimnames(w)[[2]]

}

listFormula <- function(form, w.names)
{
	if(form=="NULL") return(NULL)
	n <- 1
	ncol <- length(w.names)
	temp.split <- strsplit(form,"\\+")[[1]]
	model.list <- list(1)
	for(i in 1:length(temp.split)){
		model.list[[i]] <- rep(0,ncol)
#		print(temp.split[i])
		sub.split <- strsplit(temp.split[i],"\\*")[[1]]
#		print(sub.split)
		for(j in 1:length(sub.split)){
			subsub.split <- strsplit(sub.split[j], "\\^")[[1]]
#			cat(j,":")
#			print(subsub.split)
			index <- seq(1:ncol)[w.names==subsub.split[1]]
			if(length(subsub.split)==1){
				model.list[[i]][index] <- 1
			} else {
				model.list[[i]][index] <- as.numeric(subsub.split[2])
			}
		}
	}

	return(model.list)
}

check.ETA <- function(y, a, v, w, data=NULL, yfamily='gaussian', afamily='binomial', model.msm=NULL, model.aw=NULL, model.av=NULL, model.yaw=NULL, model.yyaw=NULL, wt.censor=NULL, ncv=5, ncv.nuisance=5, stable.wt=TRUE, fixed.terms=NULL, n.sim, index.v.inW, mapping='DR', fitting='DR', g.lb=0.1, g.ub=0.9, printout=TRUE, genplot=TRUE)
{
	cc<-match.call()
#	print(cc)
	attached <- FALSE;
	if(!is.null(data)){ attach(data); attached <- TRUE}
	n.b <- length(y);

#	for(i in 1:length(cc)) print(cc[[i]])
	name.y<-as.character(cc[[2]])
	name.a<-as.character(cc[[3]])
	if(is.null(v)){ v <- as.matrix(rep(1,length(a))); name.v <- "null"; }
	else{
		 if(is.null(dimnames(v)[[2]])) name.v <- as.character(cc[[4]]) 
			else name.v <- dimnames(v)[[2]]
		}

	if(is.null(dimnames(w)[[2]])) name.w <- as.character(cc[[5]]) else name.w <- dimnames(w)[[2]]

	w <- as.matrix(w);
	v.mat <- as.matrix(v);
	mat.aw <- cbind(a,w);
	
	names.av <- c(name.a,name.v); names.aw <- c(name.a,name.w);

	if(!is.null(model.msm$Model)) model.msm$Model <- listFormula(model.msm$Model, names.av)

	if(!is.null(model.aw$Model)) model.aw$Model <- listFormula(model.aw$Model, name.w)
	if(!is.null(model.av$Model)) model.av$Model <- listFormula(model.av$Model, name.v)
	if(!is.null(model.yaw$Model)) model.yaw$Model <- listFormula(model.yaw$Model, names.aw)
	if(!is.null(model.yyaw$Model)) model.yyaw$Model <- listFormula(model.yyaw$Model, names.aw)

	if(stable.wt){
		if(is.null(model.av$Model)){
			if(is.null(model.av$Size)) 	model.av$Size <- 10
			if(is.null(model.av$Order))	model.av$Order <- rep(1,ncol(v.mat))
			if(is.null(model.av$Int))   model.av$Int   <- 1;
			cat("Model g(A|V): \n")
			model.gav <- cvGLM.4ETA(y=a, x=v, printout=FALSE, yx.model=av.Model, myfamily=afamily);
			model.gav.new <- model.gav$model.pbeta;
			model.av$Model <- model.gav.new$formula;
		} else {
			mat.v <- buildXw(v, model.av$Model);			
			beta.gav <- coef(glm(a~mat.v, family=afamily));
			beta.gav[is.na(beta.gav)] <- 0
			model.gav.new <- buildModel(model.av$Model, beta.gav);
		}
	}
	
	if(is.null(model.aw$Model)){
		if(is.null(model.aw$Size)) 	model.aw$Size  <- 10
		if(is.null(model.aw$Order))	model.aw$Order <- rep(1,ncol(w))
		if(is.null(model.aw$Int))   model.aw$Int   <- 1;
		cat("Model g(A|W): \n")
		cv.model.gaw <- cvGLM.4ETA(y=a, x=w, printout=TRUE, yx.model=model.aw, myfamily=afamily);
		model.gaw.new <- cv.model.gaw$model.pbeta;
		model.aw$Model <- model.gaw.new$formula;
	} else {
		mat.w <- buildXw(w, model.aw$Model);
		beta.gaw <- coef(glm(a~mat.w, family=afamily));
		beta.gaw[is.na(beta.gaw)] <- 0;
		model.gaw.new <- buildModel(model.aw$Model, beta.gaw);
	}
		
	if(is.null(model.yaw$Model)){
		if(is.null(model.yaw$Size)) 	model.yaw$Size  <- 10
		if(is.null(model.yaw$Order))	model.yaw$Order <- c(1, rep(1,ncol(w)))
		if(is.null(model.yaw$Int))    	model.yaw$Int   <- 1;
		cat("Model E(Y|A,W):\n");
		cv.model.yaw <- cvGLM.4ETA(y=y,x=cbind(a,w), printout=FALSE, yx.model=model.yaw, myfamily=yfamily);
		model.yaw.new <- cv.model.yaw$model.pbeta;
		model.yaw$Model <- model.yaw.new$formula;
	} else {
		mat.aw <- buildXw(cbind(a,w),model.yaw$Model);
		beta.yaw <- coef(glm(y~mat.aw, family=yfamily));
		beta.yaw[is.na(beta.yaw)] <- 0;
		model.yaw.new <- buildModel(model.yaw$Model, beta.yaw);
	}

	if(is.null(model.msm$Model)){
		if(is.null(model.yyaw$Model)){
			if(is.null(model.yyaw$Size)) 	model.yyaw$Size  <- 10
			if(is.null(model.yyaw$Order))	model.yyaw$Order <- c(1, rep(1,ncol(w)))
			if(is.null(model.yyaw$Int))    	model.yyaw$Int   <- 1
			cat("Model E(Y^2|A,W):\n");
			cv.model.yyaw <- cvGLM.4ETA(y=y^2,x=cbind(a,w), printout=FALSE, yx.model=model.yyaw, myfamily=yfamily);
			model.yyaw.new <- cv.model.yyaw$model.pbeta;
			model.yyaw$Model <- model.yyaw.new$formula;
		}
	}

	if(is.null(model.msm$Model)){
		if(is.null(model.msm$Size)) 	model.msm$Size <- 10
		if(is.null(model.msm$Order))	model.msm$Order <- rep(1,ncol(v.mat)+1)
		if(is.null(model.msm$Int))     	model.msm$Int   <- 1;
	}
	model.msm.g<- cvMSM.4ETA(y, a, v, w, data, yfamily, afamily, model.msm=model.msm, model.yaw=model.yaw, model.yyaw=model.yyaw, wt.censor=wt.censor, ncv=ncv, ncv.nuisance=ncv.nuisance, mapping='Gcomp', fitting='Gcomp', all3=FALSE, stable.wt=stable.wt, fixed.terms=fixed.terms, cv.risk=FALSE, g.lb=g.lb, g.ub=g.ub) 

	model.msm.iptw<- cvMSM.4ETA(y, a, v, w, data, yfamily, afamily, model.msm=model.msm, model.av=model.av, model.aw=model.aw,model.yaw=model.yaw, model.yyaw=model.yyaw, wt.censor=wt.censor, ncv=ncv, ncv.nuisance=ncv.nuisance, mapping='IPTW', fitting='IPTW', all3=FALSE, stable.wt=stable.wt, fixed.terms=fixed.terms, cv.risk=FALSE, g.lb=g.lb, g.ub=g.ub) 

	model.msm.dr<- cvMSM.4ETA(y, a, v, w, data, yfamily, afamily, model.msm=model.msm, model.av=model.av, model.aw=model.aw, model.yaw=model.yaw, model.yyaw=model.yyaw, wt.censor=wt.censor, ncv=ncv, ncv.nuisance=ncv.nuisance, mapping='DR', fitting='DR', all3=FALSE, stable.wt=stable.wt, fixed.terms=fixed.terms, cv.risk=FALSE, g.lb=g.lb, g.ub=g.ub) 

	msm.beta.iptw <- model.msm.iptw$model.pbeta$coef;
	msm.beta.dr <- model.msm.dr$model.pbeta$coef;

	if(is.null(model.msm$Model)) model.msm$Model <- model.msm.g$model.pbeta$formula;
	
	msm.beta.g <- model.msm.g$model.pbeta$coef;
	msm.coef.names <- names(model.msm.g$model$Coef)

	beta.iptw<-matrix(,nrow=n.sim,ncol=length(msm.beta.g), dimnames=list(NULL, msm.coef.names))
	beta.g<-matrix(,nrow=n.sim,ncol=length(msm.beta.g), dimnames=list(NULL, msm.coef.names))
	beta.dr<-matrix(,nrow=n.sim,ncol=length(msm.beta.g), dimnames=list(NULL, msm.coef.names))

#	beta.iptw.notr<-matrix(,nrow=n.sim,ncol=length(msm.beta.g), dimnames=list(NULL, msm.coef.names))
#n.large <- 200000
#obs.data.b <- create.obs.data.boot(n.large, y, a, v, w, afamily, yfamily, model.yaw=model.yaw.new, #model.aw=model.gaw.new);

# cat("Generate \"obs.data.b\".\n")
#y.b <- obs.data.b$y;
#a.b <- obs.data.b$a;
#w.b <- obs.data.b$w;
#v.b <- w.b[,index.v.inW];
		
#print(model.msm)
#print(model.yaw)
#print(model.aw)
#model.msm.true<- cvMSM.4ETA(y.b, a.b, v.b, w.b, data=NULL, yfamily, afamily, model.msm=model.msm, model.av=model.av, model.aw=model.aw, model.yaw=model.yaw, wt.censor=wt.censor, ncv=ncv, ncv.nuisance=ncv.nuisance, fitting='IPTW',  all3=TRUE, stable.wt=stable.wt, fixed.terms=fixed.terms, cv.risk=cv.risk, printout=FALSE);

#beta.true.iptw <- model.msm.true$IPTW$model.pbeta$coefficients
#beta.true.g <- model.msm.true$Gcomp$model.pbeta$coefficients
#beta.true.dr <- model.msm.true$DR$model.pbeta$coefficients

#beta.true <- list(iptw=beta.true.iptw, g=beta.true.g, dr=t(beta.true.dr))
#print(beta.true)
#rm(obs.data.b)

beta.true.g<- msm.beta.g
beta.true <- list(g=beta.true.g)

	for(i in 1:n.sim){
		cat("Bootstrap iteration #",i,"\n")
		obs.data.b <- create.obs.data.boot(n.b, y, a, v, w, afamily, yfamily, model.yaw=model.yaw.new, model.aw=model.gaw.new);

#		cat("Generate \"obs.data.b\".\n")
		y.b <- obs.data.b$y.b;
		a.b <- obs.data.b$a.b;
		w.b <- obs.data.b$w.b;
		v.b <- w.b[,index.v.inW];

		model.msm.boot<- cvMSM.4ETA(y.b, a.b, v.b, w.b, data=as.data.frame(obs.data.b), yfamily, afamily, model.msm=model.msm, model.av=model.av, model.aw=model.aw, model.yaw=model.yaw, wt.censor=wt.censor, ncv=ncv, ncv.nuisance=ncv.nuisance, fitting='IPTW',  all3=TRUE, stable.wt=stable.wt, fixed.terms=fixed.terms, printout=FALSE,g.lb=g.lb, g.ub=g.ub);
	
		beta.iptw[i,] <- model.msm.boot$IPTW$model.pbeta$coefficients
		beta.g[i,] <- model.msm.boot$Gcomp$model.pbeta$coefficients
		beta.dr[i,] <- model.msm.boot$DR$model.pbeta$coefficients

	}

	beta.iptw.mean <- apply(beta.iptw, 2, mean);
	beta.iptw.sd <- apply(beta.iptw, 2, sd);
		
	beta.g.mean <- apply(beta.g, 2, mean);
	beta.g.sd <- apply(beta.g, 2, sd);

	beta.dr.mean <- apply(beta.dr, 2, mean);
	beta.dr.sd <- apply(beta.dr, 2, sd);
	
	if(genplot){
		n.beta <- length(msm.beta.g)
		x11(); par(mfrow=c(ceiling(n.beta/2),2))
		suppressWarnings(
		for(i in 1:length(msm.beta.g)){
			hist(beta.iptw[,i],col=i+1, xlab=msm.coef.names[i])
			lines(c(msm.beta.g[i],msm.beta.g[i]),c(0,n.sim*.2),col=1,lwd=2)
		})
	
	#	Pause();
		x11(); 	par(mfrow=c(ceiling(n.beta/2),2))
		suppressWarnings(
		for(i in 1:length(msm.beta.g)){
			hist(beta.dr[,i],col=i+2, xlab=msm.coef.names[i])
			lines(c(msm.beta.g[i],msm.beta.g[i]),c(0,n.sim*.2),col=1,lwd=2)
		})

	#	Pause();
		x11(); 	par(mfrow=c(ceiling(n.beta/2),2))
		suppressWarnings(
		for(i in 1:length(msm.beta.g)){
			hist(beta.g[,i],col=i+3, xlab=msm.coef.names[i])
			lines(c(msm.beta.g[i],msm.beta.g[i]),c(0,n.sim*.2),col=1,lwd=2)
		})
	}
	
	cat("IPTW\n")
	distr.iptw <- rbind(Mean=beta.iptw.mean, SD=beta.iptw.sd)
	print(distr.iptw);	
	
	cat("Gcomp\n")
	print(rbind(Mean=beta.g.mean, SD=beta.g.sd));	

	cat("DR\n")
	print(rbind(Mean=beta.dr.mean, SD=beta.dr.sd));	

#	cat("Gcomp coefficents:", msm.beta.g,"\n")

	perc.g <- (beta.g.mean - beta.true$g)/beta.true$g
	perc.iptw <- (beta.iptw.mean - beta.true$g)/beta.true$g
	perc.dr <- (beta.dr.mean - beta.true$g)/beta.true$g
	cat("Relative Biases:\n")
	print(rbind(Gcomp=perc.g, IPTW=perc.iptw, DR=perc.dr))
	
#	print(msm.beta.dr)

	beta.orig <- rbind(Gcomp=msm.beta.g, IPTW=msm.beta.iptw, DR=msm.beta.dr)
	dimnames(beta.orig)[[2]] <- colnames(distr.iptw)
	cat("original beta:\n")
	print(beta.orig)

	if(attached) detach(2);

	peta <- beta.iptw.mean-msm.beta.g
	reta <- peta/msm.beta.g
	beta.iptw.adj <- msm.beta.iptw - peta;

	ETA.Bias=rbind(ETA.Bias=peta, rel.ETA.Bias=reta, Adjusted.IPTW=beta.iptw.adj);

	print(ETA.Bias);

	cat("Note: the result includes all bootstrap estimates which might be very long.");
	return(list(beta.true=beta.true, beta.orig = beta.orig, ETA.Bias=ETA.Bias, IPTW.Adj=beta.iptw.adj, IPTW=beta.iptw, Gcomp=beta.g, DR=beta.dr));
}

Pause <- function () { 
    cat("Hit <enter> to continue...")
    readline()
    invisible()
}


create.obs.data.boot <- function(n.b, y, a, v, w, afamily='binomial', yfamily='gaussian', model.yaw, model.aw)
{
	n <- length(y)
#	n.b <- n
	index.b <- sample(1:n, size=n.b, replace=TRUE)
	w.b <- w[index.b,]

	a.b <- cv.predict(w.b, model.aw, family=afamily)
#print(c(mean(a.b<.1),mean(a.b>.9)))

	if(afamily=='binomial'){
		ua<-runif(n.b,0,1)
		a.out<-rep(0,times=n.b)
		a.out[ua<a.b]<-1

	#	a.out <- a.b
	} else {
		a.hat <- cv.predict(w, model.aw, family=afamily)
		delta.a.hat <- sd(a-a.hat)
		a.out <- a.b + rnorm(n.b,0,delta.a.hat)
	}

	y.b <- cv.predict(cbind(a.out,w.b), model.yaw, family=yfamily)

	if(yfamily=='binomial'){
	#	uy<-runif(n.b,0,1)
	#	y.out<-rep(0,times=n.b)
	#	y.out[uy<y.b]<-1
		y.out <- y.b
	} else {
#		y.hat <- cv.predict(cbind(a,w), model.yaw, family=yfamily)
#		delta.y.hat <- sd(y-y.hat)
#		y.out <- y.b + rnorm(n.b,0,delta.y.hat)
		y.out <- y.b
	}

	obs.data <- list(y.b=y.out, a.b=a.out, w.b=w.b)
	return(obs.data)

}

pETA<-function(obs)
{
 bbar<-apply(obs$IPTW,2,mean)

 peta <- bbar-obs$beta.true$g

 reta <- peta/obs$beta.true$g

 print(peta)
 print(reta)

 return(rbind(peta,reta))
 
}
# this is not for checking ETA assumption. this is for np bootstrap, calculating se of beta.

check.ETA.np <- function(y, a, v, w, data=NULL, yfamily='gaussian', afamily='binomial', model.msm=NULL, model.aw=NULL, model.av=NULL, model.yaw=NULL, model.yyaw=NULL, wt.censor=NULL, ncv=5, ncv.nuisance=5,  stable.wt=TRUE, fixed.terms=NULL, n.sim, index.v.inW, mapping='DR', fitting='DR', g.lb=0.1, g.ub=0.9)
{
	v.mat <- as.matrix(v);
	n.b <- length(y);

	cc<-match.call()
#	print(cc)
	attached <- FALSE;
	if(!is.null(data)){ attach(data); attached <- TRUE}

#	for(i in 1:length(cc)) print(cc[[i]])
	name.y<-as.character(cc[[2]])
	name.a<-as.character(cc[[3]])
	if(is.null(dimnames(v)[[2]])) name.v <- as.character(cc[[4]]) else name.v <- dimnames(v)[[2]]
	if(is.null(dimnames(w)[[2]])) name.w <- as.character(cc[[5]]) else name.w <- dimnames(w)[[2]]

	w <- as.matrix(w);
	v.mat <- as.matrix(v);
	mat.aw <- cbind(a,w);
	
	names.av <- c(name.a,name.v); names.aw <- c(name.a,name.w);

	if(!is.null(model.msm$Model)) model.msm$Model <- listFormula(model.msm$Model, names.av)
	if(!is.null(model.aw$Model)) model.aw$Model <- listFormula(model.aw$Model, name.w)
	if(!is.null(model.av$Model)) model.av$Model <- listFormula(model.av$Model, name.v)
	if(!is.null(model.yaw$Model)) model.yaw$Model <- listFormula(model.yaw$Model, names.aw)
	if(!is.null(model.yyaw$Model)) model.yyaw$Model <- listFormula(model.yyaw$Model, names.aw)
	
	if(stable.wt){
		if(is.null(model.av$Model)){
			if(is.null(model.av$Size)) 	model.av$Size <- 10
			if(is.null(model.av$Order))	model.av$Order <- rep(1,ncol(v.mat))
			if(is.null(model.av$Int))     	model.av$Int   <- 1;
			cat("Model g(A|V): \n")
			model.gav <- cvGLM.4ETA(y=a, x=v, printout=FALSE, yx.model=av.Model, myfamily=afamily);
			model.gav.new <- model.gav$model.pbeta;
			model.av$Model <- model.gav.new$formula;
		} else {
			mat.v <- buildXw(v, model.av$Model);
			beta.gav <- coef(glm(a~mat.v, family=afamily));
			model.gav.new <- buildModel(model.av$Model, beta.gav);
		}
	}

	if(is.null(model.aw$Model)){
		if(is.null(model.aw$Size)) 	model.aw$Size  <- 10
		if(is.null(model.aw$Order))	model.aw$Order <- rep(1,ncol(w))
		if(is.null(model.aw$Int))     	model.aw$Int   <- 1;
		cat("Model g(A|W): \n")
		cv.model.gaw <- cvGLM.4ETA(y=a, x=w, printout=TRUE, yx.model=model.aw, myfamily=afamily);
		model.gaw.new <- cv.model.gaw$model.pbeta;
		model.aw$Model <- model.gaw.new$formula;
	} else {
		mat.w <- buildXw(w, model.aw$Model);
		beta.gaw <- coef(glm(a~mat.w, family=afamily));
		model.gaw.new <- buildModel(model.aw$Model, beta.gaw);
	}
		
	if(is.null(model.yaw$Model)){
		if(is.null(model.yaw$Size)) 	model.yaw$Size  <- 10
		if(is.null(model.yaw$Order))	model.yaw$Order <- c(1, rep(1,ncol(w)))
		if(is.null(model.yaw$Int))    	model.yaw$Int   <- 1;
		cat("Model E(Y|A,W):\n");
		cv.model.yaw <- cvGLM.4ETA(y=y,x=cbind(a,w), printout=FALSE, yx.model=model.yaw, myfamily=yfamily);
		model.yaw.new <- cv.model.yaw$model.pbeta;
		model.yaw$Model <- model.yaw.new$formula;
	} else {
		mat.aw <- buildXw(cbind(a,w),model.yaw$Model);
		beta.yaw <- coef(glm(y~mat.aw, family=yfamily));
		model.yaw.new <- buildModel(model.yaw$Model, beta.yaw);
	}

	if(is.null(model.msm$Model)){
		if(is.null(model.yyaw$Model)){
			if(is.null(model.yyaw$Size)) 	model.yyaw$Size  <- 10
			if(is.null(model.yyaw$Order))	model.yyaw$Order <- c(1, rep(1,ncol(w)))
			if(is.null(model.yyaw$Int))    	model.yyaw$Int   <- 1
			cat("Model E(Y^2|A,W):\n");
			cv.model.yyaw <- cvGLM.4ETA(y=y^2,x=cbind(a,w), printout=FALSE, yx.model=model.yyaw, myfamily=yfamily);
			model.yyaw.new <- cv.model.yyaw$model.pbeta;
			model.yyaw$Model <- model.yyaw.new$formula;
		}
	}

	if(is.null(model.msm$Model)){
		if(is.null(model.msm$Size)) 	model.msm$Size <- 10
		if(is.null(model.msm$Order))	model.msm$Order <- rep(1,ncol(v.mat)+1)
		if(is.null(model.msm$Int))     	model.msm$Int   <- 1;
	}

	model.msm.all<- cvMSM.4ETA(y, a, v, w, data, yfamily, afamily, model.msm=model.msm, model.av=model.av, model.aw=model.aw, model.yaw=model.yaw, model.yyaw=model.yyaw, wt.censor=wt.censor, ncv=ncv, ncv.nuisance=ncv.nuisance, mapping='Gcomp', fitting='Gcomp', all3=TRUE, stable.wt=stable.wt, fixed.terms=fixed.terms, g.lb=g.lb, g.ub=g.ub) 

#	if(is.null(model.msm$Model)) model.msm$Model <- model.msm.g$model.pbeta$formula;
	
	msm.beta.g <- model.msm.all$Gcomp$model.pbeta$coef;
	msm.beta.iptw <- model.msm.all$IPTW$model.pbeta$coef;
	msm.beta.dr <- model.msm.all$DR$model.pbeta$coef;
	msm.coef.names <- names(model.msm.all$Gcomp$model$Coef)

	beta.iptw<-matrix(,nrow=n.sim,ncol=length(msm.beta.g), dimnames=list(NULL, msm.coef.names))
	beta.g<-matrix(,nrow=n.sim,ncol=length(msm.beta.g), dimnames=list(NULL, msm.coef.names))
	beta.dr<-matrix(,nrow=n.sim,ncol=length(msm.beta.g), dimnames=list(NULL, msm.coef.names))

	for(i in 1:n.sim){
		cat("Bootstrap iteration #",i,"\n")
		obs.data.b <- create.obs.data.boot.np(n.b, y, a, v, w,wt.censor);

#		cat("Generate \"obs.data.b\".\n")
		y.b <- obs.data.b$y;
		a.b <- obs.data.b$a;
		w.b <- obs.data.b$w;
		v.b <- w.b[,index.v.inW];
		wt.censor.b <- obs.data.b$wt.censor
# data=as.data.frame(obs.data.b),		
		model.msm.boot<- cvMSM.4ETA(y.b, a.b, v.b, w.b, data=NULL, yfamily, afamily, model.msm=model.msm, model.av=model.av, model.aw=model.aw, model.yaw=model.yaw, wt.censor=wt.censor.b, ncv=ncv, ncv.nuisance=ncv.nuisance, fitting='IPTW',  all3=TRUE,  stable.wt=stable.wt, fixed.terms=fixed.terms, printout=FALSE, g.lb=g.lb, g.ub=g.ub);
	
		beta.iptw[i,] <- model.msm.boot$IPTW$model.pbeta$coefficients
		beta.g[i,] <- model.msm.boot$Gcomp$model.pbeta$coefficients
		beta.dr[i,] <- model.msm.boot$DR$model.pbeta$coefficients

	}

	storage.mode(beta.iptw) <- "numeric"
	storage.mode(beta.g) <- "numeric"
	storage.mode(beta.dr) <- "numeric"

	beta.iptw.mean <- apply(beta.iptw, 2, mean.nona);
	beta.iptw.sd <- apply(beta.iptw, 2, sd.nona);
		
	beta.g.mean <- apply(beta.g, 2, mean.nona);
	beta.g.sd <- apply(beta.g, 2, sd.nona);

	beta.dr.mean <- apply(beta.dr, 2, mean.nona);
	beta.dr.sd <- apply(beta.dr, 2, sd.nona);

	n.beta <- length(msm.beta.g)
	x11(); par(mfrow=c(ceiling(n.beta/2),2))
	
	suppressWarnings(
	for(i in 1:length(msm.beta.g)){
		hist(beta.iptw[,i],col=i+1, xlab=msm.coef.names[i])
		lines(c(msm.beta.g[i],msm.beta.g[i]),c(0,n.sim*.2),col=1,lwd=2)
		lines(c(msm.beta.iptw[i],msm.beta.iptw[i]),c(0,n.sim*.2),col=1,lwd=2,lty=2)
		lines(c(msm.beta.dr[i],msm.beta.dr[i]),c(0,n.sim*.2),col=1,lwd=2,lty=3)
	})
	
#	Pause();
	x11(); 	par(mfrow=c(ceiling(n.beta/2),2))
	suppressWarnings(
	for(i in 1:length(msm.beta.g)){
		hist(beta.dr[,i],col=i+2, xlab=msm.coef.names[i])
		lines(c(msm.beta.g[i],msm.beta.g[i]),c(0,n.sim*.2),col=1,lwd=1)
		lines(c(msm.beta.iptw[i],msm.beta.iptw[i]),c(0,n.sim*.2),col=1,lwd=1,lty=2)
		lines(c(msm.beta.dr[i],msm.beta.dr[i]),c(0,n.sim*.2),col=1,lwd=1,lty=3)
	})

#	Pause();
	x11(); 	par(mfrow=c(ceiling(n.beta/2),2))
	suppressWarnings(
	for(i in 1:length(msm.beta.g)){
		hist(beta.g[,i],col=i+3, xlab=msm.coef.names[i])
		lines(c(msm.beta.g[i],msm.beta.g[i]),c(0,n.sim*.2),col=1,lwd=2)
		lines(c(msm.beta.iptw[i],msm.beta.iptw[i]),c(0,n.sim*.2),col=1,lwd=2,lty=2)
		lines(c(msm.beta.dr[i],msm.beta.dr[i]),c(0,n.sim*.2),col=1,lwd=2,lty=3)
	})
	
	cat("IPTW\n")
	print(rbind(Mean=beta.iptw.mean, SD=beta.iptw.sd));	
	
	cat("Gcomp\n")
	print(rbind(Mean=beta.g.mean, SD=beta.g.sd));	

	cat("DR\n")
	print(rbind(Mean=beta.dr.mean, SD=beta.dr.sd));	

	cat("IPTW coefficents:", msm.beta.iptw,"\n")
	cat("Gcomp coefficents:", msm.beta.g,"\n")
	cat("DR coefficents:", msm.beta.dr,"\n")


	if(attached) detach(2);


	return(list(IPTW=beta.iptw, Gcomp=beta.g, DR=beta.dr, beta.g = msm.beta.g, beta.iptw = msm.beta.iptw, beta.dr = msm.beta.dr));
}

Pause <- function () { 
    cat("Hit <enter> to continue...")
    readline()
    invisible()
}


create.obs.data.boot.np <- function(n.b, y, a, v, w, wt.censor)
{
	n <- length(y)
	n.b <- n
	index.b <- sample(1:n, size=n.b, replace=TRUE)

	obs.data <- list(y=y[index.b], a=a[index.b], w=w[index.b,],wt.censor=wt.censor[index.b])
	return(obs.data)

}

mean.nona <- function(x, ...)
{
	return(mean(as.numeric(x),na.rm=TRUE))
}

sd.nona <- function(x)
{	
	return(sd(as.numeric(x), na.rm=TRUE))
}

create.obs.data <- function(w, afamily='binomial', yfamily='gaussian', model.yaw, model.aw)
{
	w <- as.matrix(w);
	n <- nrow(w);

	a <- cv.predict(w, model.aw, family=afamily);
	
	if(afamily=='binomial'){
		ua<-runif(n,0,1);
		a.out<-rep(0,times=n);
		a.out[ua<a]<-1;
	} else {
		delta.a.hat <- 1;
		a.out <- a + rnorm(n,0,delta.a.hat);
	}
	a <- a.out

	y <- cv.predict(cbind(a,w), model.yaw, family=yfamily);

	if(yfamily=='binomial'){
		uy<-runif(n,0,1);
		y.out<-rep(0,times=n);
		y.out[uy<y]<-1;
	} else {
		delta.y.hat <- 1;
		y.out <- y + rnorm(n,0,delta.y.hat);
	}

	obs.data <- data.frame(y=y.out, a=a, w);
	return(obs.data);
}

cv.predict <- function(w, model, family='gaussian')
{
	if(is.character(model$formula)) model$formula <- listFormula(model$formula, colnames(w));

	p.vec <- model$formula;
	beta <- model$coef;

	design.mat <- buildXw(w, p.vec)

	y.hat <- cbind(1, design.mat) %*% beta;
	if(family=='binomial')
		y.hat <- 1/(1+exp(-y.hat))

	return(y.hat);
}

plot.outcome.CDF <- function(w, model, family='gaussian', cutoff=0.1, ...){
	if(family=='binomial'){
		if(cutoff>0.5) cutoff <- 1-cutoff
	}
	
	p.vec <- model$formula;
	beta <- model$coef;
	design.mat <- buildXw(w, p.vec)

	y.hat <- cbind(1, design.mat) %*% beta;
	if(family=='binomial')
		y.hat <- 1/(1+exp(-y.hat))
	
	plot(sort(y.hat),seq(1:length(y.hat))/length(y.hat),type='s',lty=c(1),col=2,xlab="Outcome",ylab="Empirical CDF", ...)

	lines(c(cutoff,cutoff),c(0,1), lty=2, col=4);
	
	if(family=='binomial'){
		lines(c(1-cutoff,1-cutoff),c(0,1), lty=2, col=4);
		violation <- sum(y.hat<cutoff | y.hat>1-cutoff)/length(y.hat)
		title(paste("violation rate: ", violation*100, "%") )
	}
	
#	legend(0.6*max(x),0.5,c("IPTW","G","DR"),lty=c(1,2,4),col=1:3)
	
#	return(y.hat);
}

listFormula <- function(form, w.names)
{
	if(form=="NULL") return(NULL)
	n <- 1
	ncol <- length(w.names)
	temp.split <- strsplit(form,"\\+")[[1]]
	model.list <- list(1)
	for(i in 1:length(temp.split)){
		model.list[[i]] <- rep(0,ncol)
#		print(temp.split[i])
		sub.split <- strsplit(temp.split[i],"\\:")[[1]]
#		print(sub.split)
		for(j in 1:length(sub.split)){
			subsub.split <- strsplit(sub.split[j], "\\^")[[1]]
#			cat(j,":")
#			print(subsub.split)
			index <- seq(1:ncol)[w.names==subsub.split[1]]
			if(length(subsub.split)==1){
				model.list[[i]][index] <- 1
			} else {
				model.list[[i]][index] <- as.numeric(subsub.split[2])
			}
		}
	}

	return(model.list)
}# less print

cvGLM.4ETA <- function(y,x,ncv=5, yx.model=NULL, myfamily='gaussian', weight=NULL,  detail=FALSE, printout=FALSE, rep.ID=0, ID=NULL) 
{ 
   x <- as.matrix(x);
   model <- yx.model$Model; maxSize <- yx.model$Size; xorder.max <- yx.model$Order; 
   interactions <- yx.model$Int;
   
   if(is.null(model)){
   	if(is.null(interactions)) interactions <- 1;
   	if(is.null(maxSize)) maxSize <- 10
   	if(is.null(xorder.max)) xorder.max <- rep(1,ncol(x));
   }

   if(printout){
   	cat("call: \ncvGLM( y, x, ncv =",as.character(ncv),",\n");
   	cat("      model =",ifelse(is.null(model), "NULL", as.character(show.formula(dimnames(x)[[2]],list(model)))), ",\n");
   	cat("      xorder.max = (",as.character(xorder.max), "), maxSize =", as.character(maxSize), "\n");
   	cat("      myfamily =", as.character(myfamily), ", interactions =",as.character(interactions), ",\n");
   	cat("      weight =",ifelse(is.null(weight),"NULL","weight"),", printout =", as.character(printout),",\n");
   	cat("      detail =",as.character(detail),")\n");
   }
  
   if(is.null(weight)) weight <- rep(1,length(y));
  
   if(is.null(model)){
	risk.candidate <- matrix(,nrow=maxSize+1,ncol=interactions)
	for(i in 1:interactions){
		risk.candidate[,i] <- riskGLM(y,x,ncv, myfamily, weight, xorder.max, interactions=i, maxSize, detail, printout, rep.ID, ID);
	}
	if(printout) print(risk.candidate);

	# best.size is actually best.row+1, matrix starts with size 0
	best.row <- order(risk.candidate)[1] %% nrow(risk.candidate);
	if(best.row==0) best.row<-nrow(risk.candidate);
	best.int <- (order(risk.candidate)[1] - best.row) / nrow(risk.candidate) + 1;
	min.risk <- min(risk.candidate);

	if(1==0){
		print(nrow(risk.candidate)); print(order(risk.candidate));
		print(order(risk.candidate)[1])	; print(min.risk);
		print(best.row); print(best.int);
	}
	
	best.size <- best.row - 1;
	best.model <- dsa.GLM.erisk(y,x,xorder.max,myfamily,interactions=best.int,weight, maxSize, detail,fun.find=findGLM.emp.minrisk, fun.erisk=emp.risk,printout)[[best.row]]
	if(printout) print(cv.risk(y,x,ncv,myfamily,weight,best.model))
	cat("CV selects: size = ",best.size,  ", interactions = ", best.int, " with min.risk: ",min.risk,"\n")
	x.mat <- buildXw(x,best.model)
	beta <- coef(glm(y~x.mat,family=myfamily,weights=weight))
	
	model.pbeta <- buildModel(best.model,beta)
	print(show.formula(dimnames(x)[[2]],model.pbeta))
#	return(model.pbeta)

	return(list(model=show.formula(dimnames(x)[[2]],model.pbeta), model.pbeta=model.pbeta,risk.mat=risk.candidate))
   } else {
   	cat("Fitting the model...\n")
   	pcollect <- model
#  	min.risk <- cv.risk(y,x,ncv,myfamily,weight,pcollect)
#  	cat("CV risk: ",min.risk,"\n")

	x.mat <- buildXw(x,pcollect)
	beta <- coef(glm(y~x.mat,family=myfamily,weights=weight))
   	beta[is.na(beta)]<-0
	model.pbeta <- buildModel(pcollect,beta)
   	print(show.formula(dimnames(x)[[2]],model.pbeta))
#  	print(model)
   	return(model.pbeta)
   }
}

cvMSM.4ETA <- function(y, a, v, w, data=NULL, yfamily='gaussian', afamily='binomial', model.msm=NULL, model.aw=NULL, model.av=NULL, model.yaw=NULL, model.yyaw=NULL, wt.censor=NULL, ncv=5, ncv.nuisance=5, mapping='DR', fitting='DR', all3=FALSE, stable.wt=TRUE, fixed.terms=NULL, cv.risk=FALSE,printout=TRUE,dyn.treat=NULL, dyn.cutoff=NULL, rep.ID=0, ID=NULL, g.lb=0.1, g.ub=0.9) 
{
	cc<-match.call()
#	print(cc)
	attached <- FALSE;
	if(!is.null(data)){ attach(data); attached <- TRUE}

#	for(i in 1:length(cc)) print(cc[[i]])
	name.y<-as.character(cc[[2]])
	name.a<-as.character(cc[[3]])
	if(is.null(dimnames(v)[[2]])) name.v <- as.character(cc[[4]]) else name.v <- dimnames(v)[[2]]
	if(is.null(dimnames(w)[[2]])) name.w <- as.character(cc[[5]]) else name.w <- dimnames(w)[[2]]

	w <- as.matrix(w);
	v.mat <- as.matrix(v);
	mat.aw <- cbind(a,w);
	
	names.av <- c(name.a,name.v); names.aw <- c(name.a,name.w);

	msm.Model <- model.msm$Model; msm.Size <- model.msm$Size; msm.Order <- model.msm$Order; 
	msm.Int <- model.msm$Int;
	if(is.null(msm.Model)){
		if(is.null(msm.Size)) 	msm.Size <- 10
		if(is.null(msm.Order)){
			msm.Order <- c(1, rep(1,ncol(v.mat)))
			if(is.null(dyn.cutoff)==0) msm.Order <- c(rep(1, length(dyn.cutoff[[1]]) + ncol(v.mat)))		
		}
		if(is.null(msm.Int))    msm.Int   <- 1
	} else {
		if(!is.null(dyn.treat)){
			name.rule <- paste("R",seq(1:length(dyn.cutoff[[1]])),sep="")
			print(name.rule)
			names.av <- c(name.rule,name.v)
			print(names.av)
		}
#		model.msm$Model <- listFormula(msm.Model, names.av)
	}

	detail <- FALSE;

	if(printout) {
		print.function(y, a, v, w, data, yfamily, afamily, model.msm, model.aw, model.av, model.yaw, model.yyaw, wt.censor, ncv, ncv.nuisance, mapping, fitting, all3, stable.wt, fixed.terms, cv.risk, name.y, name.a, name.v, name.w, names.av, names.aw, rep.ID);
		cat("Number of observations: ", length(y), "\n");
		cat(ncv, "-fold Cross-validation \n");
	}
	
	if(is.null(wt.censor)) wt.censor <- rep(1,length(y));

	nui.models <- nuisance.models(y,a,v,w, yfamily, afamily, model.msm, model.av, model.aw, model.yaw, model.yyaw, ncv, ncv.nuisance, name.y, name.a, name.v, name.w, names.aw, stable.wt, mapping, fitting, all3, rep.ID, ID);
	
	fmodel.av <- nui.models$av; 	fmodel.aw <- nui.models$aw; 
	fmodel.yaw <- nui.models$yaw; 	fmodel.yyaw <- nui.models$yyaw;
	
	if(!is.null(dyn.treat)){
		cat("Dynamic Treatments...\n");
		names.av <- c(paste("R",1:length(dyn.cutoff[[1]]),sep=""),name.v);
	}

	if(!is.null(msm.Model)){
		cat("\nFit the given MSM...\n")
#		cat(fitting, "estimator:\n")
		
	   if(!is.null(dyn.treat)){
		beta.fit <- fitMSM.dynamic(y, a,v.mat,w,yfamily,afamily, model.msm$Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, dyn.treat=dyn.treat, dyn.cutoff=dyn.cutoff, g.lb=g.lb)
		
		   if(printout) {print(beta.fit)}
		return(beta.fit)
	   } else {	
#		if(cv.risk) {
#			msm.risk <- cvmsm.risk(y, a, v.mat, w, yfamily, afamily, model.msm$Model, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, stable.wt, fixed.terms, dyn.treat, dyn.cutoff)
#			cat("Cross-validation Risk =",msm.risk,"\n")
#			print(loss.compute(beta.fit, y,y, a,a, v,v, w,w, yfamily,afamily, msm.Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], fmodel.yyaw[[ncv+1]], wt.censor, wt.censor, mapping, stable.wt, fixed.terms))
#		}
		
		if(all3){
			#IPTW
			beta.fit.iptw <- fitMSM(y,a,v.mat, w, yfamily, afamily, model.msm$Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting='IPTW', stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub)
			if(printout) {print(beta.fit.iptw)}
			if(beta.fit.iptw[1]=="N") beta.fit.iptw<- rep("NA",length(model.msm$Model)+1)
			model.msm.i <- buildModel(model.msm$Model,beta.fit.iptw);
			model.msm.result<- show.formula(names.av,model.msm.i);
			print(model.msm.result);
			model.msm.iptw <- list(model=model.msm.result, model.pbeta=model.msm.i);
			
			#Gcomp
			beta.fit.g <- fitMSM(y,a,v.mat,w, yfamily,afamily,model.msm$Model,fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting='Gcomp', stable.wt=FALSE, fixed.terms, g.lb=g.lb, g.ub=g.ub)
			if(printout) {print(beta.fit.g)}
			if(beta.fit.g[1]=="N") beta.fit.g<- rep("NA",length(model.msm$Model)+1)
			model.msm.g <- buildModel(model.msm$Model,beta.fit.g)
			model.msm.result<- show.formula(names.av,model.msm.g)
			if(printout) {print(model.msm.result)}
			model.msm.g <- list(model=model.msm.result, model.pbeta=model.msm.g)

			#DR
			beta.fit.dr <- fitMSM(y,a,v.mat,w,yfamily,afamily,model.msm$Model,fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting='DR', stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub)
			if(beta.fit.dr[1]=="N") beta.fit.dr<- rep("NA",length(model.msm$Model)+1)
			model.msm.dr <- buildModel(model.msm$Model,beta.fit.dr)
			model.msm.result<- show.formula(names.av,model.msm.dr)
			if(printout) {print(model.msm.result)}
			model.msm.dr <- list(model=model.msm.result, model.pbeta=model.msm.dr)
			
			if(attached) detach(2)
			return(list(IPTW=model.msm.iptw,Gcomp=model.msm.g, DR=model.msm.dr))
		} else {
			if(fitting=='Gcomp') stable.wt<-FALSE;

			if(is.null(dyn.treat)){
				beta.fit <- fitMSM(y,a,v.mat,w,yfamily,afamily,model.msm$Model,fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub)
			} else {
				beta.fit <- fitMSM.dynamic(y, a,v.mat,w,yfamily,afamily, model.msm$Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, dyn.treat=dyn.treat, dyn.cutoff=dyn.cutoff, g.lb=g.lb)
			}

			sd<-varMSM(y,a,v.mat,w, beta.fit, yfamily,afamily, p.current=model.msm$Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub)
			model.msm <- buildModel(model.msm$Model,beta.fit);
			model.msm.result<- show.formula(names.av,model.msm);
			if(printout) {
				print(model.msm.result);
				print(sd)
			}

			if(attached) detach(2)
			return(list(model=model.msm.result, model.pbeta=model.msm));
		}
	    }
	    
	} else {
	   if(all3){
	   	#  IPTW ESTIMATOR
	   	mapping <- fitting <- 'IPTW';
		model.iptw<-select.msm(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub);
		
	   	#  Gcomp ESTIMATOR
	   	mapping <- fitting <- 'Gcomp';
		model.g <- select.msm(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub);
		
	   	#  DR ESTIMATOR
	   	mapping <- fitting <- 'DR';
	   	model.dr <- select.msm(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub);
		
		if(attached) detach(2)
		return(list(IPTW=model.iptw,Gcomp=model.g,DR=model.dr))
	   } else {
		if(!is.null(dyn.treat) & is.null(dyn.cutoff)){
		# dynamic treatment fit, but no cutoff is given. fit seperated models
			msm <- list(1)
			for(i in 1:ncol(dyn.treat)){
				msm.Order[1] <- 0
				msm[[i]] <- select.msm(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat[,i], dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub)
			}
		
		} else {
			msm <- select.msm(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub)
		}
		
		if(attached) detach(2)
		   if(printout) {print(msm)}
		return(msm);
	   }
	}
}# 9/21/04
#GLM using density difference as the loss function
#10/5/04  with no print option
#11/1/04  change to yx.model=list(Model=, Size=, Order=xorder.max, Int=interactions)

#cvGLM(y,xmat,xorder.max=c(1,1,1,1),interactions=2,maxSize=4)
#7/1/05 delete accuracy=1e-05

cvDCY <- function(y,a,v,w, data=NULL, yfamily='gaussian', afamily='binomial', model.dcy=NULL, model.aw=NULL, model.av=NULL, model.yaw=NULL, model.yyaw=NULL, model.yw0=NULL, model.yw1=NULL, wt.censor=NULL, ncv=5, ncv.nuisance=5, mapping='DR', fitting='DR', detail=FALSE, printout=FALSE, rep.ID=0, ID=NULL, all3=FALSE, stable.wt=FALSE, g.lb=0.1, g.ub=0.9) 
{ 
	cc<-match.call()
	attached <- FALSE
	if(!is.null(data)){ attach(data); attached <- TRUE}
	
	name.y<-as.character(cc[[2]])
	name.a<-as.character(cc[[3]])
	if(is.null(v)){ v <- as.matrix(cbind(v.null=rep(1,length(a)))); name.v <- dimnames(v)[[2]];}
	else{
		 if(is.null(dimnames(v)[[2]])) name.v <- as.character(cc[[4]]) 
			else name.v <- dimnames(v)[[2]]
	}
	if(is.null(dimnames(w)[[2]])) name.w <- as.character(cc[[5]]) else name.w <- dimnames(w)[[2]]

	w <- as.matrix(w);
#	v.mat <- as.matrix(v);
	mat.aw <- cbind(a,w);
	
	names.av <- c(name.a,name.v); names.aw <- c(name.a,name.w);

	if(!is.null(model.dcy$Model)) model.dcy$Model <- listFormula(model.dcy$Model, name.v)
	if(!is.null(model.aw$Model)) model.aw$Model <- listFormula(model.aw$Model, name.w)
	if(!is.null(model.av$Model)) model.av$Model <- listFormula(model.av$Model, name.v)
	if(!is.null(model.yaw$Model)) model.yaw$Model <- listFormula(model.yaw$Model, names.aw)
	if(!is.null(model.yyaw$Model)) model.yyaw$Model <- listFormula(model.yyaw$Model, names.aw)

	if(is.null(wt.censor)) wt.censor <- rep(1,length(y));

	if(!is.null(model.yw0) & !is.null(model.yw1) & is.null(model.yaw) & mapping=='Gcomp') model.yaw$Model <- "something";

	model.yyaw <- model.yaw;
	fitting <- mapping;

	nui.models <- nuisance.models(y,a,v,w, yfamily, afamily, model.dcy, model.av, model.aw, model.yaw, model.yyaw, ncv, ncv.nuisance, name.y, name.a, name.v, name.w, names.aw, stable.wt, mapping, fitting, all3, rep.ID, ID);
	
	fmodel.av <- nui.models$av; 	fmodel.aw <- nui.models$aw; 
	fmodel.yaw <- nui.models$yaw; 	fmodel.yyaw <- nui.models$yyaw;
	
	if(is.null(model.dcy$Model)){
   		if(is.null(model.dcy$Int)) model.dcy$Int <- 1;
   		if(is.null(model.dcy$Size)) model.dcy$Size <- 10
   		if(is.null(model.dcy$Order)) model.dcy$Order <- rep(1,ncol(v));
   	}
 	
	if(printout){
	   	cat("call: \ncvDCY( y, a, v, w, ncv =",as.character(ncv), ", ncv.nuisance =", as.character(ncv.nuisance), ",\n");
   		cat("      model.dcy$Model =",ifelse(is.null(model.dcy$Model), "NULL", as.character(show.formula(dimnames(v)[[2]],list(model.dcy$Model)))), ",\n");
   		cat("      model.dcy$Order = (",as.character(model.dcy$Order), "), model.dcy$Size =", as.character(model.dcy$Size), "\n");
   		cat("      yfamily =", as.character(yfamily), ", model.dcy$Int =",as.character(model.dcy$Int), ",\n");
   		cat("      weight =",ifelse(is.null(wt.censor),"NULL","weight"),", printout =", as.character(printout),",\n");
   		cat("      detail =",as.character(detail),")\n");
   	}
  
  	if(is.null(wt.censor)) wt.censor <- rep(1,length(y));
  
	v<-as.matrix(v)
	dimnames(v)[[2]]<-c(name.v)

	if(is.null(model.dcy$Model)){
		risk.candidate <- matrix(,nrow=model.dcy$Size+1,ncol=model.dcy$Int);
		max.Int <- model.dcy$Int;
		for(i in 1:max.Int){
			model.dcy$Int <- i;
			risk.candidate[,i] <- riskDCY(y,a,v,w,ncv, yfamily, afamily, model.dcy, mapping, fitting, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, model.yw0, model.yw1, wt.censor, detail,printout, rep.ID, ID, g.lb=g.lb, g.ub=g.ub);
		}
	
		rownames<-paste("size=",0:model.dcy$Size,sep="");
		colnames<-paste("int=",1:max.Int,sep="");
		dimnames(risk.candidate) <- list(rownames,colnames);
		if(printout){
			cat("Table of cross-validation risks:\n");
			print(risk.candidate);
		}

		# best.size is actually best.row+1, matrix starts with size 0
		best.row <- order(risk.candidate)[1] %% nrow(risk.candidate);
		if(best.row==0) best.row<-nrow(risk.candidate);
		best.int <- (order(risk.candidate)[1] - best.row) / nrow(risk.candidate) + 1;
		min.risk <- min(risk.candidate);

		if(1==0){
			print(nrow(risk.candidate)); print(order(risk.candidate));
			print(order(risk.candidate)[1])	; print(min.risk);
			print(best.row); print(best.int);
		}
	
		best.size <- best.row - 1;
	
		if(mapping=='IPTW'){
			dcy <- dcy.iptw(y,a,w, afamily, fmodel.aw[[ncv+1]], g.lb=g.lb, g.ub=g.ub);
		} 
		if(mapping=='DR'){
			dcy <- dcy.dr(y,a,w, yfamily, afamily, fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], model.yw0, model.yw1, g.lb=g.lb, g.ub=g.ub);	
		}	
		if(mapping=='Gcomp'){
			dcy <- dcy.gcomp(y,a,w, yfamily, fmodel.yaw[[ncv+1]], model.yw0, model.yw1);
		}
	
		xorder.max <- model.dcy$Order; interactions=max.Int;
		maxSize <- model.dcy$Size;

		best.model <- dsa.GLM.erisk(dcy, v, xorder.max, myfamily='gaussian', interactions=best.int, wt.censor, maxSize,detail, fun.find=findGLM.emp.minrisk, fun.erisk=emp.risk,printout)[[best.row]]
	
#	print(best.model)

		cat("CV selects: size = ",best.size,  ", interactions = ", best.int, " with min CV-Risk: ",min.risk,"\n");
		x.mat <- buildXw(v,best.model)

		beta <- coef(glm(dcy~x.mat,family='gaussian',weights=wt.censor));
		beta[is.na(beta)] <- 0;
		model.pbeta <- buildModel(best.model,beta);
		print(show.formula(dimnames(v)[[2]],model.pbeta));

		return(list(model=show.formula(dimnames(v)[[2]],model.pbeta), model.pbeta=model.pbeta,risk.mat=risk.candidate));
   	}
   	else{
	   	cat("Fitting the model...\n");
	   	pcollect <- model.dcy$Model;
 	
		x.mat <- buildXw(v,pcollect);

		if(mapping=='IPTW'){
			dcy <- dcy.iptw(y,a,w, afamily, fmodel.aw[[ncv+1]], g.lb=g.lb, g.ub=g.ub);
		}
		if(mapping=='DR'){
			dcy <- dcy.dr(y,a,w, yfamily, afamily, fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], model.yw0, model.yw1, g.lb=g.lb, g.ub=g.ub);
		}
		if(mapping=='Gcomp'){
			dcy <- dcy.gcomp(y,a,w, yfamily, fmodel.yaw[[ncv+1]], model.yw0, model.yw1);
		}

		beta <- coef(glm(dcy~x.mat,family='gaussian',weights=wt.censor));
   		beta[is.na(beta)]<-0;
		model.pbeta <- buildModel(pcollect,beta);
   		print(show.formula(dimnames(v)[[2]],model.pbeta));
#   	print(model);
	
		if(attached) detach(2);
   		return(model.pbeta);
   	}
	
}

#5/4/05 add rep.ID and ID, indicator if there is repeated ID. 
riskDCY <- function(y,a,v,w,ncv, yfamily='gaussian', afamily='binomial', model.dcy, mapping, fitting, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw=NULL, model.yw0=NULL, model.yw1=NULL, weight, detail,printout, rep.ID, ID, g.lb, g.ub){
	nobs <- length(y);
#	nxmat <- ncol(xmat);
	name.v <- dimnames(v)[[2]];
	if(rep.ID==0){
		index <- seq(1:nobs)%%ncv;
		index[index==0] <- ncv;
	} else {
		ID.unique<-unique(ID);
		res.unique <- seq(1:length(ID.unique))%%ncv;
		index <- rep(1,nobs);
		for(i in 1:length(ID.unique))
			index[ID==ID.unique[i]]<-res.unique[i];
		index[index==0] <- ncv;
	}
	
	xorder.max <- model.dcy$Order; interactions=model.dcy$Int;
	maxSize <- model.dcy$Size;
	
	risk <- matrix(,nrow=maxSize+1,ncol=ncv);
	for(i in 1:ncv){
		y.val <- y[index==i];	y.train <- y[index!=i];
		a.val <- a[index==i];	a.train <- a[index!=i];
		v.val <- v[index==i,];	v.train <- v[index!=i,];
		w.val <- w[index==i,];	w.train <- w[index!=i,];
		weight.val <- weight[index==i];  weight.train <- weight[index!=i];

		v.val<- as.matrix(v.val); dimnames(v.val)[[2]] <- c(name.v);
		v.train<- as.matrix(v.train); dimnames(v.train)[[2]] <- c(name.v);

		if(mapping=='IPTW'){
			dcy.train <- dcy.iptw(y.train,a.train,w.train, afamily, fmodel.aw[[i]], g.lb=g.lb, g.ub=g.ub);
			dcy.val <- dcy.iptw(y.val,a.val,w.val, afamily, fmodel.aw[[i]], g.lb=g.lb, g.ub=g.ub);
		}

		if(mapping=='DR'){
			dcy.train <- dcy.dr(y.train,a.train,w.train, yfamily, afamily, fmodel.aw[[i]], fmodel.yaw[[i]], model.yw0, model.yw1, g.lb=g.lb, g.ub=g.ub);
			dcy.val <- dcy.dr(y.val,a.val,w.val, yfamily, afamily, fmodel.aw[[i]], fmodel.yaw[[i]], model.yw0, model.yw1, g.lb=g.lb, g.ub=g.ub);			
		}

		if(mapping=='Gcomp'){
			dcy.train <- dcy.gcomp(y.train,a.train,w.train, yfamily, fmodel.yaw[[i]], model.yw0, model.yw1);
			dcy.val <- dcy.gcomp(y.val,a.val,w.val, yfamily, fmodel.yaw[[i]], model.yw0, model.yw1);
		}
		
		candidate <- dsa.GLM.erisk(dcy.train, v.train, xorder.max, myfamily='gaussian', interactions, weight.train, maxSize, detail, fun.find=findGLM.emp.minrisk, fun.erisk=emp.risk,printout=printout, detail=detail);

		for(j in 1:length(candidate)){			
			p.current <- candidate[[j]];
			vmat.train <- buildXw(v.train,p.current);
			vmat.val <- buildXw(v.val,p.current);
			if(sum(unlist(p.current))==0)	beta <- coef(glm(dcy.train~1,family='gaussian',weights=weight.train))
			else{	
				beta <- coef(glm(dcy.train~vmat.train,family='gaussian',weights=weight.train));
#				print(beta);
				beta[is.na(beta)] <- 0;
			}
#print(p.current)
			risk[j,i] <- lossGLM(beta,dcy.train,dcy.val,vmat.val,'gaussian',weight.val);
		}
		if(length(candidate)<maxSize+1){
			risk[is.na(risk[,i])==1,i]<-risk[length(candidate),i];
		}
	}
	risk.mean <- apply(risk,1,mean);
	if(printout){
		cat(ncv,"-fold Cross-validation riskes:\n");
		temp <- cbind(risk,risk.mean);
		rownames <- paste("size=",0:(nrow(temp)-1),sep="");
		colnames <- c(paste("val.set",1:(ncol(temp)-1),sep=" "), "average");
		dimnames(temp) <-list(rownames, colnames);
		print(temp);
	}
	
	return(risk.mean);
}

dcy.gcomp <- function(y,a,w, yfamily, model.yaw, model.yw0, model.yw1)
{
	mf.a0 <- model.yw0; mf.a1 <- model.yw1;
	if(!is.null(mf.a0) & !is.null(mf.a1)) {
		data.yaw <- as.data.frame(cbind(y,a,w));
		data.yw.0 <- as.data.frame(data.yaw[a==0,]);
		data.yw.1 <- as.data.frame(data.yaw[a==1,]);
		reg.yw.a0 <- glm(mf.a0,data=data.yw.0);
		reg.yw.a1 <- glm(mf.a1,data=data.yw.1);

		data.yaw.a0 <- data.yaw.a1 <- data.yaw;
		data.yaw.a0$a <- 0; data.yaw.a1$a <- 1;
		yw.hat.a0 <- predict(reg.yw.a0,newdata=data.yaw.a0);
		yw.hat.a1 <- predict(reg.yw.a1,newdata=data.yaw.a1);
	} else {
		yaw.mat <- buildXw(cbind(a,w),model.yaw);
		beta.yaw.a0 <- coef(glm(y~yaw.mat,family=yfamily,subset=(a==0)));
		beta.yaw.a0[is.na(beta.yaw.a0)] <- 0;
		beta.yaw.a1 <- coef(glm(y~yaw.mat,family=yfamily,subset=(a==1)));
		beta.yaw.a1[is.na(beta.yaw.a1)] <- 0;
			
		ya1w.mat <- buildXw(cbind(1,w),model.yaw);
		ya0w.mat <- buildXw(cbind(0,w),model.yaw);
			
		yw.hat.a1<- cbind(1, ya1w.mat) %*% beta.yaw.a1;
		yw.hat.a0<- cbind(1, ya0w.mat) %*% beta.yaw.a0;
	}
			
	if(yfamily=='binomial'){
		yw.hat.a0 <- 1/(1+exp(-yw.hat.a0));
		yw.hat.a1 <- 1/(1+exp(-yw.hat.a1));			
	}
	dcy <- yw.hat.a1 - yw.hat.a0;
	return(dcy);
}

dcy.iptw <- function(y,a,w, afamily, model.aw, g.lb, g.ub)
{
	aw.mat <- buildXw(w, model.aw);
	gaw.coef <- coef(glm(a~aw.mat,family=afamily));
	gaw.coef[is.na(gaw.coef)] <- 0;
	gaw <- cbind(1,aw.mat) %*% gaw.coef;
	gaw <- 1/(1+exp(-gaw));
	gaw[gaw< g.lb] <- g.lb;
	gaw[gaw> g.ub] <- g.ub;
	dcy <- y * (a/gaw - (1-a)/(1-gaw));
	return(dcy)
}

dcy.dr <- function(y,a,w, yfamily, afamily, model.aw, model.yaw, model.yw0, model.yw1, g.lb, g.ub)
{
	mf.a0 <- model.yw0; mf.a1 <- model.yw1;
	if(!is.null(mf.a0) & !is.null(mf.a1)) {
		mf.a0 <- model.yw0; mf.a1 <- model.yw1;
		data.yaw <- as.data.frame(cbind(y,a,w));
		data.yw.0 <- as.data.frame(data.yaw[a==0,]);
		data.yw.1 <- as.data.frame(data.yaw[a==1,]);

		reg.yw.a0 <- glm(mf.a0,data=data.yw.0);
		reg.yw.a1 <- glm(mf.a1,data=data.yw.1);
		
		data.yaw.a0 <- data.yaw.a1 <- data.yaw;
		data.yaw.a0$a <- 0; data.yaw.a1$a <- 1;
		yw.hat.a0 <- predict(reg.yw.a0,newdata=data.yaw.a0);
		yw.hat.a1 <- predict(reg.yw.a1,newdata=data.yaw.a1);
	} else {
		yaw.mat <- buildXw(cbind(a,w),model.yaw);
		beta.yaw.a0 <- coef(glm(y~yaw.mat,family=yfamily,subset=(a==0)));
		beta.yaw.a0[is.na(beta.yaw.a0)] <- 0;
		beta.yaw.a1 <- coef(glm(y~yaw.mat,family=yfamily,subset=(a==1)));
		beta.yaw.a1[is.na(beta.yaw.a1)] <- 0;
			
		ya1w.mat <- buildXw(cbind(1,w),model.yaw);
		ya0w.mat <- buildXw(cbind(0,w),model.yaw);
			
		yw.hat.a1<- cbind(1, ya1w.mat) %*% beta.yaw.a1;
		yw.hat.a0<- cbind(1, ya0w.mat) %*% beta.yaw.a0;
	}
	yaw.mat <- buildXw(cbind(a,w),model.yaw);
	beta.yaw <- coef(glm(y~yaw.mat,family=yfamily));
	beta.yaw[is.na(beta.yaw)] <- 0;
	yaw.hat <- cbind(1,yaw.mat) %*% beta.yaw;
			
	if(yfamily=='binomial'){
		yw.hat.a0 <- 1/(1+exp(-yw.hat.a0));
		yw.hat.a1 <- 1/(1+exp(-yw.hat.a1));	
		yaw.hat <- 1/(1+exp(-yaw.hat));		
	}
	
	dcy.g.part <- yw.hat.a1 - yw.hat.a0;

	aw.mat <- buildXw(w, model.aw);
	gaw.coef <- coef(glm(a~aw.mat,family=afamily));
	gaw.coef[is.na(gaw.coef)] <- 0;
	gaw <- cbind(1,aw.mat) %*% gaw.coef;
	gaw <- 1/(1+exp(-gaw));
	gaw[gaw< g.lb] <- g.lb;
	gaw[gaw> g.ub] <- g.ub;
	wt.iptw <- a/gaw - (1-a)/(1-gaw);
	
	dcy <- (y-yaw.hat) * wt.iptw + dcy.g.part;
	return(dcy);
}#09/21/04  #GLM using density difference as the loss function
#10/05/04  with no print option
#11/01/04  change to yx.model=list(Model=, Size=, Order=xorder.max, Int=interactions)
#12/13/05  delete accuracy

#cvGLM(y,xmat,xorder.max=c(1,1,1,1),interactions=2,maxSize=4)

cvGLM <- function(y,x,ncv=5, yx.model=NULL, myfamily='gaussian', weight=NULL, detail=FALSE, printout=FALSE, rep.ID=0, ID=NULL) 
{ 
   x <- as.matrix(x);

   if(!is.null(yx.model$Model)) yx.model$Model <- listFormula(yx.model$Model, dimnames(x)[[2]]);

   model <- yx.model$Model; maxSize <- yx.model$Size; xorder.max <- yx.model$Order; 
   interactions <- yx.model$Int;
   
   if(is.null(model)){
		if(is.null(interactions)) interactions <- 1;
   		if(is.null(maxSize)) maxSize <- 10
   		if(is.null(xorder.max)) xorder.max <- rep(1,ncol(x));
   }

   if(printout){
   	cat("call: \ncvGLM( y, x, ncv =",as.character(ncv),",\n");
   	cat("      model =",ifelse(is.null(model), "NULL", as.character(show.formula(dimnames(x)[[2]],list(model)))), ",\n");
   	cat("      xorder.max = (",as.character(xorder.max), "), maxSize =", as.character(maxSize), "\n");
   	cat("      myfamily =", as.character(myfamily), ", interactions =",as.character(interactions), ",\n");
   	cat("      weight =",ifelse(is.null(weight),"NULL","weight"),", printout =", as.character(printout),",\n");
   	cat("      detail =",as.character(detail), ", rep.ID =", as.character(rep.ID),")\n");
   }
  
   if(is.null(weight)) weight <- rep(1,length(y));
  
   if(is.null(model)){
	risk.candidate <- matrix(,nrow=maxSize+1,ncol=interactions);
	dimnames(risk.candidate) <- list(paste("Size",c(0:(maxSize)),sep="="), paste("Int",c(1:interactions),sep="=") )
	for(i in 1:interactions){
		risk.candidate[,i] <- riskGLM(y,x,ncv, myfamily, weight, xorder.max, interactions=i, maxSize, detail, printout, rep.ID, ID);
	}
	if(printout){
		cat("Overall cross-validation Risk Table\n");
		print(risk.candidate);
	}

	# best.size is actually best.row+1, matrix starts with size 0
	best.row <- order(risk.candidate)[1] %% nrow(risk.candidate);
	if(best.row==0) best.row<-nrow(risk.candidate);
	best.int <- (order(risk.candidate)[1] - best.row) / nrow(risk.candidate) + 1;
	min.risk <- min(risk.candidate);

	if(1==0){
		print(nrow(risk.candidate)); print(order(risk.candidate));
		print(order(risk.candidate)[1])	; print(min.risk);
		print(best.row); print(best.int);
	}
	
	best.size <- best.row - 1;
	best.model <- dsa.GLM.erisk(y,x,xorder.max,myfamily,interactions=best.int,weight,
	maxSize, detail, fun.find=findGLM.emp.minrisk, fun.erisk=emp.risk,printout)[[best.row]];

#	index.candidate <- seq(1:length(risk.candidate)) 
#	print(cbind(index.candidate,risk.candidate))	
#	best.size <- min(index.candidate[risk.candidate==min.risk])-1
#	print(best.model)
#	if(printout) print(cv.risk(y,x,ncv,myfamily,weight,best.model));

	cat("CV selects: size = ",best.size,  ", interactions = ", best.int, " with min CV-risk: ",min.risk,"\n");
	x.mat <- buildXw(x,best.model);
	beta <- coef(glm(y~x.mat,family=myfamily,weights=weight));
	beta[is.na(beta)]<-0;

	model.pbeta <- buildModel(best.model,beta);
	print(show.formula(dimnames(x)[[2]],model.pbeta));
#	return(model.pbeta);

	return(list(model=show.formula(dimnames(x)[[2]],model.pbeta), model.pbeta=model.pbeta,risk.mat=risk.candidate));
   }
   else{
   	cat("Fitting the model...\n");
   	pcollect <- model;
#	min.risk <- cv.risk(y,x,ncv,myfamily,weight,pcollect);
#  	cat("CV risk: ",min.risk,"\n");
	
	x.mat <- buildXw(x,pcollect);
	beta <- coef(glm(y~x.mat,family=myfamily,weights=weight));
   	beta[is.na(beta)]<-0;
	model.pbeta <- buildModel(pcollect,beta);
   	print(show.formula(dimnames(x)[[2]],model.pbeta));
#  	print(model)
   	return(model.pbeta);
   }
}


dsa.GLM.erisk <- function(y,x,xorder.max=NULL,myfamily='gaussian', interactions=NULL,
   weight=NULL, maxSize=NULL, detail=detail, fun.find, fun.erisk,printout,...) 
{
	# fun.erisk = emp.risk(y,x,p.current,myfamily,weight);
	# fun.fine = findGLM.emp.minrisk(y,x,I.set,myfamily,weight,xorder.max);

	x <- as.matrix(x);
	if(is.null(interactions)) interactions <- ncol(x);
	if(is.null(weight)) weight <- rep(1,length(y));
   	if(is.null(xorder.max))	xorder.max <- rep(1,ncol(x)) 
	
	nobs <- length(y);
	nxvar <- length(xorder.max);
#	if(ncol(x)!=length(xorder.max))	stop("Error: ncol(x) and xorder.max lengths differ!") ;

	emp.risk <- rep(Inf,time=maxSize+1);
		
	pcollect <- list(rep(0,nxvar));
	min.risk <- fun.erisk(y,x,pcollect,myfamily,weight);
	iteration <- 0;
	emp.risk[1] <- min.risk;

	p.current <- pcollect;
	nterms <- 1;
	goon <- 1;
	meanfit <- 0;

	if(printout){
		cat("Candidate models:\n");
		cat("#",iteration, "size = 0. Empirical Risk: ", min.risk, "\n");
		print(show.formula(dimnames(x)[[2]],list(pcollect)));
	}

#	iteration <- 1
	
	candidate <- list(p.current);

	while(length(pcollect) <= maxSize){
		if(iteration>0){
			if(printout){
				cat("#",iteration, "size =", length(pcollect), ". Empirical Risk: ", emp.risk[length(pcollect)+1], "\n");
				print(show.formula(dimnames(x)[[2]],list(pcollect)));
			}
			if(length(pcollect)==maxSize) break;
		}
		if(nterms >1){
			I.del <- deletion(pcollect);
			if(detail & printout){
				cat("start deleting... \n");
				print(I.del); }
				
			if(is.null(I.del)==0){
				nterms <- length(I.del[[1]]); #nterms not include
				result.del <- fun.find(y,x,I.del,myfamily,weight,xorder.max);
				min.risk.del <- result.del[[2]];
				pcollect.del <- result.del[[1]];
				
				if(min.risk.del<emp.risk[nterms+1]){
					pcollect <- pcollect.del;
					emp.risk[nterms+1] <- min.risk.del;
					iteration <- iteration+1;
					candidate[[nterms+1]] <- pcollect;
					if(detail & printout){
						cat("deletion works\n");
						print(pcollect);
						print(emp.risk[nterms+1]);
					}
					next;
				}
			}
		}
		
		I.sub <- substitution(pcollect,xorder.max,interactions);
		if(detail & printout){ cat("start substitute...\n");
				print(I.sub);		}
				
		if(is.null(I.sub)==0){
			nterms <- length(I.sub[[1]]);
			result.sub <- fun.find(y,x,I.sub,myfamily,weight,xorder.max);
			min.risk.sub <- result.sub[[2]];
			pcollect.sub <- result.sub[[1]];

			if(iteration==0){
				candidate[[2]] <- pcollect.sub;
			}

 			if(min.risk.sub < emp.risk[nterms+1] ){
				pcollect <- pcollect.sub;
				emp.risk[nterms+1] <- min.risk.sub;
				candidate[[nterms+1]] <- pcollect;	

				iteration <- iteration+1;
				if(detail & printout) {
					cat("substitution works\n");
					print(pcollect);
					print(emp.risk[nterms+1]);
				}
				next;
			}
		}	
		
		if(prod(unlist(pcollect)==0)==0){
			I.add <- addition(pcollect,xorder.max,interactions);
			if(detail & printout) {
				cat("start adding... \n");
				print(I.add);			}
				
			if(is.null(I.add)==0) {   # if I.add is not empty
				nterms <- length(I.add[[1]]);
				result.add <- fun.find(y,x,I.add,myfamily,weight,xorder.max);
				min.risk.add <- result.add[[2]];
				pcollect.add <- result.add[[1]];

				if(min.risk.add < emp.risk[nterms+1]){
					pcollect <- pcollect.add;
					emp.risk[nterms+1] <- min.risk.add;
					candidate[[nterms+1]] <- pcollect;
					iteration <- iteration+1;
					if(detail & printout){
						cat("addition works\n");
						print(pcollect);
						print(min.risk);
					}
				}

				pcollect <- candidate[[nterms+1]];
				next;

			}else{
				if(printout) cat("No more models! Addition stops at size = ",nterms+1, "\n");
				break;
			}

		}   
   	}
#  	if(printout) cat("done dsa.\n")
#  	candidate[[length(candidate)+1]] <- NULL;
	candidate[[maxSize+2]] <- NULL;
   	return(candidate);
}   

buildModel <- function(mav,coef){
	return(list(formula=mav,coefficients=coef));
}


buildXw <- function(w,g){
	nterms <- length(g);
	w <- as.matrix(w);
	nw <- ncol(w);
	nobs <- nrow(w);
	
	xw <- matrix(,nrow=nobs,ncol=nterms);
	for(i in 1:nterms){
		term <- rep(1,nobs);
		for(j in 1:nw){
			term <- term * w[,j]^g[[i]][j];
		}
		xw[,i] <- term; 
	}
	return(xw);
}

#5/4/05 add rep.ID and ID, indicator if there is repeated ID. 
riskGLM <- function(y,x,ncv, myfamily, weight, xorder.max, interactions, maxSize, detail, printout, rep.ID, ID){
	nobs <- length(y);
#	nxmat <- ncol(xmat)

	if(rep.ID==0){
		index <- seq(1:nobs)%%ncv;
		index[index==0] <- ncv;
	} else {
		ID.unique<-as.numeric(unique(ID));
		res.unique <- seq(1:length(ID.unique))%%ncv;
		index <- rep(1,nobs);
		for(i in 1:length(ID.unique))	index[ID==ID.unique[i]]<-res.unique[i];
		index[index==0] <- ncv;
	}
	
	risk <- matrix(,nrow=maxSize+1,ncol=ncv);
	dimnames(risk) <- list(paste("Size",c(0:maxSize),sep="="),paste("Sample ",c(1:ncv),sep=""))
	for(i in 1:ncv){
		y.val <- y[index==i];		y.train <- y[index!=i];
		x.val <- x[index==i,];		x.train <- x[index!=i,];
		weight.val <- weight[index==i];		weight.train <- weight[index!=i];
		
		candidate <- dsa.GLM.erisk(y.train, x.train, xorder.max, myfamily, interactions,
		weight.train, maxSize, detail,fun.find=findGLM.emp.minrisk, fun.erisk=emp.risk,printout);

		for(j in 1:length(candidate)){
			p.current <- candidate[[j]];
			xmat.train <- buildXw(x.train,p.current);
			xmat.val <- buildXw(x.val,p.current);
			if(sum(unlist(p.current))==0)	beta <- coef(glm(y.train~1,family=myfamily,weights=weight.train))
			else{	
				beta <- coef(glm(y.train~xmat.train,family=myfamily,weights=weight.train));
#				print(beta);
				beta[is.na(beta)] <- 0;
			}
#print(p.current);
			risk[j,i] <- lossGLM(beta,y.train,y.val,xmat.val,myfamily,weight.val);
		}
		if(length(candidate)<maxSize+1){
			risk[is.na(risk[,i])==1,i]<-risk[length(candidate),i];
		}
	}
	risk.mean <- apply(risk,1,mean);

	if(printout){
		cat("Risk Table for Interaction =",interactions,"\n")
		print(cbind(risk,Mean=risk.mean));
	}

	return(risk.mean);
}

lossGLM <- function(beta,y.train,y.val,xmat,myfamily,weight){
	if(myfamily=='binomial'){
		if(length(beta)==1){
			yhat <- rep(1/(1+exp(-1 %*% beta)),length(y.val));
		} else{
				yhat <- 1/(1+exp(-cbind(1,xmat) %*% beta));
			}
		p <- yhat;
		p[y.val==0] <- 1-yhat[y.val==0];
		loss <- -mean((log(p)*weight),na.rm=TRUE);
	}
	else{
		if(length(beta)==1){
			yhat <- 1 %*% beta;
			yhat <- rep(yhat, length(y.val));
		}else
			yhat <- cbind(1,xmat) %*% beta;
		r <- y.val - yhat;
		loss <- mean(r^2*weight, na.rm=TRUE);
	}
	return(loss);
}

emp.risk <- function(y,x,p.current,myfamily,weight){
	nobs <- length(y);
	xmat <- buildXw(x,p.current);
	nxmat <- ncol(xmat);

	if(myfamily=='binomial'){
		if(sum(unlist(p.current))==0){
			e.model <- glm(y~1,family=myfamily,weights=weight);
			beta <- coef(e.model);
			yhat <- rep(1/(1+exp(-1 * beta)),length(y));
		} else{
			e.model <- glm(y~xmat,family=myfamily,weights=weight);
			beta <- coef(e.model);
			beta[is.na(beta)] <- 0;
			yhat <- 1/(1+exp(-cbind(1,xmat) %*% beta));
		}
		p <- yhat;
		p[y==0] <- 1-yhat[y==0];
		e.risk <- -mean((log(p)*weight),na.rm=TRUE);
	} else {
		if(sum(unlist(p.current))==0){
			e.model <- glm(y~1,family=myfamily,weights=weight);
			beta <- coef(e.model);
			yhat <- rep(beta, length(y));
		}else {
			e.model <- glm(y~xmat,family=myfamily,weights=weight);
			beta <- coef(e.model);
			beta[is.na(beta)] <- 0;
			yhat <- cbind(1,xmat) %*% beta;
		}
		r <- y - yhat;
		e.risk <- mean(r^2*weight, na.rm=TRUE);
	}

	return(e.risk);
}

# findGLM.emp.minrisk <- function(y,x,I.set,myfamily,weight,saved.models,xorder.max){
findGLM.emp.minrisk <- function(y,x,I.set,myfamily,weight,xorder.max){
	nobs <- length(y);
	nvec <- length(I.set);
	
	p.current <- I.set[[1]];
#	print(p.current)
	pcollect.inloop <- p.current;

#	p.code<-code(pcollect.inloop,xorder.max)
#	min.risk.inloop <- read.model(p.code,saved.models)
#	if(is.null(min.risk.inloop)==1) {

	min.risk.inloop <- emp.risk(y,x,p.current,myfamily,weight);
#	saved.models <- store.model(p.code, min.risk.inloop,saved.models)
#	}
		
	if(length(I.set)>1){
		for(i in 2:nvec){
			p.current<-I.set[[i]];
#			p.code<-code(p.current,xorder.max)
#			risk <- read.model(p.code,saved.models)
#			if(is.null(risk)==1) {
				risk <- emp.risk(y,x,p.current,myfamily,weight)
#				saved.models <- store.model(p.code, risk, saved.models)
#			}

			if(risk < min.risk.inloop){
				pcollect.inloop <- p.current;
				min.risk.inloop <- risk;
			}
		}
	}

#	pcollect.inloop <- list(pcollect.inloop, min.risk.inloop, saved.models)

	pcollect.inloop <- list(pcollect.inloop, min.risk.inloop);
	return(pcollect.inloop)
}

show.formula<- function(var.names,model.list){

	if(length(model.list)==2){
	   f.model <- model.list[[1]]
	   beta <- model.list[[2]]
	   nterms<-length(f.model)
	
	   if(sum(unlist(f.model)!=0)!=0){
		nvar<-length(f.model[[1]])
	
		model.mat<-matrix(unlist(f.model),nrow=nterms,ncol=nvar,byrow=TRUE)
	
		name1<-matrix(,nrow=nterms,ncol=nvar)
		for(i in 1:nvar){
			name1[,i]<-paste(var.names[i],model.mat[,i],sep="^")
			name1[model.mat[,i]==1,i]<-var.names[i]
		}
	
		f.term<-NULL
		for(j in 1:nterms){
			f.term[j]<-paste(name1[j,model.mat[j,]!=0],collapse=":")
		}
	
		formula <- paste(f.term,collapse=" + ")
	
		formula <- paste("Intercept + ",formula)
		names(beta)<-c("(Intercept)",f.term)
		
	   }
	   else{
	   	formula <- "Intercept"
	   	names(beta[beta!=0])<-c("(Intercept)")
	   	beta<-beta[beta!=0]
	   }
	
		return(list(Formula=formula,Coefficients=beta))
	}
	else{
	   f.model <- model.list[[1]]
	   nterms<-length(f.model)
	
	   if(sum(unlist(f.model)!=0)!=0){
		nvar<-length(f.model[[1]])
	
		model.mat<-matrix(unlist(f.model),nrow=nterms,ncol=nvar,byrow=TRUE)
	
		name1<-matrix(,nrow=nterms,ncol=nvar)
		for(i in 1:nvar){
			name1[,i]<-paste(var.names[i],model.mat[,i],sep="^")
			name1[model.mat[,i]==1,i]<-var.names[i]
		}
	
		f.term<-NULL
		for(j in 1:nterms){
			f.term[j]<-paste(name1[j,model.mat[j,]!=0],collapse=":")
		}
	
		formula <- paste(f.term,collapse=" + ")
	
		formula <- paste("Intercept + ",formula)
			
	   }
	   else{
	   	formula <- "Intercept"
	   	
	   }
	
		return(list(Formula=formula))
	
	
	}

}

#show.formula(c("a","V"),list(list(c(0,2),c(1,1)),c(1,2,4)))#10/20/2004

#model.av=list(Model=NULL,Size=10)

#10/26/04 
# change model.av=list(av.Model, av.Size, av.Order, av.Int), etc.

#3/17/05
# input Model as formula with ListFormula()
# ? input formula for dynamic treatment, instead of dynamic treatment matrix.
# ? interval of theta given by user, sample value of theta uniformly. 100?

cvMSM<- function(y, a, v, w, data=NULL, yfamily='gaussian', afamily='binomial', model.msm=NULL, model.aw=NULL, model.av=NULL, model.yaw=NULL, model.yyaw=NULL, wt.censor=NULL, ncv=5, ncv.nuisance=5, mapping='DR', fitting='DR', all3=FALSE, stable.wt=TRUE, fixed.terms=NULL, cv.risk=FALSE,printout=TRUE,dyn.treat=NULL, dyn.cutoff=NULL, rep.ID=0, ID=NULL, g.lb=0.1, g.ub=0.9) 
{
	cc<-match.call()
#	print(cc)
	attached <- FALSE;
	if(!is.null(data)){ attach(data); attached <- TRUE}

#	for(i in 1:length(cc)) print(cc[[i]])
	name.y<-as.character(cc[[2]])
	name.a<-as.character(cc[[3]])
	if(is.null(v)){ 
		v <- as.matrix(cbind(v.null=rep(1,length(a)))); 
		name.v <- dimnames(v)[[2]];
	} else {
		 if(is.null(dimnames(v)[[2]])) name.v <- as.character(cc[[4]]) 
			else name.v <- dimnames(v)[[2]]
	}
	if(is.null(dimnames(w)[[2]])) name.w <- as.character(cc[[5]]) else name.w <- dimnames(w)[[2]]

	w <- as.matrix(w);
	v.mat <- as.matrix(v);
#	print(c(length(y), length(a), dim(v), dim(w)))
	mat.aw <- cbind(a,w);	

	names.av <- c(name.a,name.v); names.aw <- c(name.a,name.w);

	msm.Model <- model.msm$Model; msm.Size <- model.msm$Size; msm.Order <- model.msm$Order; 
	msm.Int <- model.msm$Int;
	if(is.null(msm.Model)){
		if(is.null(msm.Size)) 	msm.Size <- 10
		if(is.null(msm.Order)){
			msm.Order <- c(1, rep(1,ncol(v.mat)))
			if(is.null(dyn.cutoff)==0) msm.Order <- c(rep(1, length(dyn.cutoff[[1]]) + ncol(v.mat)))		
		}
		if(is.null(msm.Int))    msm.Int <- 1+ncol(v.mat)
	} else {
		if(!is.null(dyn.treat)){
			name.rule <- paste("R",seq(1:length(dyn.cutoff[[1]])),sep="")
			print(name.rule)
			names.av <- c(name.rule,name.v)
			print(names.av)
		}
		model.msm$Model <- listFormula(msm.Model, names.av)
	}
	
#print(names.av); print(model.msm$Model)	
	if(!is.null(model.aw$Model)) model.aw$Model <- listFormula(model.aw$Model, name.w)
	if(!is.null(model.av$Model)) model.av$Model <- listFormula(model.av$Model, name.v)
	if(!is.null(model.yaw$Model)) model.yaw$Model <- listFormula(model.yaw$Model, names.aw)
	if(!is.null(model.yyaw$Model)) model.yyaw$Model <- listFormula(model.yyaw$Model, names.aw)

#print(msm.Model); print(model.aw$Model); print(model.av$Model); print(model.yaw$Model); #print(model.yyaw$Model);

	detail <- FALSE;
	if(printout) {
		print.function(y, a, v, w, data, yfamily, afamily, model.msm, model.aw, model.av, model.yaw, model.yyaw, wt.censor, ncv, ncv.nuisance, mapping, fitting, all3, stable.wt, fixed.terms, cv.risk, name.y, name.a, name.v, name.w, names.av, names.aw, rep.ID);
		cat("Number of observations: ", length(y), "\n");
		cat(ncv, "-fold Cross-validation \n");
	}
	
	if(is.null(wt.censor)) wt.censor <- rep(1,length(y));

	nui.models <- nuisance.models(y,a,v,w, yfamily, afamily, model.msm, model.av, model.aw, model.yaw, model.yyaw, ncv, ncv.nuisance, name.y, name.a, name.v, name.w, names.aw, stable.wt, mapping, fitting, all3, rep.ID, ID);
	
	fmodel.av <- nui.models$av; 	fmodel.aw <- nui.models$aw; 
	fmodel.yaw <- nui.models$yaw; 	fmodel.yyaw <- nui.models$yyaw;
	
	if(!is.null(dyn.treat)){
		cat("Dynamic Treatments...\n");
		names.av <- c(paste("R",1:length(dyn.cutoff[[1]]),sep=""),name.v);
	}

	if(!is.null(msm.Model)){
		cat("\nFit the given MSM...\n")
#		cat(fitting, "estimator:\n")
		
	   if(!is.null(dyn.treat)){
		beta.fit <- fitMSM.dynamic(y, a,v.mat,w,yfamily,afamily, model.msm$Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, dyn.treat=dyn.treat, dyn.cutoff=dyn.cutoff, g.lb=g.lb)
		
		print(beta.fit)
		return(beta.fit)
	   } else {	
#		if(cv.risk){
#			msm.risk <- cvmsm.risk(y, a, v.mat, w, yfamily, afamily, model.msm$Model, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, stable.wt, fixed.terms, dyn.treat, dyn.cutoff)
#			cat("Cross-validation Risk =",msm.risk,"\n")
	
#			print(loss.compute(beta.fit, y,y, a,a, v,v, w,w, yfamily,afamily, msm.Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], fmodel.yyaw[[ncv+1]], wt.censor, wt.censor, mapping, stable.wt, fixed.terms))
#		}
		
		if(all3){
			#IPTW
			cat("IPTW\n");
			beta.fit.iptw <- fitMSM(y,a,v.mat, w, yfamily, afamily, model.msm$Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting='IPTW', stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub)
			if(prod(beta.fit.iptw[1]=="N")) beta.fit.iptw<- rep("NA",length(model.msm$Model)+1)

			model.msm.1 <- buildModel(model.msm$Model,beta.fit.iptw);
			model.msm.result<- show.formula(names.av,model.msm.1);
			print(model.msm.result);
			model.msm.iptw <- list(model=model.msm.result, model.pbeta=model.msm.1);
			
			sd.iptw<-varMSM(y,a,v.mat,w, beta.fit.iptw, yfamily,afamily, p.current=model.msm$Model, fmodel.av[[ncv+1]],fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting='IPTW', stable.wt, fixed.terms,rep.ID,ID, g.lb=g.lb, g.ub=g.ub)

			if(prod(is.na(sd.iptw))==0) {
				cat("SE(IC)\n")
				print(sd.iptw)
			}
			
			#Gcomp
			cat("G-comp\n")
			beta.fit.g <- fitMSM(y,a,v.mat,w,yfamily,afamily,model.msm$Model,fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting='Gcomp', stable.wt=FALSE, fixed.terms, g.lb=g.lb, g.ub=g.ub)
			if(beta.fit.g[1]=="N") beta.fit.iptw<- rep("NA",length(model.msm$Model)+1)

			model.msm.1 <- buildModel(model.msm$Model,beta.fit.g)
			model.msm.result<- show.formula(names.av,model.msm.1)
			print(model.msm.result)
			model.msm.g <- list(model=model.msm.result, model.pbeta=model.msm.1)

			#DR
			cat("DR\n")
			beta.fit.dr <- fitMSM(y,a,v.mat,w,yfamily,afamily,model.msm$Model,fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting='DR', stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub)
			if(beta.fit.dr[1]=="N") beta.fit.iptw<- rep("NA",length(model.msm$Model)+1)

			model.msm.1 <- buildModel(model.msm$Model,beta.fit.dr)
			model.msm.result<- show.formula(names.av,model.msm.1)
			print(model.msm.result)
			model.msm.dr <- list(model=model.msm.result, model.pbeta=model.msm.1)
			
			sd.dr<-varMSM(y,a,v.mat,w, beta.fit.dr, yfamily,afamily, p.current=model.msm$Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting='DR', stable.wt, fixed.terms,rep.ID,ID, g.lb, g.ub)
			if(prod(is.na(sd.dr))==0) {
				cat("SE(IC)\n")
				print(sd.dr)
			}

			if(attached) detach(2)
			return(list(IPTW=model.msm.iptw,Gcomp=model.msm.g, DR=model.msm.dr))
		} else {
			if(fitting=='Gcomp') stable.wt<-FALSE;

			if(is.null(dyn.treat)){
				beta.fit <- fitMSM(y,a,v.mat,w,yfamily,afamily,model.msm$Model,fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub)
			} else {
				beta.fit <- fitMSM.dynamic(y, a,v.mat,w,yfamily,afamily, model.msm$Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, dyn.treat=dyn.treat, dyn.cutoff=dyn.cutoff, g.lb=g.lb)
			}
			model.msm <- buildModel(model.msm$Model,beta.fit);
			model.msm.result<- show.formula(names.av,model.msm);
			print(model.msm.result);

			if(fitting !='Gcomp'){
				sd<-varMSM(y,a,v.mat,w, beta.fit, yfamily,afamily, p.current=model.msm$Model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, rep.ID,ID, g.lb=g.lb, g.ub=g.ub)
				cat("SE(IC)\n")
				print(sd);
			}

			if(attached) detach(2)
			return(list(model=model.msm.result, model.pbeta=model.msm));
		}
	    }
	    
	} else {
	   if(all3){
	   	#  IPTW ESTIMATOR
	   	mapping <- fitting <- 'IPTW';
		model.iptw<-select.msm(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub);
		
	   	#  Gcomp ESTIMATOR
	   	mapping <- fitting <- 'Gcomp';
		model.g <- select.msm(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub);
		
	   	#  DR ESTIMATOR
	   	mapping <- fitting <- 'DR';
	   	model.dr <- select.msm(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub);
		
		if(attached) detach(2)
		return(list(IPTW=model.iptw,Gcomp=model.g,DR=model.dr))
	   } else {
		if(!is.null(dyn.treat) & is.null(dyn.cutoff)){
		# dynamic treatment fit, but no cutoff is given. fit seperated models
			msm <- list(1)
			for(i in 1:ncol(dyn.treat)){
				msm.Order[1] <- 0
				msm[[i]] <- select.msm(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat[,i], dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub)
			}
		
		} else {
			msm <- select.msm(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub)
		}
		
		if(attached) detach(2)
		return(msm);
	   }
	}
}

select.msm <- function(y, a, v.mat, w, yfamily, afamily, msm.Order,msm.Int, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat=NULL, dyn.cutoff=NULL, rep.ID, ID, g.lb, g.ub)
{
	cat("Selecting", fitting, "estimator...");
	risk.candidate <- matrix(,nrow=msm.Size+1,ncol=msm.Int);
	dimnames(risk.candidate) <- list(paste("Size",c(0:(msm.Size)),sep="="), paste("Int",c(1:msm.Int),sep="=") )

	for(i in 1:msm.Int){
	   	risk.candidate[,i] <- risk.compute(y,a,v.mat,w,yfamily,afamily,msm.Order,i, msm.Size, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping, fitting, ncv, detail=FALSE, names.av, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb=g.lb, g.ub=g.ub);
	}
	
	best.row <- order(risk.candidate)[1] %% nrow(risk.candidate);
	if(best.row==0) best.row<-nrow(risk.candidate);
	best.int <- (order(risk.candidate)[1] - best.row) / nrow(risk.candidate) + 1;
	min.risk <- min(risk.candidate);
#print(order(risk.candidate)[1])
#print(min.risk)
#print(best.row)
#print(best.int)
	best.size <- best.row - 1;
				
#	index.candidate <- seq(1:length(risk.candidate))
#	#print(cbind(index.candidate,risk.candidate))	
		
#	min.risk <- min(risk.candidate)
#	best.size <- min(index.candidate[risk.candidate==min.risk])-1
	
	models<-list(1);
	if(is.null(dyn.treat)){
		for(i in 1:msm.Int){
			models[[i]] <- dsa.erisk(y, a, v.mat ,w, xorder.max=msm.Order, yfamily,afamily, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], fmodel.yyaw[[ncv+1]], mapping,fitting, interactions=i, weight=wt.censor, msm.Size, detail, names.av, find.emp.minrisk, erisk.compute, stable.wt, lastfit=TRUE, fixed.terms=fixed.terms, g.lb=g.lb, g.ub=g.ub);
	     }		

		best.model <- models[[best.int]][[best.size+1]];
		
		beta <- fitMSM(y,a,v.mat,w, yfamily,afamily,best.model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub);
	} 
	else {
#		names.av <- c(paste("R",1:length(dyn.cutoff[[1]]),sep=""),names.av[-1])
		
		models <- dsa.erisk(y, a, v.mat ,w, xorder.max=msm.Order, yfamily,afamily, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], fmodel.yyaw[[ncv+1]], mapping,fitting, interactions=best.int, weight=wt.censor, msm.Size, detail, names.av, find.emp.minrisk.dyn, erisk.compute.dyn, stable.wt, lastfit=TRUE, fixed.terms=fixed.terms, dyn.treat, dyn.cutoff, g.lb=g.lb, g.ub=g.ub);
				
		best.model <- models[[best.size+1]];
		
		beta <- fitMSM.dynamic(y,a,v.mat,w, yfamily,afamily,best.model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, g.lb=g.lb);
#		names.av[1] <- "R"
	}

	cat("Overall cross-validation Risk Table\n");
	print(risk.candidate);
	cat("CV selects: size = ",best.size,  "interaction = ", best.int, "with min.risk: ",min.risk,"\n");
	cat(fitting, "estimator:\n") ;
		
#	msm.risk <- cvmsm.risk(y,a,v.mat,w,yfamily,afamily, best.model, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping,fitting, ncv, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, rep.ID, ID);
#	cat("from cvmsm.risk: ", msm.risk, "\n")
	
	best.model <- cbindlist(fixed.terms,best.model);
	model.msm <- buildModel(best.model,beta);

	model.msm.result<- show.formula(names.av,model.msm);
	print(model.msm.result);
	model.msm[[2]] <- model.msm.result[[2]];
	model.msm$formula <- model.msm.result[[1]];
		
#	model.msm$msm.risk<-msm.risk;

	if(fitting !='Gcomp' ){
		sd<-varMSM(y,a,v.mat,w, beta, yfamily,afamily, p.current=best.model, fmodel.av[[ncv+1]], fmodel.aw[[ncv+1]], fmodel.yaw[[ncv+1]], wt.censor, fitting, stable.wt, fixed.terms, rep.ID,ID, g.lb=g.lb, g.ub=g.ub)
		if(prod(is.na(sd))==0){
			cat("SE(IC)\n")
			print(sd);
		}
	}
			
	return(list(model=model.msm.result, model.pbeta=buildModel(best.model,beta), risk.mat=risk.candidate));
}

nuisance.models <- function(y,a,v,w, yfamily, afamily, model.msm, model.av, model.aw, model.yaw, model.yyaw, ncv, ncv.nuisance, name.y, name.a, name.v, name.w, names.aw, stable.wt, mapping, fitting, all3, rep.ID, ID)
{
  v.mat <- as.matrix(v);
  w <- as.matrix(w);
  mat.aw <- cbind(a,w);
   
  fmodel.av <- NULL; fmodel.aw <- NULL; fmodel.yaw <- NULL; fmodel.yyaw <- NULL;
   	
  if(is.null(model.av$Model)){
	if(is.null(model.av$Size)) 	model.av$Size <- 10;
  	if(is.null(model.av$Order))	model.av$Order <- rep(1,ncol(v.mat));
  	if(is.null(model.av$Int))   model.av$Int   <- 1;
  }
  
  if(is.null(model.aw$Model)){
	if(is.null(model.aw$Size)) 	model.aw$Size <- 10;
  	if(is.null(model.aw$Order))	model.aw$Order <- rep(1,ncol(w));
  	if(is.null(model.aw$Int))   model.aw$Int   <- 1;
  }
  
  if(is.null(model.yaw$Model)){
	if(is.null(model.yaw$Size))   model.yaw$Size <- 10
  	if(is.null(model.yaw$Order))  model.yaw$Order <- c(1, rep(1,ncol(w)))
  	if(is.null(model.yaw$Int))    model.yaw$Int   <- 1
  }
  
  if(is.null(model.yyaw$Model)){
	if(is.null(model.yyaw$Size))   model.yyaw$Size <- 10
  	if(is.null(model.yyaw$Order))  model.yyaw$Order <- c(1, rep(1,ncol(w)))
  	if(is.null(model.yyaw$Int))    model.yyaw$Int   <- 1;
  }
   	
  if(is.null(model.msm$Model)){
  	if(is.null(model.msm$Size))   model.msm$Size <- 10
  	if(is.null(model.msm$Order))  model.msm$Order <- c(1, rep(1,ncol(v.mat)))
  	if(is.null(model.msm$Int))    model.msm$Int   <- 1;
  }
  
  if(!is.null(model.msm$Model)){
  	if(all3){
  		if(stable.wt)
			fmodel.av <- find.nuisance(y=a,x=v.mat, model=model.av, afamily, ncv, ncv.nuisance, name.a, name.v, rep.ID, ID);
		fmodel.aw <- find.nuisance(a, w, model.aw, afamily, ncv, ncv.nuisance, name.a, name.w, rep.ID, ID);
		fmodel.yaw <- find.nuisance(y, mat.aw, model.yaw, yfamily, ncv, ncv.nuisance, name.y, names.aw, rep.ID, ID);
  	} else {
  		# fitting==G: Q0; fitting == IPTW: g; fitting == DR: Q,g
		if(fitting=='Gcomp' || fitting=='DR')
			fmodel.yaw <- find.nuisance(y, mat.aw, model.yaw, yfamily, ncv, ncv.nuisance, name.y, names.aw, rep.ID, ID);
		if(fitting=='IPTW' || fitting=='DR'){
			if(stable.wt)
				fmodel.av <- find.nuisance(a,v.mat, model.av, afamily, ncv, ncv.nuisance, name.a, name.v, rep.ID, ID);
			fmodel.aw <- find.nuisance(a,w, model.aw, afamily, ncv, ncv.nuisance, name.a, name.w, rep.ID, ID);
		}
  	}
  } else {
  	# msm.Model = Null;
	if(all3){
	   	if(stable.wt)
			fmodel.av <- find.nuisance(a,v.mat, model.av, afamily, ncv, ncv.nuisance, name.a, name.v, rep.ID, ID);
		fmodel.aw <- find.nuisance(a,w, model.aw, afamily, ncv, ncv.nuisance, name.a, name.w, rep.ID, ID);
		fmodel.yaw <- find.nuisance(y, mat.aw, model.yaw, yfamily, ncv, ncv.nuisance, name.y, names.aw, rep.ID, ID);
	
		if(yfamily=='binomial' || is.null(model.msm$Model)!=1) fmodel.yyaw<-fmodel.yaw
		else	
			fmodel.yyaw <- find.nuisance( y^2, mat.aw, model.yyaw, yfamily, ncv, ncv.nuisance, paste(name.y,"^2"), names.aw, rep.ID, ID);
	} else {
		##  mapping | fitting
		##  G|G-- Q0,Q1
		##  I|I-- g
		##  I|G and I|DR -- g, Q0
		##  others: G|I, G|DR, DR|G, DR|I, DR|DR -- g, Q0, Q1
		if(mapping=='Gcomp' & fitting=='Gcomp'){
			fmodel.yaw <- find.nuisance(y, mat.aw, model.yaw, yfamily, ncv, ncv.nuisance, name.y, names.aw, rep.ID, ID)
			if(yfamily=='binomial') fmodel.yyaw<-fmodel.yaw
			else
				fmodel.yyaw <- find.nuisance( y^2, mat.aw, model.yyaw, yfamily, ncv, ncv.nuisance, paste(name.y,"^2"), names.aw, rep.ID, ID)
			stable.wt <- FALSE
		} else if(mapping=='IPTW' & fitting=='IPTW'){
			if(stable.wt)
				fmodel.av <- find.nuisance(a,v.mat, model.av, afamily, ncv, ncv.nuisance, name.a, name.v, rep.ID, ID)
			fmodel.aw <- find.nuisance(a,w, model.aw, afamily, ncv, ncv.nuisance, name.a, name.w, rep.ID, ID)
		} else if(mapping=='IPTW' & fitting!='IPTW') {
			if(stable.wt)
				fmodel.av <- find.nuisance(a,v.mat, model.av, afamily, ncv, ncv.nuisance, name.a, name.v, rep.ID, ID)
			fmodel.aw <- find.nuisance(a,w, model.aw, afamily, ncv, ncv.nuisance, name.a, name.w, rep.ID, ID)
			fmodel.yaw <- find.nuisance(y, mat.aw, model.yaw, yfamily, ncv, ncv.nuisance, name.y, names.aw, rep.ID, ID)
		} else {
			if(stable.wt)
				fmodel.av <- find.nuisance(a,v.mat, model.av, afamily, ncv, ncv.nuisance, name.a, name.v, rep.ID, ID)
			fmodel.aw <- find.nuisance(a,w, model.aw, afamily, ncv, ncv.nuisance, name.a, name.w, rep.ID, ID)
			fmodel.yaw <- find.nuisance(y, mat.aw, model.yaw, yfamily, ncv, ncv.nuisance, name.y, names.aw, rep.ID, ID)
		
			if(yfamily=='binomial') fmodel.yyaw<-fmodel.yaw
			else
				fmodel.yyaw <- find.nuisance( y^2, mat.aw, model.yyaw, yfamily, ncv, ncv.nuisance, paste(name.y, "^2"), names.aw, rep.ID, ID);
		}
	}
  }
 
  print("Necessary nuisance parameter models are selected!");
  return(list(av=fmodel.av, aw=fmodel.aw, yaw=fmodel.yaw, yyaw=fmodel.yyaw))
}


cbindlist <- function(list1,list2)
{
	if(prod(unlist(list1)==0)==1) return(list2);
	if(prod(unlist(list2)==0)==1) return(list1);
	if(prod(unlist(list1)==0)==1 & prod(unlist(list2)==0)==1) return(NULL);
	
	if(is.null(list1)==FALSE){
		nlist1 <- length(list1); nlist2 <- length(list2);
	
		newlist <- list1; n <- nlist1;
		for(i in 1:nlist2){
			for(j in 1:nlist1){
				temp1 <- as.array(list1[[j]]); temp2 <- as.array(list2[[i]]);
				if(sum(abs(temp2-temp1))==0){
					new <- 0; break;
				}
				else new <- 1;
			}
			if(new){
				n <- n+1; newlist[[n]] <- list2[[i]];
			}	
		}
	}
	else newlist <- list2;
	return(newlist);
}

loss.compute <- function(beta, y.train,y.val,a.train,a.val,v.train,v.val,w.train,w.val, yfamily,afamily, p.current, model.av, model.aw, model.yaw, model.yyaw, wt.censor.train, wt.censor.val, mapping, stable.wt=TRUE, fixed.terms=NULL, g.lb, g.ub)
{ 	
	# mapping = {'IPTW','DR','Gcomp'} 

	if(length(beta)==1 && beta=="N") return(Inf);

	nobs <- length(y.val);
	p.current <- cbindlist(fixed.terms, p.current);
	
	xav.train <- buildXw(cbind(a.train,v.train),p.current);
	xav.val <- buildXw(cbind(a.val,v.val),p.current);
	y.val.hat <- as.vector(cbind(1,xav.val)%*%beta);
	y.train.hat <- as.vector(cbind(1,xav.train)%*%beta);
	
	if(yfamily=='binomial'){
		y.val.hat<-1/(1+exp(-y.val.hat));
		y.train.hat<-1/(1+exp(-y.train.hat));
	}

	if(mapping == 'IPTW'){
		xw.val <- buildXw(w.val,model.aw);
		gaw <- coef(glm(a.val~xw.val,family=afamily));
		gaw[is.na(gaw)] <- 0;
        aw.hat <- cbind(1,xw.val)%*%gaw;
		
		wt <- rep(0,length(aw.hat));

		if(stable.wt==TRUE) {
			xv.val <- buildXw(v.val,model.av);
			gav <- coef(glm(a.val~xv.val,family=afamily));
			gav[is.na(gav)] <- 0;
			av.hat <- cbind(1,xv.val)%*%gav;
			# calculate P(A=1|V)
			if(afamily=='binomial'){
				av.hat <- 1/(1+exp(-av.hat));
				pav <- av.hat;
				aw.hat <- 1/(1+exp(-aw.hat));
				wt[a.val==0] <- (1-pav[a.val==0])/(1-aw.hat[a.val==0]);
				wt[a.val==1] <- pav[a.val==1]/aw.hat[a.val==1];
			} else {
		 		delta.hat.av <- sd(a.val-av.hat,na.rm=TRUE);
				pav <- dnorm(a.val, mean=av.hat,sd=delta.hat.av);
				delta.hat<-sd((a.val-aw.hat),na.rm=TRUE);
				pa <- dnorm(a.val,mean=aw.hat,sd=delta.hat);
				wt <- pav/pa;
			}
			wt[wt>1/g.lb] <- 1/g.lb;
		} else {
            if(afamily=='binomial'){
		 		aw.hat <- 1/(1+exp(-aw.hat));
		 		aw.hat[aw.hat<g.lb] <- g.lb;
				aw.hat[aw.hat>g.ub] <- g.ub;
				wt[a.val==0] <- 1/(1-aw.hat[a.val==0]);
				wt[a.val==1] <- 1/aw.hat[a.val==1];
			} else {
				delta.hat<-sd((a.val-aw.hat),na.rm=TRUE);
				pa <- dnorm(a.val,mean=aw.hat,sd=delta.hat);
				pa[pa<g.lb] <- g.lb;
				pa[pa>g.ub] <- g.ub;
				wt <- 1/pa;
			}
		}
		r <- y.val-y.val.hat;
		loss <- r^2 * wt * wt.censor.val;
	}

	if(mapping == 'DR'){
		xw.val <- buildXw(w.val,model.aw);
		gaw <- coef(glm(a.val~xw.val,family=afamily));
		gaw[is.na(gaw)] <- 0;
        aw.hat <- cbind(1,xw.val)%*%gaw;
		
		wt <- rep(0,length(aw.hat));
		if(stable.wt==TRUE) {
			xv.val <- buildXw(v.val,model.av);
			gav <- coef(glm(a.val~xv.val,family=afamily));
			gav[is.na(gav)] <- 0;
			av.hat <- cbind(1,xv.val)%*%gav;
			# calculate P(A=1|V)
			if(afamily=='binomial'){
				av.hat <- 1/(1+exp(-av.hat));
				pav <- av.hat;
				aw.hat <- 1/(1+exp(-aw.hat));
				wt[a.val==0] <- (1-pav[a.val==0])/(1-aw.hat[a.val==0]);
				wt[a.val==1] <- pav[a.val==1]/aw.hat[a.val==1];
			} else {
		 		delta.hat.av <- sd(a.val-av.hat,na.rm=TRUE);
				pav <- dnorm(a.val, mean=av.hat,sd=delta.hat.av);
				delta.hat<-sd((a.val-aw.hat),na.rm=TRUE);
				pa <- dnorm(a.val,mean=aw.hat,sd=delta.hat);
				wt <- pav/pa;
			}
			wt[wt>1/g.lb] <- 1/g.lb;
		} else {
            if(afamily=='binomial'){
		 		aw.hat <- 1/(1+exp(-aw.hat));
		 		aw.hat[aw.hat<g.lb] <- g.lb;
				aw.hat[aw.hat>g.ub] <- g.ub;
				wt[a.val==0] <- 1/(1-aw.hat[a.val==0]);
				wt[a.val==1] <- 1/aw.hat[a.val==1];
			} else {
				delta.hat<-sd((a.val-aw.hat),na.rm=TRUE);
				pa <- dnorm(a.val,mean=aw.hat,sd=delta.hat);
				pa[pa<g.lb] <- g.lb;
				pa[pa>g.ub] <- g.ub;
				wt <- 1/pa;
			}
		}

		yawmat.val <- buildXw(cbind(a.val,w.val),model.yaw);
		yyawmat.val <- buildXw(cbind(a.val,w.val),model.yyaw);
		xav.val <- buildXw(cbind(a.val,v.val),p.current);

		coef.yaw <- coef(glm(y.val~yawmat.val, family=yfamily));
		coef.yyaw <- coef(glm(y.val^2~yyawmat.val, family=yfamily));
		coef.yaw[is.na(coef.yaw)] <- 0;
		coef.yyaw[is.na(coef.yyaw)] <- 0;

		yaw.hat <- cbind(1,yawmat.val) %*% coef.yaw;
		yyaw.hat <- cbind(1,yyawmat.val) %*% coef.yyaw;
		y.val.hat <- cbind(1,xav.val) %*% beta;
				
		if(yfamily=='binomial'){
			yaw.hat <- 1/(1+exp(-yaw.hat));
			yyaw.hat <- 1/(1+exp(-yyaw.hat));
			y.val.hat <- 1/(1+exp(-y.val.hat));
		}
		
		# E[(Y-m(A,V)^2|A,W]
		rr.hat <- yyaw.hat - 2*y.val.hat*yaw.hat + y.val.hat^2; 
		
		if(afamily == 'binomial') a.values <- c(0,1)
		else a.values <- quantile(a.val,seq(0,1,1/10),na.rm=TRUE);
		loss.ct <- matrix(,nrow=length(y.val),ncol=length(a.values));
		
		for(i in 1:length(a.values)){
			a.this <- a.values[i];
			yawmat.val.counter <- buildXw(cbind(a.this,w.val),model.yaw);
			yyawmat.val.counter<- buildXw(cbind(a.this,w.val),model.yyaw);
			xav.val.counter <- buildXw(cbind(a.this,v.val),p.current);
				
			yaw.hat.counter <- cbind(1,yawmat.val.counter) %*% coef.yaw;
			yyaw.hat.counter <- cbind(1,yyawmat.val.counter) %*% coef.yyaw;
			y.val.hat.counter <- cbind(1,xav.val.counter)%*%beta;
				
			if(yfamily=='binomial'){
				yaw.hat.counter <- 1/(1+exp(-yaw.hat.counter));
				yyaw.hat.counter <- 1/(1+exp(-yyaw.hat.counter));
				y.val.hat.counter <- 1/(1+exp(-y.val.hat.counter));
			}

			# E[(Y-m(A,W))^2|A=a,W]
			loss.ct[,i] <- (yyaw.hat.counter - 2*y.val.hat.counter * yaw.hat.counter + y.val.hat.counter^2) * wt.censor.val;
			
			if(stable.wt==TRUE){
                if(afamily=='gaussian')
					loss.ct[,i] <- loss.ct[,i] * dnorm(a.this, mean=av.hat,sd=delta.hat.av)
				else 
                  	loss.ct[,i] <- loss.ct[,i] * ((1-a.this) * (1-av.hat) + a.this * av.hat );
			}
		}
		loss.ct.sum <- apply(loss.ct,1, sum);
		rr.val <- (y.val-as.vector(y.val.hat))^2;
		loss <- rr.val*wt*wt.censor.val - rr.hat*wt*wt.censor.val + loss.ct.sum - rr.hat*wt*wt.censor.val + rr.hat*wt;
	}

	if(mapping == 'Gcomp'){
		yawmat.val <- buildXw(cbind(a.val,w.val),model.yaw);
		yyawmat.val <- buildXw(cbind(a.val,w.val),model.yyaw);
		xav.val <- buildXw(cbind(a.val,v.val),p.current);

		coef.yaw <- coef(glm(y.val~yawmat.val, family=yfamily));
		coef.yyaw <- coef(glm(y.val^2~yyawmat.val, family=yfamily));
		coef.yaw[is.na(coef.yaw)] <- 0;
		coef.yyaw[is.na(coef.yyaw)] <- 0;

		if(afamily == 'binomial') a.values <- c(0,1)
		else a.values <- quantile(a.val,seq(0,1,1/10),na.rm=TRUE);
		
		loss.mat <- matrix(,nrow=length(y.val),ncol=length(a.values));

		for(i in 1:length(a.values)){
			yawmat.val.counter <- buildXw(cbind(a.values[i],w.val),model.yaw);
			yyawmat.val.counter<- buildXw(cbind(a.values[i],w.val),model.yyaw);
			xav.val.counter <- buildXw(cbind(a.values[i],v.val),p.current);
				
			yaw.hat.counter <- cbind(1,yawmat.val.counter) %*% coef.yaw;
			yyaw.hat.counter <- cbind(1,yyawmat.val.counter) %*% coef.yyaw;
			y.val.hat.counter <- cbind(1,xav.val.counter)%*%beta;
				
			if(yfamily=='binomial'){
				yaw.hat.counter <- 1/(1+exp(-yaw.hat.counter));
				yyaw.hat.counter <- 1/(1+exp(-yyaw.hat.counter));
				y.val.hat.counter <- 1/(1+exp(-y.val.hat.counter));
			}
			
			# E[(Y-m(A,W))^2|A=a,W]
	
			loss.mat[,i] <- (yyaw.hat.counter - 2*y.val.hat.counter * yaw.hat.counter + y.val.hat.counter^2) ;
		}
			
		loss <- apply(loss.mat,1,sum);		
	}
	loss[loss<=0]<-0;
	
	return(mean(loss,na.rm=TRUE));
} 

erisk.compute <- function(y,a,v,w,yfamily,afamily, p.current, model.av, model.aw,model.yaw,model.yyaw, wt.censor, mapping, fitting, stable.wt, fixed.terms=NULL, g.lb, g.ub)
{
	p.current <- cbindlist(fixed.terms,p.current);
	beta <- fitMSM(y,a,v,w, yfamily,afamily,p.current, model.av, model.aw,model.yaw, wt.censor,fitting, stable.wt, g.lb=g.lb, g.ub=g.ub);
	erisk <- loss.compute(beta,y,y,a,a,v,v,w,w,yfamily,afamily, p.current, model.av, model.aw, model.yaw, model.yyaw, wt.censor, wt.censor, fitting, stable.wt, g.lb=g.lb, g.ub=g.ub);
	return(erisk);
}

find.emp.minrisk <- function(y,a,v,w,yfamily,afamily, model.av, model.aw,model.yaw,model.yyaw,wt.censor, mapping,fitting,ncv,I.set, stable.wt, fixed.terms, saved.models, xorder.max, g.lb, g.ub){
	nobs <- length(y);
	nvec <- length(I.set);
	p.current <- I.set[[1]];

	pcollect.inloop <- p.current;
#	pcollect.inloop <- cbindlist(fixed.terms, p.current);

	p.code<-code(pcollect.inloop,xorder.max);
	min.risk.inloop <- read.model(p.code,saved.models);
	
	if(is.null(min.risk.inloop)==1) {
		min.risk.inloop <- erisk.compute( y, a, v, w, yfamily, afamily, p.current, model.av, model.aw, model.yaw, model.yyaw, wt.censor, mapping, fitting, stable.wt,fixed.terms, g.lb=g.lb, g.ub=g.ub);
		saved.models <- store.model(p.code, min.risk.inloop,saved.models);
	}

	if(length(I.set)>1){
		for(i in 2:nvec){
			p.current <- I.set[[i]];
#			p.working <- cbindlist(fixed.terms,I.set[[i]]);

			p.code<-code(p.current,xorder.max);
			risk <- read.model(p.code,saved.models);
			if(is.null(risk)==1) {
				risk <- erisk.compute( y, a, v, w, yfamily, afamily, p.current, model.av, model.aw, model.yaw, model.yyaw, wt.censor, mapping, fitting, stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub);
				saved.models <- store.model(p.code, risk, saved.models);
			}

			if(risk < min.risk.inloop){
				pcollect.inloop <- p.current;
				min.risk.inloop <- risk;
			}
		}
	}
	pcollect.inloop <- list(pcollect.inloop, min.risk.inloop, saved.models);
#	cat("best in loop\n")
#	print(pcollect.inloop)
	return(pcollect.inloop);
}

cvmsm.risk <- function(y,a,v,w,yfamily,afamily, model.msm, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping,fitting, ncv, stable.wt, fixed.terms=NULL, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb, g.ub){

#only used at final model

	nobs <- length(y)

#	index <- seq(1:nobs)%%ncv
#	index[index==0] <- ncv
	
#	p.working <- cbindlist(fixed.terms,p.current)
#	p.working <- p.current

	if(rep.ID==0){
		index <- seq(1:nobs)%%ncv
		index[index==0] <- ncv
	} else {
		ID.unique<-unique(ID)
		res.unique <- seq(1:length(ID.unique))%%ncv
		index <- rep(0,nobs)
		for(i in 1:length(ID.unique))
			index[ID==ID.unique[i]]<-res.unique[i]
		index[index==0] <- ncv
	}
	
	risk <- rep(Inf, ncv)
	for(i in 1:ncv){
		y.val <- y[index==i]; 	y.train <- y[index!=i];
		a.val <- a[index==i];	a.train <- a[index!=i];
		v.val <- v[index==i,];	v.train <- v[index!=i,];
		w.val <- w[index==i,];	w.train <- w[index!=i,];
		
		wt.censor.val <- wt.censor[index==i]; 	wt.censor.train <- wt.censor[index!=i];
		p.current <- model.msm
		
		if(is.null(dyn.treat)){
			beta <- fitMSM(y.train,a.train,v.train,w.train,yfamily,afamily, p.current,fmodel.av[[i]], fmodel.aw[[i]],fmodel.yaw[[i]],wt.censor.train, fitting, stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub)

			if(length(beta)==1 && beta!="N") risk[i]<-Inf
			else 
				risk[i] <- loss.compute(beta, y.train,y.val, a.train,a.val, v.train,v.val, w.train,w.val, yfamily,afamily, p.current, fmodel.av[[i]], fmodel.aw[[i]], fmodel.yaw[[i]], fmodel.yyaw[[i]], wt.censor.train, wt.censor.val, mapping, stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub)
		} else {
			dyn.treat <- as.matrix(dyn.treat)
			dyn.treat.val <- dyn.treat[index==i,]; dyn.treat.train <- dyn.treat[index!=i,];
			
			beta <- fitMSM.dynamic(y.train,a.train,v.train,w.train,yfamily,afamily, p.current,fmodel.av[[i]], fmodel.aw[[i]],fmodel.yaw[[i]],wt.censor.train, fitting, stable.wt, fixed.terms, dyn.treat.train, dyn.cutoff, g.lb=g.lb)
			
			if(length(beta)==1 && beta!="N") risk[i]<-Inf
			else 
				risk[i] <- loss.compute.dyn(beta, y.train,y.val, a.train,a.val, v.train,v.val, w.train,w.val, yfamily,afamily, p.current, fmodel.av[[i]], fmodel.aw[[i]], fmodel.yaw[[i]], fmodel.yyaw[[i]], wt.censor.train, wt.censor.val, mapping, stable.wt, fixed.terms, dyn.treat.train, dyn.treat.val, dyn.cutoff, g.lb)
		}
	}

	return(mean(risk))
}

risk.compute <- function(y,a,v,w,yfamily,afamily,msm.order,msm.int, maxSize, fmodel.av, fmodel.aw, fmodel.yaw, fmodel.yyaw, wt.censor, mapping,fitting,ncv,detail,names.av, stable.wt, fixed.terms=NULL, dyn.treat, dyn.cutoff, rep.ID, ID, g.lb, g.ub)
{
	nobs <- length(y);
	if(rep.ID==0){
		index <- seq(1:nobs)%%ncv;
		index[index==0] <- ncv;
	} else {
		ID.unique<-unique(ID);
		res.unique <- seq(1:length(ID.unique))%%ncv;
		index <- rep(0,nobs);
		for(i in 1:length(ID.unique))
			index[ID==ID.unique[i]]<-res.unique[i];
		index[index==0] <- ncv;
	}
	risk <- matrix(,nrow=maxSize+1,ncol=ncv);
	dimnames(risk) <- list(paste("Size",c(0:maxSize),sep="="),paste("Sample ",c(1:ncv),sep=""))

	for(i in 1:ncv){
		y.val <- y[index==i];	y.train <- y[index!=i];
		a.val <- a[index==i];	a.train <- a[index!=i];
		v.val <- v[index==i,];	v.train <- v[index!=i,];
		w.val <- w[index==i,];	w.train <- w[index!=i,];
		wt.censor.val <- wt.censor[index==i]; 	wt.censor.train <- wt.censor[index!=i];

		if(is.null(dyn.treat)){
			candidate <- dsa.erisk(y.train, a.train, v.train ,w.train, xorder.max=msm.order, yfamily,afamily, fmodel.av[[i]], fmodel.aw[[i]], fmodel.yaw[[i]], fmodel.yyaw[[i]], mapping,fitting, interactions=msm.int, weight=wt.censor.train, maxSize, detail,names.av, find.emp.minrisk, erisk.compute, stable.wt, lastfit=FALSE, fixed.terms=fixed.terms, g.lb=g.lb, g.ub=g.ub);
		} else {
			if(!is.matrix(dyn.treat)) dyn.treat <- as.matrix(dyn.treat);
			dyn.treat.val <- dyn.treat[index==i,]; dyn.treat.train <- dyn.treat[index!=i,];
			candidate <- dsa.erisk(y.train, a.train,v.train ,w.train, xorder.max=msm.order, yfamily,afamily, fmodel.av[[i]], fmodel.aw[[i]], fmodel.yaw[[i]], fmodel.yyaw[[i]], mapping,fitting, interactions=msm.int, weight=wt.censor.train, maxSize, detail,names.av, find.emp.minrisk.dyn, erisk.compute.dyn, stable.wt, lastfit=FALSE, fixed.terms=fixed.terms, dyn.treat=dyn.treat.train, dyn.cutoff=dyn.cutoff, g.lb=g.lb, g.ub=g.ub);
		}
		
#		cat("length(candidate)=",length(candidate),"\n");
#		print(candidate);

		for(j in 1:length(candidate)){
#			cat("j=",j,"\n");
			p.current <- candidate[[j]];
#			print(length(p.current));
			
			if(is.null(dyn.treat)){
				beta <- fitMSM(y.train,a.train,v.train,w.train,yfamily,afamily, p.current,fmodel.av[[i]], fmodel.aw[[i]],fmodel.yaw[[i]],wt.censor.train, fitting, stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub);
				#print(beta);
				risk[j,i] <- loss.compute(beta, y.train,y.val, a.train,a.val, v.train,v.val, w.train,w.val, yfamily,afamily, p.current, fmodel.av[[i]], fmodel.aw[[i]], fmodel.yaw[[i]], fmodel.yyaw[[i]], wt.censor.train, wt.censor.val, mapping, stable.wt, fixed.terms, g.lb=g.lb, g.ub=g.ub);
			} else {
				beta <- fitMSM.dynamic(y.train,a.train,v.train,w.train,yfamily,afamily, p.current,fmodel.av[[i]], fmodel.aw[[i]], fmodel.yaw[[i]], wt.censor.train, fitting, stable.wt, fixed.terms, dyn.treat=dyn.treat.train, dyn.cutoff=dyn.cutoff, g.lb=g.lb);
				print(beta);
				risk[j,i] <- loss.compute.dyn(beta, y.train,y.val, a.train,a.val, v.train,v.val, w.train,w.val, yfamily,afamily, p.current, fmodel.av[[i]], fmodel.aw[[i]], fmodel.yaw[[i]], fmodel.yyaw[[i]], wt.censor.train, wt.censor.val, mapping, stable.wt, fixed.terms, dyn.treat.train, dyn.treat.val, dyn.cutoff=dyn.cutoff, g.lb=g.lb);
			}

#			cat("risk=",risk[j,i],"\n");
		}
		
#		print(risk)		
		if(length(candidate)<maxSize+1){
			risk[is.na(risk[,i])==1,i] <- risk[length(candidate),i];
		}
	}
	risk.mean <- apply(risk,1,mean);

	cat("Risk Table for Interaction =",msm.int,"\n")
	print(cbind(risk,Mean=risk.mean));	
	return(risk.mean);
}

#risk.compute(yy,aa,vv,ww,'gaussian',list(c(0,0)),fmodel.aw,fmodel.yaw,fmdoel.yaw,'IPTW','IPTW',2)

#fitMSM(yy,aa,vv,ww, yfamily='gaussian',afamily='binomial', p.current=list(c(0,0)), model.av=list(c(1)), model.aw=list(c(1,0,0),c(0,1,0),c(0,0,1)),model.yaw=NULL, wt.censor=NULL, fitting='IPTW', stable.wt=TRUE, fixed.terms=NULL)

fitMSM <- function(y,a,v,w, yfamily,afamily, p.current, model.av, model.aw,model.yaw, wt.censor, fitting, stable.wt=TRUE, fixed.terms=NULL, g.lb, g.ub)
{
	#model.aw tells the form of design matrix of A|W, eg. model.aw=list((1,0,0),(0,1,0),(0,0,1)) means
	#  xw=(w1,w2,w3)
	p.current <- cbindlist(fixed.terms, p.current);
	#	if(is.null(wt.censor)) wt.censor <- rep(1,length(y));
	
	if(fitting == 'IPTW'){
		xw <- buildXw(w,model.aw);
		gaw <- coef(glm(a~xw,family=afamily));
		gaw[is.na(gaw)] <- 0;
		aw.hat <- as.vector(cbind(1,xw) %*% gaw);
		wt <- rep(1,length(aw.hat));
		
		if(stable.wt==TRUE) {
			xv <- buildXw(v,model.av);
			gav <- coef(glm(a~xv,family=afamily));
			gav[is.na(gav)] <- 0;
			av.hat <- cbind(1,xv)%*%gav;
			# calculate P(A=1|V)

			if(afamily=='binomial'){
				av.hat <- 1/(1+exp(-av.hat));
				pav <- av.hat;
				aw.hat <- 1/(1+exp(-aw.hat));
				wt[a==0] <- (1-pav[a==0])/(1-aw.hat[a==0]);
				wt[a==1] <- pav[a==1]/aw.hat[a==1];
			} else {
		 		delta.hat.av <- sd(a-av.hat,na.rm=TRUE);
				pav <- dnorm(a, mean=av.hat,sd=delta.hat.av);
				delta.hat<-sd((a-aw.hat),na.rm=TRUE);
				pa <- dnorm(a,mean=aw.hat,sd=delta.hat);
				wt <- pav/pa;
			}
			wt[wt>1/g.lb] <- 1/g.lb;
		} else {
            if(afamily=='binomial'){
		 		aw.hat <- 1/(1+exp(-aw.hat));
		 		aw.hat[aw.hat<g.lb] <- g.lb;
				aw.hat[aw.hat>g.ub] <- g.ub;
				wt[a==0] <- 1/(1-aw.hat[a==0]);
				wt[a==1] <- 1/aw.hat[a==1];
			} else {
				delta.hat<-sd((a-aw.hat),na.rm=TRUE);
				pa <- dnorm(a,mean=aw.hat,sd=delta.hat);
				pa[pa<g.lb] <- g.lb;
				pa[pa>g.ub] <- g.ub;
				wt <- 1/pa;
			}
		}
#		wt <- wt*wt.censor;
		xav <- buildXw(cbind(a,v),p.current);
		beta.iptw <- coef(glm(y~xav,weights=wt,family=yfamily));
#		print(summary(glm(y~xav, weights=wt*wt.censor, family=yfamily)));
		beta.iptw[is.na(beta.iptw)] <- 0;
		beta.hat <- beta.iptw;
	}
	
	if(fitting == 'Gcomp') {
		aw.mat <- buildXw(cbind(a,w),model.yaw);
		beta.yaw <- coef(glm(y~aw.mat,family=yfamily));
		beta.yaw[is.na(beta.yaw)] <- 0;

		if(afamily == 'binomial') a.values <- c(0,1)
		else	a.values <- quantile(a,seq(0,1,1/10),na.rm=TRUE);

		temp.aw <- cbind(a.values[1],w);
		temp.av <- cbind(a.values[1],v);
		
#		temp.wt.censor <- rep(wt.censor,length(a.values))
				
		for(i in 2:length(a.values)){
			temp.aw <- rbind(temp.aw,cbind(a.values[i],w));
			temp.av <- rbind(temp.av,cbind(a.values[i],v));
		}

		mat.aw <- buildXw(temp.aw,model.yaw);
		y.hat <- cbind(1,mat.aw) %*% beta.yaw;
		if(yfamily=='binomial') y.hat<-1/(1+exp(-y.hat));
		mat.av <- buildXw(temp.av,p.current);
		
#		beta.gcomp <- coef(glm(y.hat~mat.av,family=yfamily,weights=temp.wt.censor))
#		print(summary(glm(y.hat~mat.av,family=yfamily,weights=temp.wt.censor)))

		beta.gcomp <- coef(glm(y.hat~mat.av,family=yfamily));
		beta.gcomp[is.na(beta.gcomp)] <- 0;
		beta.hat <- beta.gcomp;
	}
	
	if(fitting == 'DR'){
		# calculte treatment weight 
		{xw <- buildXw(w,model.aw);
		gaw <- coef(glm(a~xw,family=afamily));
		gaw[is.na(gaw)] <- 0;
		aw.hat <- as.vector(cbind(1,xw) %*% gaw);
		wt <- rep(1,length(aw.hat));
		
		if(stable.wt==TRUE) {
			xv <- buildXw(v,model.av);
			gav <- coef(glm(a~xv,family=afamily));
			gav[is.na(gav)] <- 0;
			av.hat <- cbind(1,xv)%*%gav;
			# calculate P(A=1|V)
			if(afamily=='binomial'){
				av.hat <- 1/(1+exp(-av.hat));
				pav <- av.hat;
				aw.hat <- 1/(1+exp(-aw.hat));
				wt[a==0] <- (1-pav[a==0])/(1-aw.hat[a==0]);
				wt[a==1] <- pav[a==1]/aw.hat[a==1];
			} else {
		 		delta.hat.av <- sd(a-av.hat,na.rm=TRUE);
				pav <- dnorm(a, mean=av.hat,sd=delta.hat.av);
				delta.hat<-sd((a-aw.hat),na.rm=TRUE);
				pa <- dnorm(a,mean=aw.hat,sd=delta.hat);
				wt <- pav/pa;
			}
			wt[wt>1/g.lb] <- 1/g.lb;
		} else {
            if(afamily=='binomial'){
		 		aw.hat <- 1/(1+exp(-aw.hat));
		 		aw.hat[aw.hat<g.lb] <- g.lb;
				aw.hat[aw.hat>g.ub] <- g.ub;
				wt[a==0] <- 1/(1-aw.hat[a==0]);
				wt[a==1] <- 1/aw.hat[a==1];
			} else {
				delta.hat<-sd((a-aw.hat),na.rm=TRUE);
				pa <- dnorm(a,mean=aw.hat,sd=delta.hat);
				pa[pa<g.lb] <- g.lb;
				pa[pa>g.ub] <- g.ub;
				wt <- 1/pa;
			}
		}
		}
		######  new DR  ##############################        
        if(yfamily=="gaussian"){
			Z <- buildXw(cbind(a,v),p.current);
			if(prod(unlist(p.current)==0)==0) Z <- cbind(1,Z);
			
            aw.mat <- buildXw(cbind(a,w),model.yaw);
            beta.yaw <- coef(glm(y~aw.mat,family=yfamily));
            beta.yaw[is.na(beta.yaw)] <- 0;
		
			yhat.aw <- cbind(1,aw.mat) %*% beta.yaw;
			temp <- as.vector(y-yhat.aw) * wt;
			c0.part1 <- t(Z) %*% temp;

			if(afamily == 'binomial') a.values <- c(0,1)
			else	a.values <- quantile(a,seq(0,1,1/10),na.rm=TRUE);

			c0.part2 <- matrix(0,ncol = ncol(c0.part1), nrow = nrow(c0.part1));
			C.mat <- matrix(0, ncol=ncol(Z), nrow=ncol(Z));
			for(i in 1:length(a.values)){
				Z.a <- buildXw(cbind(a.values[i],v), p.current);
				if(prod(unlist(p.current)==0)==0) Z.a <- cbind(1,Z.a);
				aw.mat.a <- buildXw(cbind(a.values[i],w),model.yaw);
				yhat.aw.a <- cbind(1, aw.mat.a) %*% beta.yaw;

				if(stable.wt){
					if(afamily == 'binomial'){
						gav.a <- ifelse(a.values[i]==1, pav, 1-pav);	
					} else {
						gav.a <- dnorm(a.values[i], mean=av.hat,sd=delta.hat.av);
					}
				} else gav.a <- rep(1,length(a));
				
				temp <- as.vector(yhat.aw.a) * gav.a;
				c0.part2 <- c0.part2 + t(Z.a) %*% temp;
				temp <- Z.a * as.vector(gav.a);
				C.mat <- C.mat + t(Z.a) %*% temp;
			}
			c0 <- c0.part1 + c0.part2;
			
			if(det(C.mat) > 1e-8) C.mat.inv <- solve(C.mat)
			else{
				beta.hat<-"N";
				return(beta.hat);
			}
			beta.hat <- as.vector(C.mat.inv %*% c0);
			if(prod(unlist(p.current)==0)!=0) beta.hat <- c(beta.hat,0);
		}
		##########  end new DR  ######################
		else {
        	###### compute beta.gcomp #########################
			{
			aw.mat <- buildXw(cbind(a,w),model.yaw);
			beta.yaw <- coef(glm(y~aw.mat,family=yfamily));
			beta.yaw[is.na(beta.yaw)] <- 0;

			if(afamily == 'binomial') a.values <- c(0,1)
			else	a.values <- quantile(a,seq(0,1,1/10),na.rm=TRUE);

			temp.aw <- cbind(a.values[1],w);
			temp.av <- cbind(a.values[1],v);
			temp.wt.censor <- rep(wt.censor,length(a.values))
		
			for(i in 2:length(a.values)){
				temp.aw <- rbind(temp.aw,cbind(a.values[i],w));
				temp.av <- rbind(temp.av,cbind(a.values[i],v));
			}
		
			mat.av <- buildXw(temp.av,p.current);
			mat.aw <- buildXw(temp.aw,model.yaw);
			y.hat <- as.vector(cbind(1,mat.aw) %*% beta.yaw);
			if(yfamily=='binomial') y.hat<-1/(1+exp(-y.hat));
			
			beta.gcomp <- coef(glm(y.hat~mat.av,family=yfamily));	
			beta.gcomp[is.na(beta.gcomp)] <- 0;
			}
			############## compute beta.iptw ##################
			{
			xw <- buildXw(w,model.aw);
			gaw <- coef(glm(a~xw,family=afamily));
			gaw[is.na(gaw)] <- 0;
			aw.hat <- as.vector(cbind(1,xw) %*% gaw);
			wt <- rep(1,length(aw.hat));
		
			if(stable.wt==TRUE) {
				xv <- buildXw(v,model.av);
				gav <- coef(glm(a~xv,family=afamily));
				gav[is.na(gav)] <- 0;
				av.hat <- cbind(1,xv)%*%gav;
				# calculate P(A=1|V)
				if(afamily=='binomial'){
					av.hat <- 1/(1+exp(-av.hat));
					pav <- av.hat;
					aw.hat <- 1/(1+exp(-aw.hat));
					wt[a==0] <- (1-pav[a==0])/(1-aw.hat[a==0]);
					wt[a==1] <- pav[a==1]/aw.hat[a==1];
				} else {
		 			delta.hat.av <- sd(a-av.hat,na.rm=TRUE);
					pav <- dnorm(a, mean=av.hat,sd=delta.hat.av);
					delta.hat<-sd((a-aw.hat),na.rm=TRUE);
					pa <- dnorm(a,mean=aw.hat,sd=delta.hat);
					wt <- pav/pa;
				}
				wt[wt>1/g.lb] <- 1/g.lb;
			} else {
			    if(afamily=='binomial'){
			 		aw.hat <- 1/(1+exp(-aw.hat));
			 		aw.hat[aw.hat<g.lb] <- g.lb;
					aw.hat[aw.hat>g.ub] <- g.ub;
					wt[a==0] <- 1/(1-aw.hat[a==0]);
					wt[a==1] <- 1/aw.hat[a==1];
				} else {
					delta.hat<-sd((a-aw.hat),na.rm=TRUE);
					pa <- dnorm(a,mean=aw.hat,sd=delta.hat);
					pa[pa<g.lb] <- g.lb;
					pa[pa>g.ub] <- g.ub;
					wt <- 1/pa;
				}
			}
#			wt <- wt*wt.censor;
			xav <- buildXw(cbind(a,v),p.current);

			beta.iptw <- coef(glm(y~xav,weights=wt,family=yfamily));
			beta.iptw[is.na(beta.iptw)] <- 0;
			}
			###################################################

			if(prod(unlist(p.current)==0)!=0){
				beta.hat<-beta.gcomp
			} else {
				y.hat.gcomp <- cbind(1,xav) %*% beta.gcomp
				dxav <- cbind(1,xav)
				yaw.hat <- as.vector(cbind(1,aw.mat) %*% beta.yaw)
#				print(yaw.hat[1:3])
				if(yfamily=='binomial'){
					fraction <- exp(-y.hat.gcomp)/((1+exp(-y.hat.gcomp))^2)
					y.hat.gcomp<-1/(1+exp(-y.hat.gcomp))
					yaw.hat  <- 1/(1+exp(-yaw.hat))
					dxav <- dxav / as.vector(fraction)
				}
#				print(yaw.hat[1:3])	
				xvar <- length(beta.iptw)	

				dxav <- dxav * as.vector(is.na(y))
				Z <- matrix(,nrow=length(y),ncol=xvar)
				temp <- matrix(0,nrow=length(y),ncol=xvar)

				for(i in 1:length(a.values)){
					a.this <- a.values[i]
					yawmat.counter <- buildXw(cbind(a.this,w),model.yaw)
					xav.counter <- buildXw(cbind(a.this,v),p.current)
					dxav.counter <- cbind(1,xav.counter)
					yaw.hat.counter <- cbind(1,yawmat.counter) %*% beta.yaw
					y.hat.gcomp.counter <- cbind(1,xav.counter)%*%beta.gcomp
				
					if(yfamily=='binomial'){
						yaw.hat.counter <- 1/(1+exp(-yaw.hat.counter))
						linear <- y.hat.gcomp.counter
						y.hat.gcomp.counter <- 1/(1+exp(-y.hat.gcomp.counter))
					
						fraction <- exp(-linear)/((1+exp(-linear))^2)
						dxav.counter <- dxav.counter *as.vector(is.na(y)) / as.vector(fraction)
					}
				
					if(stable.wt==TRUE){
						if(afamily=='gaussian')
							dxav.counter <- dxav.counter * dnorm(a.this, mean=av.hat, sd=delta.hat.av)
						if(afamily=='binomial')
							dxav.counter <- dxav.counter * ( as.vector(1-a.this) * as.vector(1-av.hat) + a.this * as.vector(av.hat) )
					}

					yhat.diff <- yaw.hat.counter - y.hat.gcomp.counter
					for(j in 1:xvar)
						temp[,j] <- temp[,j] + dxav.counter[,j] * yhat.diff;
				}
			
				for(i in 1:xvar)
					Z[,i] <- wt*wt.censor* dxav[,i] * (yaw.hat - y.hat.gcomp) - wt.censor * temp[,i] + wt*wt.censor* dxav[,i] * (yaw.hat - y.hat.gcomp) - wt * dxav[,i] * (yaw.hat - y.hat.gcomp);

                model.xavbeta <- buildModel(p.current,beta.iptw)
				beta.hat.iptw <- NR.iteration(y,a,v,w,yfamily,wt,Z,model.xavbeta,.0001)
				model.xavbeta <- NULL
				model.xavbeta <- buildModel(p.current,beta.gcomp)
				beta.hat.g <- NR.iteration(y,a,v,w,yfamily,wt,Z,model.xavbeta,.0001)
			
				if(beta.hat.iptw!="N"){
					norm.iptw <- beta.hat.iptw[[2]]; 
					#print(norm.iptw)
					beta.hat.iptw[[2]] <- NULL
					if(beta.hat.g=="N") beta.hat <- beta.hat.iptw
				}

				if(beta.hat.g!="N"){
					norm.g <- beta.hat.g[[2]]; 
					#print(norm.g)
					beta.hat.g[[2]] <- NULL
					if(beta.hat.iptw=="N") beta.hat <- beta.hat.g
				}
			
				if(beta.hat.g!="N" & beta.hat.iptw!="N"){
					if(norm.iptw < norm.g) beta.hat <- beta.hat.iptw
						else beta.hat <- beta.hat.g
				}
			
				if(length(beta.hat.g)==1 & beta.hat.g=="N" && length(beta.hat.iptw)==1 && beta.hat.iptw=="N") beta.hat<-"N"
			}
	   }

	} 
#	print(beta.hat)
	return(unlist(beta.hat))
}

find.minrisk <- function(y,a,v,w,yfamily,afamily,model.aw,model.yaw,model.yyaw,wt.censor, mapping, fitting, ncv, I.set, saved.models, xorder.max){
	nobs <- length(y)
	nvec <- length(I.set)
	p.current <- I.set[[1]]
	
	pcollect.inloop <- p.current
	p.code<-code(pcollect.inloop,xorder.max)
	min.risk.inloop <- read.model(p.code,saved.models)
	
	if(is.null(min.risk.inloop)==1) {
		min.risk.inloop <- risk.compute2( y, a, v, w, yfamily, afamily, p.current, model.aw, model.yaw, model.yyaw, wt.censor, mapping, fitting, ncv)
		saved.models <- store.model(p.code, min.risk.inloop,saved.models)
	}
	
	if(length(I.set)>1){
		for(i in 2:nvec){
			p.current <- I.set[[i]]
			
			p.code<-code(p.current,xorder.max)
			risk <- read.model(p.code,saved.models)
			if(is.null(risk)==1) {
				risk <- risk.compute2( y, a, v, w, yfamily, afamily, p.current, model.aw, model.yaw, model.yyaw, wt.censor, mapping, fitting, ncv)
				saved.models <- store.model(p.code, risk, saved.models)
			}
			
			if(risk < min.risk.inloop){
				pcollect.inloop <- p.current
				min.risk.inloop <- risk
			}
		}
	}
	pcollect.inloop <- list(pcollect.inloop, min.risk.inloop, save.models)
	return(pcollect.inloop)
}

#11/2/04 change find.nuisance <- function(y,x,model,family, maxSize, interactions, xorder.max, ncv, ncv.nuisance, name.1, name.2) into: model=list(Model, Order, Size, Int)

find.nuisance <- function(y,x, model, family, ncv, ncv.nuisance, name.1, name.2, rep.ID, ID){
	temp.model <- list(1);
	if(ncol(x)==1) {
		if(prod(x==1)==1) {
			for(i in 1:(ncv+1))	temp.model[[i]] <- list(c(0));
			return(temp.model);
		}	
	}
				
	if(is.null(model$Model)){
		nobs <- length(y);
		nx <- ncol(x);

		if(rep.ID==0){
			index <- seq(1:nobs)%%ncv;
			index[index==0] <- ncv;
		} else {
			ID.unique<-unique(ID);
			res.unique <- seq(1:length(ID.unique))%%ncv;
			index <- rep(0,nobs);
			for(i in 1:length(ID.unique))
				index[ID==ID.unique[i]]<-res.unique[i];
			index[index==0] <- ncv;
		}

		for(i in 1:ncv){
			if(ncv > 1){
				y.train <- y[index!=i];	x.train <- x[index!=i,]
				ID.train <- ID[index!=i];
			} else {
				y.train <- y; x.train <- x; ID.train<- ID;
			}

			cat("Nuisance parameter model: \nFor training sample",i,":\n");
			cat("try\n");

			model.i <- cvGLM(y.train,x.train,ncv=ncv.nuisance, yx.model=model, myfamily=family, detail=FALSE,printout=FALSE, rep.ID=rep.ID, ID=ID.train)$model.pbeta$formula;
			temp.model[[i]] <- model.i;
		}

		cat("For the whole sample:\n");
		model.all <- cvGLM(y,x, ncv=ncv.nuisance, yx.model=model, myfamily=family, detail=FALSE, printout=FALSE, rep.ID=rep.ID, ID=ID)$model.pbeta$formula;

		model.allsample <- model.all;
		temp.model[[ncv+1]] <- model.allsample;
	} else {
		for(i in 1:(ncv+1)) temp.model[[i]] <- model$Model;
	}

	cat("Model for \"", name.1,"|", name.2,"\"\n");
	print(show.formula(name.2,list(temp.model[[ncv+1]])));
	return(temp.model);
}

#dsa.erisk(y,xmat,maxSize=3)


dsa.erisk <- function(y,a, v, w,xorder.max=NULL, yfamily,afamily, model.av,  model.aw, model.yaw, model.yyaw, mapping, fitting, interactions=NULL, weight=NULL, maxSize=NULL, detail=TRUE, names.av, fun.find=find.emp.minrisk, fun.erisk=erisk.compute, stable.wt, lastfit=FALSE, fixed.terms=NULL, ...)
{
#   	e <- accuracy; 
	nobs <- length(y);
	nxvar <- length(xorder.max);

	if(is.null(interactions)) interactions <- nxvar;
	if(is.null(weight)) weight <- rep(1,length(y));

#   print("dsa")		
	pcollect <- list(rep(0,nxvar));
	iteration <- 0;
	p.current <- pcollect;
	nterms <- 0;
	goon <- 1;
	meanfit <- 0;
	emp.risk <- rep(Inf,time=maxSize+1);

	min.risk <- fun.erisk(y,a,v,w,yfamily,afamily, p.current, model.av, model.aw, model.yaw, model.yyaw, weight, mapping, fitting, stable.wt, fixed.terms,...);

	emp.risk[1] <- min.risk;
	cat("Candidate models:\n");
	cat("#",iteration, "Size = 0. Empirical Risk: ", min.risk, "\n");
#	print(show.formula(names.av,list(p.current)))
	print(show.formula(names.av,list(cbindlist(p.current,fixed.terms))));

	candidate <- list(p.current);
	saved.models <- NULL;

	while(length(pcollect) <= maxSize){
#		cat("Current model (pcollect):"); 
		if(iteration>0){
			cat("#",iteration, "Size =", length(pcollect), ". Empirical Risk: ", emp.risk[length(pcollect)+1], "\n");
			print(show.formula(names.av,list(cbindlist(pcollect,fixed.terms))));
			if(length(pcollect)==maxSize) break;
		}
		if(nterms >1){
			I.del <- deletion(pcollect);
			if(detail){
				cat("start deleting... \n");
				print(I.del);
			}

			if(is.null(I.del)==0){
				nterms <- length(I.del[[1]]);
				result.del <- fun.find(y,a,v,w,yfamily,afamily, model.av, model.aw, model.yaw, model.yyaw, weight,mapping,fitting,ncv,I.del, stable.wt, fixed.terms, saved.models, xorder.max,...);
				min.risk.del <- result.del[[2]];
				pcollect.del <- result.del[[1]];
				saved.models <- result.del[[3]];
				
				if(min.risk.del<emp.risk[nterms+1]) {
					pcollect <- pcollect.del;
					emp.risk[nterms+1] <- min.risk.del;
					iteration <- iteration+1;
					candidate[[nterms+1]] <- pcollect;
					if(detail){
						cat("deletion works\n");
						print(pcollect);
						print(emp.risk[nterms+1]);
					}
					next;
				}
			}
		}
		
		I.sub <- substitution(pcollect,xorder.max,interactions);
		if(detail){ 
			cat("start substitute...\n");
			print(I.sub);
		}
				
		if(is.null(I.sub)==0){
			nterms <- length(I.sub[[1]]);
			result.sub <- fun.find(y,a,v,w,yfamily,afamily,model.av, model.aw,model.yaw,model.yyaw,weight, mapping,fitting,ncv,I.sub, stable.wt, fixed.terms, saved.models, xorder.max, ...);
			min.risk.sub <- result.sub[[2]];
			pcollect.sub <- result.sub[[1]];
			saved.models <- result.sub[[3]];
			if(iteration==0){
				candidate[[2]] <- pcollect.sub;
			}

			if(min.risk.sub< emp.risk[nterms+1]) {
				pcollect <- pcollect.sub;
				emp.risk[nterms+1] <- min.risk.sub;
				candidate[[nterms+1]] <- pcollect;	
				iteration <- iteration+1;
				if(detail) {
					cat("substitution works\n");
					print(pcollect);
					print(emp.risk[nterms+1]);
				}
				next;
			}
		}	
		if(prod(unlist(pcollect)==0)==0){
			I.add <- addition(pcollect,xorder.max,interactions);
			if(detail) {
				cat("start adding... \n");
				print(I.add);
			}
				
			if(is.null(I.add)==0){
				nterms <- length(I.add[[1]]);
				result.add <- fun.find(y,a,v,w,yfamily,afamily, model.av, model.aw, model.yaw, model.yyaw,weight, mapping,fitting,ncv,I.add, stable.wt, fixed.terms, saved.models, xorder.max, ...);
				min.risk.add <- result.add[[2]];
				pcollect.add <- result.add[[1]];
				saved.models <- result.add[[3]];
			

				if(min.risk.add < emp.risk[nterms+1]) {				
					pcollect <- pcollect.add;
					emp.risk[nterms+1] <- min.risk.add;
					candidate[[nterms+1]] <- pcollect;
					iteration <- iteration+1;
					if(detail){
						cat("addition works\n");
						print(pcollect);
						print(emp.risk[nterms+1]);
					}
				}
	
				pcollect <- candidate[[nterms+1]];
				next;
			}else{
				cat("MaxSize is too large! Addition stops at size = ",length(pcollect), "\n");
				break;
			}
		}	
   	}
   	cat("\n")
  #	cat("done dsa. length(saved.models)=",length(saved.models), "\n")
  # print(maxSize)
  # print(length(candidate))
  # print(candidate)
	candidate[[maxSize+2]] <- NULL;
  #	print("done dsa")
   	return(candidate);
} 

# dyn.treat: matrix, treatment under different rules (by column)
# dyn.cutoff: list(R1=c(theta1_1,theta1_2,...), R2=c(theta2_1, theta2_2,..),,..)
# e.g., dyn.cutoff <- list(R1: w1<5,a=1: c(5), R2: w1<8, a=1: c(8))
#       dyn.cutoff <- list(R1: w1<5,w2<.3, a=1: c(5,.3), R2: w1<8, w2<.7, a=1: c(8, .7))
# length(dyn.cutoff)== ncol(dyn.treat)

fitMSM.dynamic <- function(y,a,v,w, yfamily,afamily, p.current, model.av, model.aw,model.yaw, wt.censor, fitting='Gcomp', stable.wt=TRUE, fixed.terms=NULL, dyn.treat, dyn.cutoff=NULL, g.lb) {
  if(!is.matrix(dyn.treat)) dyn.treat <- as.matrix(dyn.treat)
	p.current <- cbindlist(fixed.terms, p.current)
	if(is.null(wt.censor)) wt.censor <- rep(1,length(y))
	if(is.null(dyn.cutoff)) dyn.cutoff <- list(rep(1,ncol(dyn.treat)))
#print(p.current)	
	if(fitting == 'IPTW'){
		xw <- buildXw(w,model.aw)
		gaw <- coef(glm(a~xw,family=afamily))
		gaw[is.na(gaw)] <- 0

		aw.hat <- as.vector(cbind(1,xw) %*% gaw)
		wt <- rep(0,length(aw.hat))
		
		if(afamily=='binomial'){
	 		aw.hat <- 1/(1+exp(-aw.hat))
		
			wt[a==0] <- 1/(1-aw.hat[a==0])
			wt[a==1] <- 1/aw.hat[a==1]
		}
		else {
			delta.hat<-sd((a-aw.hat),na.rm=TRUE)
			pa <- dnorm(a,mean=aw.hat,sd=delta.hat)
			wt <- 1/pa;
		}
		wt[wt>1/g.lb] <- 1/g.lb
		# wt[wt<1/.9] <- 1/.9  original

		if(afamily == 'binomial') a.values <- c(0,1)
		else	a.values <- quantile(a,seq(0,1,1/10),na.rm=TRUE)
#print("ok1")
		da <- a; d.dyn.treat <- dyn.treat;
		for(i in 1:length(a)) {
			da[i] <- sum(a.values<a[i])
			
			for(j in 1:ncol(dyn.treat)) 
				d.dyn.treat[i,j] <- sum(a.values<dyn.treat[i,j])
		}
#print("ok2")		
		dyn.wt <- dyn.treat
		for(i in 1:ncol(dyn.treat)){
			dyn.wt[,i] <- as.numeric(da==d.dyn.treat[,i])*wt*wt.censor
		}

		rep.y <- rep(y, ncol(dyn.treat))
		rep.v <- as.matrix(v);  
		rep.dyn.treat <- as.vector(dyn.treat);
		rep.wt <- dyn.wt[,1]
#print("ok3")
		for(i in 2:ncol(dyn.treat)){
			rep.v <- rbind(rep.v,as.matrix(v))
			rep.wt <- c(rep.wt, dyn.wt[,i])
		}

		mat.rulev <- buildXw(cbind(rep.dyn.treat,rep.v),p.current)
		beta.iptw <- coef(glm(rep.y~mat.rulev,weights=rep.wt,family=yfamily))
#		print(summary(glm(y~xav,weights=wt,family=yfamily)))
		beta.iptw[is.na(beta.iptw)] <- 0
		beta.hat <- beta.iptw
#print("ok4")
	}
	
	if(fitting == 'Gcomp') 
	{
		aw.mat <- buildXw(cbind(a,w),model.yaw)

		beta.yaw <- coef(glm(y~aw.mat,family=yfamily));
		beta.yaw[is.na(beta.yaw)] <- 0;
		#if dyn.cutoff is used, pool data together
		rep.times <- ncol(dyn.treat)
		rep.w <- w
		if(rep.times>1)	for(i in 2:rep.times) rep.w <- rbind(rep.w,w)
		temp.aw <- cbind(as.vector(dyn.treat), rep.w)
		mat.aw <- buildXw(temp.aw, model.yaw)
		y.hat <- cbind(1,mat.aw) %*% beta.yaw
		if(yfamily=='binomial') y.hat<-1/(1+exp(-y.hat))
		n.obs <- length(y)
		rule.mat <- matrix(rep(dyn.cutoff[[1]],n.obs), ncol=length(dyn.cutoff[[1]]), byrow=TRUE);

		if(length(dyn.cutoff)>1) {
			for(i in 2:length(dyn.cutoff)){
				temp <- matrix(rep(dyn.cutoff[[i]],n.obs),ncol=length(dyn.cutoff[[i]]),byrow=TRUE);
				rule.mat <- rbind(rule.mat,temp);
			}
		}

		temp.rulev <- cbind(rule.mat,rep(v,rep.times))
		mat.rulev <- buildXw(temp.rulev,p.current)
		beta.gcomp <- coef(glm(y.hat~mat.rulev,family=yfamily))

		beta.gcomp[is.na(beta.gcomp)] <- 0
		beta.hat <- beta.gcomp
	}
	
	if(fitting == 'DR'){	

	} 

#	print(beta.hat)
	return(unlist(beta.hat))
}

loss.compute.dyn <- function(beta, y.train,y.val,a.train,a.val,v.train,v.val,w.train,w.val, yfamily,afamily, p.current, model.av, model.aw, model.yaw, model.yyaw, wt.censor.train, wt.censor.val, mapping, stable.wt=TRUE, fixed.terms=NULL, dyn.treat.train, dyn.treat.val, dyn.cutoff=NULL, g.lb) { 	# mapping = {'IPTW','DR','Gcomp'} 

	dyn.treat.train <- as.matrix(dyn.treat.train); dyn.treat.val <- as.matrix(dyn.treat.val);
	if(length(beta)==1 && beta=="N") return(Inf)
	nobs <- length(y.val)
	p.current <- cbindlist(fixed.terms, p.current)
	
	y.train.hat <- matrix(,nrow=length(y.train), ncol=ncol(dyn.treat.train))
	y.val.hat <- matrix(,nrow=length(y.val), ncol=ncol(dyn.treat.val))
	
	for(i in 1:ncol(dyn.treat.train)){
		xav.train <- buildXw(cbind(dyn.cutoff[[i]],v.train),p.current)
		xav.val <- buildXw(cbind(dyn.cutoff[[i]],v.val),p.current)
		y.val.hat[,i] <- cbind(1,xav.val)%*%beta
		y.train.hat[,i] <- cbind(1,xav.train)%*%beta
	}
	
	if(yfamily=='binomial'){
		y.val.hat<-1/(1+exp(-y.val.hat))
		y.train.hat<-1/(1+exp(-y.train.hat))
	}

	if(mapping == 'IPTW'){
		xw.train <- buildXw(w.train,model.aw)
		xw.val <- buildXw(w.val,model.aw)
		gaw <- coef(glm(a.train~xw.train,family=afamily))
		gaw[is.na(gaw)] <- 0
	
		aw.hat <- as.vector(cbind(1,xw.val)%*%gaw)

		wt <- rep(0,length(aw.hat))
		
		if(afamily=='binomial'){
	 		aw.hat <- 1/(1+exp(-aw.hat))
		
			wt[a.val==0] <- 1/(1-aw.hat[a.val==0])
			wt[a.val==1] <- 1/aw.hat[a.val==1]
		}
		else {
			delta.hat<-sd((a.val-aw.hat),na.rm=TRUE)
			pa <- dnorm(a.val,mean=aw.hat,sd=delta.hat)
			wt <- 1/pa;
		}
		wt[wt>1/g.lb] <- 1/g.lb
		#wt[wt<1/.9] <- 1/.9  

		if(afamily == 'binomial') a.values <- c(0,1)
		else	a.values <- quantile(a.val,seq(0,1,1/10),na.rm=TRUE)

		da <- a.val; d.dyn.treat <- dyn.treat.val;
		for(i in 1:length(a.val)) {
			da[i] <- sum(a.values<a.val[i])
			
			for(j in 1:ncol(dyn.treat.val)) 
				d.dyn.treat[i,j] <- sum(a.values<dyn.treat.val[i,j])
		}
		
		dyn.wt <- dyn.treat.val
		r <- y.val.hat
		for(i in 1:ncol(dyn.treat.val)){
			dyn.wt[,i] <- as.numeric(da==d.dyn.treat[,i])*wt
			r[,i] <- (y.val - y.val.hat[,i]) ^2 * dyn.wt[,i]
		}
		loss <- apply(r,1,sum)
	
	
	}
	
	if(mapping == 'Gcomp'){
	
		# E[Y|A=a,W]
		yawmat.train <- buildXw(cbind(a.train,w.train),model.yaw)
		# E[Y^2|A=a,W]
		yyawmat.train <- buildXw(cbind(a.train,w.train),model.yyaw)
		
		coef.yaw <- coef(glm(y.train~yawmat.train, family=yfamily));
		coef.yyaw <- coef(glm(y.train^2~yyawmat.train, family=yfamily))
		coef.yaw[is.na(coef.yaw)] <- 0
		coef.yyaw[is.na(coef.yyaw)] <- 0
		
		loss.mat <- matrix(,nrow=length(y.val), ncol=ncol(dyn.treat.val))
	
		for(i in 1:ncol(dyn.treat.train)){
			yawmat.val.counter <- buildXw(cbind(dyn.treat.val[,i],w.val),model.yaw)
			yyawmat.val.counter<- buildXw(cbind(dyn.treat.val[,i],w.val),model.yyaw)
					
			yaw.hat.counter <- cbind(1,yawmat.val.counter) %*% coef.yaw
			yyaw.hat.counter <- cbind(1,yyawmat.val.counter) %*% coef.yyaw
						
			if(yfamily=='binomial'){
				yaw.hat.counter <- 1/(1+exp(-yaw.hat.counter))
				yyaw.hat.counter <- 1/(1+exp(-yyaw.hat.counter))
			}

			loss.mat[,i] <- (yyaw.hat.counter - 2*y.val.hat[,i] * yaw.hat.counter + y.val.hat[,i]^2) * wt.censor.val

		}
	
		loss <- apply(loss.mat,1,sum)	
		
	}
	loss[loss<=0]<-0
	loss <- loss * wt.censor.val
	return(mean(loss,na.rm=TRUE))
}

erisk.compute.dyn <- function(y,a,v,w,yfamily,afamily, p.current, model.av, model.aw,model.yaw,model.yyaw, wt.censor, mapping, fitting, stable.wt, fixed.terms=NULL, dyn.treat, dyn.cutoff, g.lb) {
	if(!is.matrix(dyn.treat)) dyn.treat <- as.matrix(dyn.treat)
	p.current <- cbindlist(fixed.terms,p.current)
	beta <- fitMSM.dynamic(y,a,v,w, yfamily,afamily,p.current, model.av, model.aw,model.yaw, wt.censor,fitting, stable.wt,fixed.terms=NULL, dyn.treat, dyn.cutoff, g.lb)

	erisk <- loss.compute.dyn(beta,y,y,a,a,v,v,w,w,yfamily,afamily, p.current, model.av, model.aw, model.yaw, model.yyaw, wt.censor, wt.censor, fitting, stable.wt, fixed.terms=NULL, dyn.treat,  dyn.treat, dyn.cutoff, g.lb=g.lb)
	
	return(erisk);
}

find.emp.minrisk.dyn <- function(y,a,v,w,yfamily,afamily, model.av, model.aw,model.yaw,model.yyaw,wt.censor, mapping,fitting,ncv,I.set, stable.wt, fixed.terms, saved.models, xorder.max, dyn.treat, dyn.cutoff){
	nobs <- length(y)
	nvec <- length(I.set)
	p.current <- I.set[[1]]

	pcollect.inloop <- p.current
#	pcollect.inloop <- cbindlist(fixed.terms, p.current)	

	p.code<-code(pcollect.inloop,xorder.max)
	min.risk.inloop <- read.model(p.code,saved.models)
	
	if(is.null(min.risk.inloop)==1) {
		min.risk.inloop <- erisk.compute.dyn( y, a, v, w, yfamily, afamily, p.current, model.av, model.aw, model.yaw, model.yyaw, wt.censor, mapping, fitting, stable.wt,fixed.terms, dyn.treat, dyn.cutoff, g.lb=g.lb)
		saved.models <- store.model(p.code, min.risk.inloop,saved.models)
	}

	if(length(I.set)>1){
		for(i in 2:nvec){
			p.current <- I.set[[i]]
#			p.working <- cbindlist(fixed.terms,I.set[[i]])

			p.code<-code(p.current,xorder.max)
			risk <- read.model(p.code,saved.models)
			if(is.null(risk)==1) {
				risk <- erisk.compute.dyn( y, a, v, w, yfamily, afamily, p.current, model.av, model.aw, model.yaw, model.yyaw, wt.censor, mapping, fitting, stable.wt, fixed.terms, dyn.treat, dyn.cutoff, g.lb=g.lb)
				saved.models <- store.model(p.code, risk, saved.models)
			}

			if(risk < min.risk.inloop){
				pcollect.inloop <- p.current
				min.risk.inloop <- risk
			}
		}
	}
	pcollect.inloop <- list(pcollect.inloop, min.risk.inloop, saved.models)
#	cat("best in loop\n")
#	print(pcollect.inloop)
	return(pcollect.inloop)
}











print.function <- function(y, a, v, w, data=NULL, yfamily='gaussian', afamily='binomial', model.msm=NULL, model.aw=NULL, model.av=NULL, model.yaw=NULL, model.yyaw=NULL, wt.censor=NULL, ncv=5, ncv.nuisance=5, mapping='DR', fitting='DR', all3=FALSE, stable.wt=TRUE, fixed.terms=NULL, cv.risk=FALSE, name.y, name.a, name.v, name.w, names.av, names.aw, rep.ID, ...) {
	v.mat <- as.matrix(v);
	av.Model <- model.av$Model; av.Size <- model.av$Size; av.Order <- model.av$Order; 
	av.Int <- model.av$Int;
	if(is.null(av.Size)) 	av.Size <- 10
	if(is.null(av.Order))	av.Order <- rep(1,ncol(v.mat))
	if(is.null(av.Int))     av.Int   <- ncol(v.mat)

	aw.Model <- model.aw$Model; aw.Size <- model.aw$Size; aw.Order <- model.aw$Order; 
	aw.Int <- model.aw$Int;
	if(is.null(aw.Size)) 	aw.Size <- 10
	if(is.null(aw.Order))	aw.Order <- rep(1,ncol(w))
	if(is.null(aw.Int))     aw.Int   <- ncol(w)

	yaw.Model <- model.yaw$Model; yaw.Size <- model.yaw$Size; yaw.Order <- model.yaw$Order; 
	yaw.Int <- model.yaw$Int;
	if(is.null(yaw.Size)) 	yaw.Size <- 10
	if(is.null(yaw.Order))	yaw.Order <- c(1, rep(1,ncol(w)))
	if(is.null(yaw.Int))    yaw.Int   <- 1+ncol(w)

	yyaw.Model <- model.yyaw$Model; yyaw.Size <- model.yyaw$Size; yyaw.Order <- model.yyaw$Order; 
	yyaw.Int <- model.yyaw$Int;
	if(is.null(yyaw.Size)) 	yyaw.Size <- 10
	if(is.null(yyaw.Order))	yyaw.Order <- c(1, rep(1,ncol(w)))
	if(is.null(yyaw.Int))   yyaw.Int   <- 1+ncol(w)
	
	msm.Model <- model.msm$Model; msm.Size <- model.msm$Size; msm.Order <- model.msm$Order; 
	msm.Int <- model.msm$Int;
	if(is.null(msm.Size)) 	msm.Size <- 10
	if(is.null(msm.Order))	msm.Order <- c(1, rep(1,ncol(v.mat)))
	if(is.null(msm.Int))    msm.Int   <- 1+ncol(v.mat)

	cat("call: \ncvMSM( y, a, v, w, yfamily =", as.character(yfamily),", afamily =", as.character(afamily),",\n");

	cat("      msm.Model =",ifelse(is.null(msm.Model), "NULL", as.character(show.formula(names.av,list(msm.Model)))), ",\n");
	if(is.null(msm.Model))
		cat("      msm.Size  =", as.character(msm.Size),", msm.Int =",as.character(msm.Int), ", msm.Order = (",as.character(msm.Order), "),\n");
	
	if(stable.wt){
		cat("       av.Model =",ifelse(is.null(av.Model), "NULL", as.character(show.formula(name.v,list(av.Model)))), ",\n");
		if(is.null(av.Model))
			cat("       av.Size  =", as.character(av.Size),", av.Int =",as.character(av.Int),", av.Order = (",as.character(av.Order), "),\n");
	}
	
	cat("       aw.Model =",ifelse(is.null(aw.Model), "NULL", as.character(show.formula(name.w,list(aw.Model)))), ",\n");
	if(is.null(aw.Model))
		cat("       aw.Size  =", as.character(aw.Size),", aw.Int =",as.character(aw.Int),", aw.Order = (",as.character(aw.Order), "),\n");
	
	cat("      yaw.Model =",ifelse(is.null(yaw.Model), "NULL", as.character(show.formula(names.aw,list(yaw.Model)))), ",\n");
		if(is.null(yaw.Model))cat("      yaw.Size  =", as.character(yaw.Size), ", yaw.Int =",as.character(yaw.Int), ", yaw.Order = (",as.character(yaw.Order), "),\n");

	cat("     yyaw.Model =",ifelse(is.null(yyaw.Model), "NULL", as.character(show.formula(names.aw,list(yyaw.Model)))), ",\n");
	if(is.null(yyaw.Model))
		cat("     yyaw.Size  =", as.character(yyaw.Size),", yyaw.Int =",as.character(yyaw.Int), ", yyaw.Order = (",as.character(yyaw.Order), "),\n");
	
	cat("     wt.censor  =",ifelse(is.null(wt.censor),"NULL","weight"),",\n");
	cat("           ncv  =",as.character(ncv), ", ncv.nuisance =",as.character(ncv.nuisance),",\n");
	cat("       mapping  =",as.character(mapping), ",  fitting =", as.character(fitting), ", rep.ID =", as.character(rep.ID),",\n");
	cat("     stable.wt =", as.character(stable.wt),",  all3 =", as.character(all3), ", cv.risk =", as.character(cv.risk), ",\n");
	cat("    fixed.terms =",ifelse(is.null(fixed.terms), "NULL", as.character(show.formula(names.av, list(fixed.terms)))), ")\n");

	return(NULL);
}


#cinv.comput(), lh.compute(), euclidnorm.compute(), NR.iteration(): functions from NR_new.r
cinv.compute <- function(mat,wt){
	mat.wt <- mat
	n <- length(wt)
	wt <- as.vector(wt)
	
	for(i in 1:ncol(mat)){
		mat.wt[,i] <- wt*mat[,i]
	}
	
	cmat <- matrix(,nrow=ncol(mat),ncol=ncol(mat))
	for(i in 1:ncol(mat)){
		for(j in 1:ncol(mat))
			cmat[i,j] <- mean(mat[,i]*mat[,j],na.rm=TRUE)
		if(cmat[i,i]==0) cmat[i,i]<-1e-8
	}		
#print(det(cmat))
if(det(cmat)<1e-18){ 
	return("N")
}

#	if(det(cmat)==0) return("N")

	return(solve(cmat))
	
}

lh.compute <- function(y,a,v,w,yfamily,wt,Z,model.xavbeta) {
	model.xav <- model.xavbeta[[1]]
	beta <- model.xavbeta[[2]]

	xav <- buildXw(cbind(a,v),model.xav)	
	y.hat <- as.vector(cbind(1,xav) %*% beta)
	
	dxav <- cbind(1,xav)
	if(yfamily=='binomial'){
		linear <- y.hat
		y.hat<-1/(1+exp(-y.hat))
		fraction <- exp(-linear)/((1+exp(-linear))^2)
		dxav <- dxav / as.vector(fraction)
	}

	xvar <- length(beta)
	lh.value <- matrix(,length(y),xvar)

	for(i in 1:xvar)
		lh.value[,i] <- (wt * dxav[,i] * ( y-y.hat) - Z[,i])

	temp <- apply(lh.value,2,mean,na.rm=TRUE)
	return(temp)
}

euclidnorm.compute <- function(vector){
	norm <- sqrt(t(vector)%*%vector)
	return(norm)
}

NR.iteration <- function(y,a,v,w,yfamily,wt,Z,model.xavbeta,accuracy) {
	# compute cinv first
	model.xav <- model.xavbeta[[1]]
	beta <- model.xavbeta[[2]]

	xav <- buildXw(cbind(a,v),model.xav)	
	dxav <- cbind(1,xav)
	cinv <- cinv.compute(dxav,wt)

	if(length(cinv)==1 && cinv=="N") return("N")

	lh.value <- lh.compute(y,a,v,w,yfamily,wt,Z,model.xavbeta)
	norm <- euclidnorm.compute(lh.value)
	beta.new <- beta + cinv %*% lh.value
	model.xavbetanew <- buildModel(model.xav,beta.new)
	lh.value.new <- lh.compute(y,a,v,w,yfamily,wt,Z,model.xavbetanew)
	
	norm.new <- euclidnorm.compute(lh.value.new)
	count <- 0
	if(norm<norm.new){
		minimum <- norm; beta.min <- beta;
	}
	else {
		minimum <- norm.new; beta.min <- beta.new;
	}
	
	alpha <- 0.5
	while(norm>accuracy && norm.new>accuracy && abs(norm-norm.new)>0.001 && count<100)
	{
		if(norm>norm.new){
			beta <- beta.new; norm <- norm.new; lh.value <- lh.value.new;
			beta.new <- beta + cinv %*% lh.value
			model.xavbetanew <- buildModel(model.xav,beta.new)
			lh.value.new <- lh.compute(y,a,v,w,yfamily,wt,Z,model.xavbetanew)
			norm.new <- euclidnorm.compute(lh.value.new)
		} else {
			beta.new <- (1-alpha) * beta + alpha * beta.new
			model.xavbetanew <- buildModel(model.xav,beta.new)
			lh.value.new <- lh.compute(y,a,v,w,yfamily,wt,Z,model.xavbetanew)
			norm.new <- euclidnorm.compute(lh.value.new)
		}
		
		if(norm.new < minimum){
			minimum <- norm.new; beta.min <- beta.new;
		}
#print(minimum)		
		count <- count + 1;
	}
	
	return(list(beta.min,minimum))
}

# following functions: from dsa_set22_swap.r

deletion <- function(pcollect)
{	
	length.current <- length(pcollect)
	I.unit<-NULL
	I.unit[[1]] <- pcollect
	I.del<-NULL
	I.del<- rep(I.unit,times=length.current)
	for(i in 1:length.current) I.del[[i]][[i]] <- NULL
	return(I.del)
}

listunique <- function(pcollect)
{
	list.length <- length(pcollect)
	
	if(list.length==1) return(1)
	
	for(i in 1:(list.length-1)){
		for(j in (i+1):list.length){
			if(prod(pcollect[[i]]==pcollect[[j]])) return(0)
		}
	}
	return(1)
}

substitution <- function(pcollect, xorder.max, nway)
{
	length.current <- length(pcollect)
	nvar <- length(pcollect[[1]])
	I.sub <- list(1)
	code.p<-code(pcollect,xorder.max)
	n<-1
	diag.mat<-diag(nvar)
	for(i in 1:length.current){
		for(j in 1:nvar){
			I.sub[[n]] <- pcollect		
			I.sub[[n]][[i]]<-I.sub[[n]][[i]]+diag.mat[j,]
			is.bigger<-I.sub[[n]][[i]][j]>xorder.max[j]
	
			interactions <-  sum(I.sub[[n]][[i]]!=0)
			is.moreinteraction <- interactions>nway
			
			code.pnew<-code(list(I.sub[[n]][[i]]),xorder.max)
			if(is.moreinteraction){
				swap.candidate <- swap(I.sub[[n]][[i]])
				for(k in 1:length(swap.candidate)){
					I.sub[[n]] <- pcollect
					I.sub[[n]][[i]] <- swap.candidate[[k]]
					
					code.pnew<-code(list(I.sub[[n]][[i]]),xorder.max)
					is.repeat <- sum(code.p==code.pnew)

					if(is.bigger || is.repeat ) I.sub[[n]]<-NULL
					else	n<-n+1;
				}
			} else {
				is.repeat <- sum(code.p[seq(1:length.current)!=i]==code.pnew)
				if(is.bigger || is.repeat) I.sub[[n]]<-NULL
				else	n<-n+1;
			}

			I.sub[[n]] <- pcollect;
			I.sub[[n]][[i]] <- I.sub[[n]][[i]]-diag.mat[j,];
			
			is.allzero<-prod(unlist(I.sub[[n]][[i]])==0)
			is.negtive<-sum(unlist(I.sub[[n]][[i]])<0)
			interactions <-  sum(I.sub[[n]][[i]]!=0)
			is.moreinteraction <- interactions>nway

			code.pnew<-code(list(I.sub[[n]][[i]]),xorder.max)
			is.repeat <- sum(code.p[seq(1:length.current)!=i]==code.pnew)

			if(is.negtive || is.allzero || is.repeat ||is.moreinteraction) I.sub[[n]]<-NULL
			else	n<-n+1;
		}
	}
	
	if(n==1) I.sub <- NULL
	return(I.sub)
}

swap <- function(pvector){
	nvar <- length(pvector);
	p.swap <- list(pvector);
	n <- 1
	for(i in 1:nvar){
		if(pvector[i]!=0){
			p.swap[[n]]<-pvector
			p.swap[[n]][i] <- 0
			n <- n+1
		}
	}
	return(p.swap)
}
#swap(c(1,1,1))

addition <- function(pcollect,xorder.max,nway){
	length.current <- length(pcollect)
	nvar <- length(pcollect[[1]])

	I.add.unit <- addp.unit(pcollect,xorder.max,nway)
	if(is.null(I.add.unit)) return(NULL)

	I.unit<-NULL
	I.unit[[1]] <- pcollect
	I.add<-NULL
	I.add<- rep(I.unit,times=length(I.add.unit))

	for(i in 1:length(I.add.unit)) I.add[[i]][[length.current+1]]<-I.add.unit[[i]]
	
	return(I.add)
}

addp.unit <- function(pcollect,xorder.max,nway){
	length.current <- length(pcollect)
	nvar <- length(pcollect[[1]])
	I.addp.unit <- list(1)
	pcollect.add <- pcollect
	pcollect.save <- pcollect
	n <- 0
	
	code.p<-code(pcollect,xorder.max)
	diag.mat<-diag(nvar)
	for(i in 1:length.current){
		for(j in 1:nvar){
			p.new<-pcollect[[i]]+diag.mat[j,]
			is.bigger<-p.new[j]>xorder.max[j]
			
			code.pnew<- code(list(p.new),xorder.max)
			is.repeat <- sum(code.p==code.pnew)
			interactions <-  sum(p.new!=0)
			is.moreinteraction <- interactions>nway

			if(is.moreinteraction){
				swap.candidate <- swap(p.new)
			
				for(k in 1:length(swap.candidate)){
					p.new <- swap.candidate[[k]]
					code.pnew<-code(list(p.new),xorder.max)
					is.repeat <- sum(code.p==code.pnew)
				
					if(!is.bigger && !is.repeat ){
						n <- n+1;
						I.addp.unit[[n]] <- p.new
						code.p <- c(code.p,code.pnew)
					}
				}
			} else {
				if(!is.bigger && !is.repeat){
					n <- n+1
					I.addp.unit[[n]]<-p.new
					code.p<-c(code.p,code.pnew)
				}
			}
			
			p.new <- NULL
			p.new <- pcollect[[i]]-diag.mat[j,]
			
			is.allzero<-prod(unlist(p.new)==0)
			is.negtive<-sum(unlist(p.new)<0)
			interactions <-  sum(p.new!=0)
			is.moreinteraction <- interactions>nway

			code.pnew<- code(list(p.new),xorder.max)
			is.repeat <- sum(code.p==code.pnew)
	
			if((!is.negtive) && (!is.allzero) && (!is.repeat) && (!is.moreinteraction)){
				n<-n+1
				I.addp.unit[[n]]<-p.new
				code.p<-c(code.p,code.pnew)
			}
			p.new <- NULL
		}	
	}

	for(j in 1:nvar){
		if(xorder.max[j]>0){
			p.new <- diag.mat[j,]
			code.pnew<- code(list(p.new),xorder.max)
			is.repeat <- sum(code.p==code.pnew)
			if(!is.repeat){
				n <- n+1
				I.addp.unit[[n]] <- p.new
			}
		}
	}
	if(n==0){ 
		I.addp.unit <- NULL
		#cat("return null\n")
	}
	return(I.addp.unit)
}

code<-function(p.vec,xorder){
	xorder<-c(xorder+1,1);
	code<-rep(0,times=length(p.vec));
	p.mat <- matrix(unlist(p.vec),length(p.vec),byrow=TRUE);
	for(i in 1:(length(xorder)-1)){
		product<-prod(xorder[(i+1):length(xorder)]);
		code<-code+p.mat[,i]*product;
	}
	return(code);
}

store.model <- function(model.code, model.risk, model.save)
{
	nterms <- length(model.code);
	with.risk<-list(size=nterms,code=sort(model.code),risk=model.risk);
	model.save[[ length(model.save)+1 ]]<- with.risk;
	return(model.save);
}

#store.model(c(3,1,7),2.1,savedmodel)

read.model <- function(model.code,model.save)
{
	nterms <- length(model.code);
	nmodels<-length(model.save);
	
	model.risk <- NULL;
	for(i in 1:nmodels){
		if(is.null(model.save)==1) return(NULL);
		if(nterms==model.save[[i]]$size){
			if(prod(sort(model.code)==model.save[[i]]$code)==1)
				model.risk <- model.save[[i]]$risk
			else
				model.risk <- NULL
		}
	}
	return(model.risk)
}


varMSM <- function(y,a,v,w, beta, yfamily,afamily, p.current, model.av, model.aw,model.yaw, wt.censor, fitting, stable.wt=TRUE, fixed.terms=NULL,rep.ID=0,ID=NULL, g.lb, g.ub){
	#model.aw tells the form of design matrix of A|W, eg. model.aw=list((1,0,0),(0,1,0),(0,0,1)) means
	#  xw=(w1,w2,w3)
	p.current <- cbindlist(fixed.terms, p.current)
#	if(is.null(wt.censor)) wt.censor <- rep(1,length(y))
	
	sd.ic <- rep(NA,length(beta))
	
	pav <- rep(1,length(y))
	if(stable.wt==TRUE) {
		xv <- buildXw(v,model.av)
		gav <- coef(glm(a~xv,family=afamily))
		gav[is.na(gav)] <- 0
		av.hat <- cbind(1,xv)%*%gav
		if(afamily=='binomial'){
			av.hat <- 1/(1+exp(-av.hat))
			pav <- av.hat
		} else{
		 	delta.hat.av <- sd(a-av.hat,na.rm=TRUE)
			pav <- dnorm(a, mean=av.hat,sd=delta.hat.av)
		}
	}

	if(fitting == 'IPTW'){
		xw <- buildXw(w,model.aw)
		gaw <- coef(glm(a~xw,family=afamily))

		gaw[is.na(gaw)] <- 0
		aw.hat <- as.vector(cbind(1,xw) %*% gaw)
		wt <- rep(1,length(aw.hat))
		
		if(afamily=='binomial'){
	 		aw.hat <- 1/(1+exp(-aw.hat))
		
			if(stable.wt){
				wt[a==0] <- (1-av.hat[a==0])/(1-aw.hat[a==0])
				wt[a==1] <- av.hat[a==1]/aw.hat[a==1]
			}
			else{
		 		aw.hat[aw.hat<g.lb] <- g.lb
				aw.hat[aw.hat>g.ub] <- g.ub
				wt[a==0] <- 1/(1-aw.hat[a==0])
				wt[a==1] <- 1/aw.hat[a==1]
			}
		}
		else {
			delta.hat<-sd((a-aw.hat),na.rm=TRUE)
			pa <- dnorm(a,mean=aw.hat,sd=delta.hat)
			
			if(stable.wt) wt <- pav/pa
			else{
				pa[pa<g.lb] <- g.lb
				pa[pa>g.ub] <- g.ub
				wt <- 1/pa;
			}
		}
		wt[wt>1/g.lb] <- g.lb
#		wt[wt<1/.9] <- 1/.9  # SG, this was already commented out
		wt <- wt*wt.censor
		xav <- buildXw(cbind(a,v),p.current)

		yhat <- cbind(1,xav) %*% beta
		if(yfamily=='binomial') yhat <- 1/(1+exp(-yhat))
		
		dxav <- cbind(1,xav)
		e <- y-yhat
		e2 <- mean(e^2, na.rm=TRUE)
		IC.iptw <- cbind(1,xav) * as.vector(e) * wt
		if(yfamily=='binomial') IC.iptw <- IC.iptw/e2
		
		if(rep.ID==1)
		{	n.sub <- length(unique(ID))
			IC <- matrix(NA,ncol=ncol(IC.iptw),nrow=n.sub)	
			for(i in 1:ncol(IC.iptw))
				IC[,i] <- tapply(IC.iptw[,i], ID, sum)
			sd.ic <- apply(IC,2,sd)/sqrt(n.sub)
		} else {
			sd.ic <- apply(IC.iptw,2,sd)/sqrt(length(y));
		}
		
	}
	
	if(fitting == 'Gcomp') {
		aw.mat <- buildXw(cbind(a,w),model.yaw)

		beta.yaw <- coef(glm(y~aw.mat,family=yfamily));
		beta.yaw[is.na(beta.yaw)] <- 0

		if(afamily == 'binomial') a.values <- c(0,1)
		else	a.values <- quantile(a,seq(0,1,1/10),na.rm=TRUE)

		temp.aw <- cbind(a.values[1],w)
		temp.av <- cbind(a.values[1],v)
		
		temp.wt.censor <- rep(wt.censor,length(a.values))
				
		for(i in 2:length(a.values)){
			temp.aw <- rbind(temp.aw,cbind(a.values[i],w))
			temp.av <- rbind(temp.av,cbind(a.values[i],v))
		}

		mat.aw <- buildXw(temp.aw,model.yaw)
		y.hat <- cbind(1,mat.aw) %*% beta.yaw
		if(yfamily=='binomial') y.hat<-1/(1+exp(-y.hat))
		mat.av <- buildXw(temp.av,p.current)
		
#		beta.gcomp <- coef(glm(y.hat~mat.av,family=yfamily,weights=temp.wt.censor))
#		print(summary(glm(y.hat~mat.av,family=yfamily,weights=temp.wt.censor)))

		beta.gcomp <- coef(glm(y.hat~mat.av,family=yfamily))
		beta.gcomp[is.na(beta.gcomp)] <- 0

		beta.hat <- beta.gcomp
	}
	
	if(fitting == 'DR'){	
	   #######new DR
	   if(yfamily=="gaussian"){
		aw.mat <- buildXw(cbind(a,w),model.yaw)
		beta.yaw <- coef(glm(y~aw.mat,family=yfamily))
		beta.yaw[is.na(beta.yaw)] <- 0
		
		if(prod(unlist(p.current)==0)!=0){
			xav <- dxav <- as.matrix(rep(1,length(y)));
		} else {
			xav <- buildXw(cbind(a,v),p.current);
			dxav <- cbind(1,xav);
		}
	
		yaw.hat <- as.vector(cbind(1,aw.mat) %*% beta.yaw)
		
		#print(dim(dxav)); print(is.vector(y)); print(dim(yaw.hat));
		if(stable.wt==TRUE){
			xv <- buildXw(v,model.av)
			gav <- coef(glm(a~xv, family=afamily))
			gav[is.na(gav)] <- 0
			av.hat <- cbind(1,xv) %*% gav
		}
				
		xw <- buildXw(w,model.aw)
		gaw <- coef(glm(a~xw,family=afamily))
		gaw[is.na(gaw)] <- 0
		aw.hat <- cbind(1,xw) %*% gaw

		wt <- rep(1,length(aw.hat))
		if(afamily=='binomial'){
			aw.hat <- 1/(1+exp(-aw.hat))
		
			if(stable.wt){
				av.hat <- 1/(1+exp(-av.hat))
				wt[a==0] <- (1-av.hat[a==0])/(1-aw.hat[a==0])
				wt[a==1] <- av.hat[a==1]/aw.hat[a==1]
			}
			else{
		 		aw.hat[aw.hat<g.lb] <- g.lb
				aw.hat[aw.hat>g.ub] <- g.ub
				wt[a==0] <- 1/(1-aw.hat[a==0])
				wt[a==1] <- 1/aw.hat[a==1]
			}
		} else {
			delta.hat<-sd((a-aw.hat),na.rm=TRUE)
			pa <- dnorm(a,mean=aw.hat,sd=delta.hat)
		
			if(stable.wt){
				delta.hat.av <- sd(a-av.hat,na.rm=TRUE)
				pav <- dnorm(a,mean=av.hat,sd=delta.hat.av)
				wt <- pav/pa
			} else{
				pa[pa<g.lb] <- g.lb
				pa[pa>g.ub] <- g.ub
				wt <- 1/pa;
			}
		}
		   wt[wt>1/g.lb] <- 1/g.lb; 	#wt[wt<1/.9] <- 1/.9;  # SG, this was already commented out
			
		if(afamily == 'binomial') a.values <- c(0,1)
		else	a.values <- quantile(a,seq(0,1,1/10),na.rm=TRUE)

		sum.e <- matrix(0,ncol=length(beta),nrow=length(y));
		for(i in 1:length(a.values)){
			a.this <- a.values[i]
			yawmat.counter <- buildXw(cbind(a.this,w),model.yaw)
			if(prod(unlist(p.current)==0)!=0){
				xav.counter <- dxav.counter <- as.matrix(rep(1,length(y)));
			} else {
				xav.counter <- buildXw(cbind(a.this,v),p.current)
				dxav.counter <- cbind(1,xav.counter)		
			}
				
			yaw.hat.counter <- cbind(1,yawmat.counter) %*% beta.yaw
			yhat.counter <- cbind(1, xav.counter) %*% beta
			if(stable.wt==TRUE){
				gav.this <- as.vector(av.hat)
				if(a.this==0) gav.this <- as.vector(1-av.hat);
			} else gav.this <- 1
			sum.e <- sum.e + dxav.counter * (as.vector(yaw.hat.counter - yhat.counter) * gav.this);

		}

		wt <- wt*wt.censor		
		eaw <- y-yaw.hat; 

		IC.dr <- dxav * as.vector(eaw) * wt + sum.e;

		if(rep.ID==1)
		{	n.sub <- length(unique(ID))
			IC <- matrix(NA,ncol=ncol(IC.dr),nrow=n.sub)	
			for(i in 1:ncol(IC.dr))
				IC[,i] <- tapply(IC.dr[,i], ID, sum)
			sd.ic <- apply(IC,2,sd)/sqrt(n.sub)
		} else {
			sd.ic <- apply(IC.dr,2,sd)/sqrt(length(y));
		}		
	}
	   ##########  end new DR
	   else {
        	###### compute beta.gcomp #####################################

	   }
	} 
	return(sd.ic)
}
# end
